2014-10-29  Mosè Giordano  <mose@gnu.org>

	* Version 11.88 released.

2014-10-29  Matthew Leach  <matthew@mattleach.net>

	* latex.el (LaTeX-indent-environment-list): Remove setter
	lambda.
	(LaTeX--tabular-like-end): Remove variable.
	(LaTeX-indent-tabular): Move setter function from
	LaTeX-indent-environment-list to generate tabular-end regex when
	called.

2014-10-29  Mosè Giordano  <mose@gnu.org>

	* latex.el (LaTeX-largest-level-set): Set `outline-heading-alist'
	only if it is bound.

	* .gitignore: Ignore preview/preview.el.

	* Makefile.in (DISTCLEANFILES): Add preview/preview.el.
	(release-commit): Write new version announcement also into
	preview/ChangeLog.

	* aclocal.m4: Add a third argument to
	`AC_DATE_VERSION_FROM_CHANGELOG' specifying the ChangeLog file.

	* configure.ac: Use new third argument of
	`AC_DATE_VERSION_FROM_CHANGELOG'.  Retrieve preview date and
	version from its ChangeLog.  Add preview/preview.el to output
	files.

2014-10-22  Mosè Giordano  <mose@gnu.org>

	* RELEASE: Update AUCTeX version, the new features section, and
	the list of contributors.

	* configure.ac: Update AUCTeX version.

	* doc/changes.texi: Mention generic bug fixes for 11.88 release.

	* doc/tex-ref.tex: Update AUCTeX version and copyright years
	across the file.
	Add now working `TeX-previous-error' key-binding.

	* tex.el: Update copyright year.

	* doc/Makefile.in: Make it possible to build the HTML doc with
	`makeinfo' if `texi2html' is not available.  Add new
	`TEXI2HTML_TOC' variable.
	(extradist): Use `TEXI2HTML_TOC'.
	(html/$(TEXI2HTML_TOC)): Use `TEXI2HTML_TOC'.  Fix splitting
	option to HTML engine.  Suggested by Norbert Preining.

	* latex.el (LaTeX-newline): Fix for when
	`comment-auto-fill-only-comments' is non-nil.  Suggested by Piet
	van Oostrum.

2014-10-13  Matthew Leach  <matthew@mattleach.net>

	* style/cleveref.el: New file.

2014-10-02  Ikumi Keita  <ikumi@ikumi.que.jp>

	* tex.el (featurep): Activate mark in the GNU Emacs version of
	TeX-activate-mark instead of being a no-op.
	(TeX-insert-dollar): Use set-mark instead of push-mark in order to
	avoid duplicate marks.

2014-10-02  Ikumi Keita  <ikumi@ikumi.que.jp>

	* texmathp.el (texmathp-tex-commands-default): Move equation*
	environment to AMS-LaTeX section.
	(texmathp-why): Fix docstring.

2014-10-02  Ikumi Keita  <ikumi@ikumi.que.jp>

	* style/amstext.el (LaTeX-amstext-package-options): Rename from
	`LaTeX-amstext-package-option'.

2014-10-02  Ikumi Keita  <ikumi@ikumi.que.jp>

	* tex-info.el (Texinfo-mark-environment, Texinfo-mark-section)
	(Texinfo-mark-node): Use `push-mark' instead of `set-mark'.

	* latex.el (LaTeX-mark-environment): Ditto.

	* context.el (ConTeXt-mark-environment): Ditto.

2014-09-25  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-insert-environment): Pass correct \end buffer
	position to hooks in LaTeX-after-insert-env-hooks.

2014-09-13  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* latex.el (LaTeX-dialect): Correct doctstring for consistency
	with definition of function TeX-add-style-hook.

	* doc/auctex.texi (Simple Style): modify example with
	'TeX-add-style-hook', so that 3rd argument is added. Modify @defun
	of 'TeX-add-style-hook' also to document addition of 3rd argument.

2014-09-11  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* doc/changes.texi: Add information about style hook labelling by dialect.

	* doc/todo.texi (Bugs): Update Bug #1 about style hook clash.

	* style/xspace.el ("xspace"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/xparse.el ("xparse"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/virtex.el ("virtex"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/verbatim.el ("verbatim"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/varioref.el ("varioref"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/url.el ("url"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/units.el ("units"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/unicode-math.el ("unicode-math"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/ulem.el ("ulem"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/tabulary.el ("tabulary"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/tabularx.el ("tabularx"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/swedish.el ("swedish"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/subfigure.el ("subfigure"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/slovak.el ("slovak"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/slides.el ("slides"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/siunitx.el ("siunitx"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/shortvrb.el ("shortvrb"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/setspace.el ("setspace"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/scrreprt.el ("scrreprt"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/scrpage2.el ("scrpage2"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/scrlttr2.el ("scrlttr2"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/scrbook.el ("scrbook"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/scrbase.el ("scrbase"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/scrartcl.el ("scrartcl"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/ruby.el ("ruby"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/report.el ("report"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/ragged2e.el ("ragged2e"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/pstricks.el ("pstricks"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/pst-slpe.el ("pst-slpe"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/pst-plot.el ("pst-plot"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/pst-node.el ("pst-node"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/pst-grad.el ("pst-grad"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/psfig.el ("psfig"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/prosper.el ("prosper"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/polski.el ("polski"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/polish.el ("polish"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/plhb.el ("plhb"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/plfonts.el ("plfonts"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/plext.el ("plext"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/placeins.el ("placeins"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/pdfsync.el ("pdfsync"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/paralist.el ("paralist"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/nomencl.el ("nomencl"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/nicefrac.el ("nicefrac"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/ngerman.el ("ngerman"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/naustrian.el ("naustrian"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/natbib.el ("natbib"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/nameref.el ("nameref"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/multirow.el ("multirow"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/multind.el ("multind"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/multido.el ("multido"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/multicol.el ("multicol"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/mflogo.el ("mflogo"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/metalogo.el ("metalogo"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/memoir.el ("memoir"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/mdwlist.el ("mdwlist"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/mathtools.el ("mathtools"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/makeidx.el ("makeidx"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/luacode.el ("luacode"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/ltxdoc.el ("ltxdoc"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/ltx-base.el ("ltx-base"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/lscape.el ("lscape"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/longtable.el ("longtable"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/listings.el ("listings"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/lipsum.el ("lipsum"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/lettrine.el ("lettrine"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/letter.el ("letter"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/latexinfo.el ("latexinfo"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/kpfonts.el ("kpfonts"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/kantlipsum.el ("kantlipsum"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jurabib.el ("jurabib"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jura.el ("jura"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jsbook.el ("jsbook"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jsarticle.el ("jsarticle"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jreport.el ("jreport"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jbook.el ("jbook"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/jarticle.el ("jarticle"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/j-report.el ("j-report"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/j-book.el ("j-book"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/j-article.el ("j-article"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/italian.el ("italian"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/inputenc.el ("inputenc"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/index.el ("index"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/imakeidx.el ("imakeidx"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/icelandic.el ("icelandic"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/hyperref.el ("hyperref"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/harvard.el ("harvard"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/graphicx.el ("graphicx"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/graphics.el ("graphics"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/german.el ("german"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/frenchb.el ("frenchb"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/french.el ("french"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/francais.el ("francais"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/footmisc.el ("footmisc"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/fontspec.el ("fontspec"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/foils.el ("foils"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/flashcards.el ("flashcards"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/filecontents.el ("filecontents"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/fancyvrb.el ("fancyvrb"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/fancyref.el ("fancyref"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/fancynum.el ("fancynum"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/fancyhdr.el ("fancyhdr"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/exercise.el ("exercise"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/everysel.el ("everysel"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/epsf.el ("epsf"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/epigraph.el ("epigraph"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/english.el ("english"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/emp.el ("emp"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/dutch.el ("dutch"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/doc.el ("doc"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/dk.el ("dk"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/dinbrief.el ("dinbrief"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/danish.el ("danish"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/czech.el ("czech"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/csquotes.el ("csquotes"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/comment.el ("comment"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/captcont.el ("captcont"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/bulgarian.el ("bulgarian"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/booktabs.el ("booktabs"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/book.el ("book"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/bm.el ("bm"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/bigstrut.el ("bigstrut"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/bigdelim.el ("bigdelim"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/biblatex.el ("biblatex"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/beamer.el ("beamer"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/babel.el ("babel"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/austrian.el ("austrian"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/article.el ("article"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/array.el ("array"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amsthm.el ("amsthm"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amstext.el ("amstext"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amstex.el ("amstex"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amssymb.el ("amssymb"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amsopn.el ("amsopn"): Add LaTeX-dialect to
	TeX-add-style-hook call. Update header with correct filename.

	* style/amsmath.el ("amsmath"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amsbsy.el ("amsbsy"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amsbook.el ("amsbook"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/amsart.el ("amsart"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/alphanum.el ("alphanum"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/alltt.el ("alltt"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/afterpage.el ("afterpage"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/acronym.el ("acronym"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/acro.el ("acro"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/MinionPro.el ("MinionPro"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/CJKutf8.el ("CJKutf8"): Add LaTeX-dialect to TeX-add-style-hook call.

	* style/CJK.el ("CJK"): Add LaTeX-dialect to TeX-add-style-hook call.

	* bib-cite.el (eval-after-load "bibtex"): Add hook
	TeX-bibtex-set-BibTeX-dialect to BibTex mode, this will set
	'TeX-style-hook-dialect' to :bibtex for BibTeX files so that
	Mosè's problem should be solved.

	* latex.el (LaTeX-common-initialization): set
	'TeX-style-hook-dialect' to :latex for LaTeX files, and those in
	LaTeX derived modes. Add LaTeX-dialect as DIALECT argument to all
	calls of TeX-add-style-hook.

	* tex.el (TeX-style-hook-list): Update docstring to make clear
	that style hooks can also be in the form '[TeX-style-hook HOOK-FUN
	DIALECT-SET]'.
	(TeX-bibtex-set-BibTeX-dialect): New defun.
	(TeX-style-hook-dialect-weight-alist): New defconst.
	(TeX-shdex-eval): New defun.
	(TeX-shdex-or TeX-shdex-and TeX-shdex-nor TeX-shdex-not)
	(TeX-shdex-in-p TeX-shdex-listify): New defsubst.
	(TeX-style-hook-dialect): New defvar, used to have style hooks
	called only in corresponding context.
	(TeX-add-style-hook): Add optional argument context for marking
	hooks that must run only in non default (aka nil) dialect.
	(TeX-keep-hooks-in-dialect): New defun, used for unloading only
	those hooks in a dialect list.
	(TeX-unload-style): Add optional argument context-list for
	unloading only those hooks marked for contexts in that
	context-list.
	(TeX-run-style-hooks): Run style hook only when current style hook
	context matches context for which hook is marked.

	* tex-info.el (Texinfo-environment-list): Add 'html' and 'float'
	environments.
	(TeX-texinfo-mode): set 'TeX-style-hook-dialect' to :texinfo for
	Texinfo files. Add macro '@caption'.

2014-09-08  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-assoc-string): Remove docstring from defalias since
	that's not supported with XEmacs.

2014-08-25  Florent Rougon  <f.rougon@free.fr>  (tiny change)

	* tex-buf.el (TeX-command-expand): Fix possible endless loop in
	file name expansion.

2014-08-24  Mosè Giordano  <mose@gnu.org>

	* tests/tex/command-expansion.el: New test file.

2014-08-24  Florent Rougon  <f.rougon@free.fr>  (tiny change)

	* tex.el (TeX-expand-list): Add the previous position to the
	lenght of the expanded string to get the current position in the
	%' expander.

2014-08-18  Vincent Belaïche  <vincent.b.1@hotmail.fr>

	* font-latex.el (font-latex-add-quotes): Code optimization: use
	'(add-to-list (make-local-variable (quote foo)) some-value)'
	instead of '(make-local-variable (quote foo)) (add-to-list 'foo
	some-value)' wherever possible.

	* bib-cite.el (bib-cite-minor-mode)
	(bib-cite-setup-highlight-mouse-keymap): Code optimization: use
	'(set (make-local-variable (quote foo)) some-value)' instead of
	'(make-local-variable (quote foo)) (setq foo some-value)' wherever
	possible.

	* latex.el (BibTeX-auto-store)
	(LaTeX-common-initialization): Ditto.

	* tex-info.el (TeX-texinfo-mode): Code optimization: use '(set
	(make-local-variable (quote foo)) some-value)' instead of
	'(make-local-variable (quote foo)) (setq foo some-value)' wherever
	possible. Add in style Texinfo standard macros '@acronym' and
	'@tie'.

	* tex.el (TeX-assoc-string) new defalias to work-around missing
	assoc-string in XEmacs.
	(TeX-unload-style): Code optimization: use 'TeX-assoc-string'
	instead of 'assoc' to search style in 'TeX-style-hook-list', and
	use delq on returned value of assoc-string for removing the style
	--- on the one hand delq will go through the whole list rather
	than stop after the first match like in original code, but on the
	other hand comparison are faster because eq instead of equal is
	used and we are working on assoc cell rather than on key, so less
	indirection, furthermore delq is C code. Anyway that make the code
	much smaller and easier to understand.
	(TeX-file-extensions): Add txi amongst extension of texinfo files,
	for consistency with info node '(texinfo) Minimum'
	(TeX-run-style-hooks): Code optimization: use 'TeX-assoc-string'
	instead of 'assoc' to search style in 'TeX-style-hook-list'.
	(VirTeX-common-initialization): Code optimization: use '(set
	(make-local-variable (quote foo)) some-value)' instead of
	'(make-local-variable (quote foo)) (setq foo some-value)' wherever
	possible.

2014-08-18  Tassilo Horn  <tsdh@gnu.org>

	* font-latex.el (font-latex-set-syntactic-keywords): Allow for a
	mandatory argument for a verbatim environment.

2014-08-15  Vladimir Lomov  <lomov.vl@gmail.com>

	* style/mathtools.el ("mathtools"): Don't use the removed
	`LaTeX-amsmath-env-aligned' function.

2014-08-14  Mosè Giordano  <mose@gnu.org>

	* latex.el (LaTeX-insert-label): Remove.
	(LaTeX-label): Add a new mandatory argument.  Do not use
	`LaTeX-insert-label'.  Determine the prefix at the beginning of
	the function and insert the label only if the prefix is non nil.
	(LaTeX-section-label, LaTeX-env-figure, LaTeX-env-label): Use the
	second mandatory argument of `LaTeX-label'.

	* style/amsmath.el: Update copyright years.
	("amsmath"): Append the environments to `LaTeX-label-alist'
	instead of prepeding them.  Use the second mandatory argument of
	the `LaTeX-label' function.

	* style/longtable.el: Update copyright years.
	("longtable"): Move addition of "longtable" environment to
	`LaTeX-label-alist' inside the style hook.  Append the environment
	to the alist instead of prepending it.  Use the second mandatory
	argument of the `LaTeX-label' function.

	* doc/auctex.texi (Sectioning, Environments): Remove references to
	`LaTeX-insert-label'.
	(Environments): Document `LaTeX-label-alist'.

	* doc/changes.texi: Remove references to `LaTeX-insert-label'.

2014-08-12  Mosè Giordano  <mose@gnu.org>

	* latex.el (LaTeX-insert-label): Rename from
	`LaTeX-auto-insert-label' and mention sections in the doc-string.
	(LaTeX-label): Update accordingly.

	* doc/auctex.texi (Sectioning): Mention `LaTeX-insert-label'.
	(Environments): Update `LaTeX-insert-label' name and document use
	for sectioning commands.
	(Environments, Completion): Prettify
	`TeX-complete-expert-commands' documentation by using a table
	environment.

	* doc/changes.texi: Rename `LaTeX-auto-insert-label' to
	`LaTeX-insert-label' and mention sections too.

2014-08-11  Mosè Giordano  <mose@gnu.org>

	* tex-buf.el (TeX-command): Keep the frame and the buffer
	associate to the error overview if the command to be run is View.

	* latex.el (LaTeX-auto-insert-label): New customizable variable.
	(LaTeX-label): Use it.

	* doc/auctex.texi (Environments): Document
	`LaTeX-auto-insert-label'.

	* doc/changes.texi: Mention `LaTeX-auto-insert-label'.  Fix a
	couple of bad-boxes in the PDF output of the manual.

2014-07-25  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-largest-level-set): Adapt
	`outline-heading-alist' according to largest level in order to
	make `outline-promote' (and others) work correctly.

2014-07-25  Mosè Giordano  <mose@gnu.org>

	* doc/auctex.texi (Adding Macros): Document `TeX-date-format'.

	* doc/changes.texi: Mention `TeX-date-format'.

	* latex.el (TeX-date-format): New customizable option.
	Suggested by Uwe Brauer.
	(TeX-arg-date): Use it.

2014-07-17  Mosè Giordano  <mose@gnu.org>

	* Makefile.in: Update copyright years.
	(EXCLUDEDFILES): Rename from GITFILES.  Remove also .cvsignore and
	tests from the release tarball.
	(release-commit): More precise suggestion to push tag and release
	commit.
	(tar-ball): Use EXCLUDEDFILES in place of GITFILES.

2014-07-15  Ikumi Keita  <ikumi@ikumi.que.jp>

	* latex.el: Enhance array and tabular(*) environments support.
	(LaTeX-env-array): Add call to `LaTeX-item-array'.
	(LaTeX-env-tabular*): Add call to `LaTeX-item-tabular*'.
	(LaTeX-array-skipping-regexp): New variable.
	(LaTeX-tabular*-skipping-regexp): Ditto.
	(LaTeX-item-array): New function.  Put line break macro on the
	last line and insert suitable number of ampersands.
	(LaTeX-item-tabular*): Ditto.
	(LaTeX-insert-ampersands): New function.  Insert suitable number
	of ampersands.
	(LaTeX-array-column-letters): New variable.  Column letters for
	array-like environments.
	(LaTeX-array-count-columns): New function.  Count number of
	ampersands to be inserted.
	(LaTeX-common-initialization): Add entries to LaTeX-item-list to
	use `LaTeX-item-array' and `LaTeX-item-tabular*'.

	* style/amsmath.el: Enhance alignat-like environments support
	as well as some cleanups.
	(LaTeX-item-equation-alignat): New function.  Insert contents to
	terminate a line in multi-line equations environment.
	(LaTeX-amsmath-env-alignat): Use it.  Add doc string.
	(LaTeX-amsmath-env-alignedat): Ditto.
	(LaTeX-amsmath-env-aligned): Removed.  Just specifying a prompt
	string for an optional argument is enough.
	(LaTeX-item-equation): Take over the job of
	`LaTeX-item-equations'.  Add an optional `suppress' argument:
	when it is non-nil skip putting line break macro.  Add doc string.
	(LaTeX-item-equations): Removed.  Its task is now covered by
	`LaTeX-item-equation'.
	(LaTeX-item-equation-alignat): New function.  Insert ampersands
	according to the columns number, as well as calling
	`LaTeX-item-equation'.
	(LaTeX-amsmath-alignat-number-of-ampersands): New function.
	("amsmath"): Arrange setups of variables to adopt the above
	changes.

	* style/array.el ("array"): Change `LaTeX-array-column-letters'
	locally to include addtional letters extended in array.sty.

	* style/plext.el: New style file.  Add support for extended
	format for array-like environments.

	* Makefile.in (STYLESRC): Include style/plext.el.

	* doc/auctex.texi: Add documentation for the above enhancements.

	* doc/changes.texi: Ditto.

2014-07-14  Mosè Giordano  <mose@gnu.org>

	* tex-buf.el (TeX-next-error): Do not pass `reparse' argument to
	`next-error' in XEmacs as it is not supported.
	(TeX-error-overview-frame, TeX-error-overview-buffer-name): Move
	before their first use in order to prevent a runtime error in
	XEmacs and GNU Emacs 21.  Reported by Ikumi Keita.
	(TeX-parse-TeX): Manually set `item' to nil when
	`TeX-error-last-visited' is negative.
	(TeX-error-description-error, TeX-error-description-warning)
	(TeX-error-description-tex-said): Set to nil in XEmacs and GNU
	Emacs 21.  Reported by Ikumi Keita.

2014-07-13  Mosè Giordano  <mose@gnu.org>

	* latex.el (TeX-latex-mode): Add second argument to
	`local-variable-p', mandatory in XEmacs.  Suggested by Ikumi
	Keita.

	* preview/preview.el (preview-dump-state): Ditto.

	* style/biblatex.el ("biblatex"): Ditto.

	* tex.el (TeX-how-many): Make the function return a number also in
	XEmacs and Emacs 21.  Suggested by Ikumi Keita.

2014-07-12  Mosè Giordano  <mose@gnu.org>

	* tex-buf.el (TeX-error-description-error): Do not use the
	`default' display, not supported by GNU Emacs 21 and XEmacs 21.4.
	(TeX-error-description-warning): Ditto.

2014-07-11  Mosè Giordano  <mose@gnu.org>

	* tex-buf.el (TeX-error-description-error): Make face definition
	XEmacs compatible.
	(TeX-error-description-tex-said): Ditto.
	(TeX-error-description-help): Ditto.

	* tex.el (nil): Handle the case of a non-available crm.el with a
	`condition-case', instead of using the third argument of
	`require', not recognized by XEmacs 21.4.
	(and): Check whether dbus support is available before requiring
	dbus.el.

2014-07-02  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-expand-list): Set
	`TeX-source-correlate-output-page-function' when necessary, in the
	"%(outpage)" expander.
	(TeX-source-correlate-method): Add an alist as a possible value
	and change the default.
	(TeX-source-correlate-method-active): Convert to a function.
	(TeX-source-correlate-expand-options): Use the
	`TeX-source-correlate-method-active' function.
	(TeX-source-correlate-mode): Remove setting of the
	`TeX-source-correlate-output-page-function' variable and of the
	now deleted `TeX-source-correlate-method-active' variable.
	(TeX-source-specials-view-expand-options): Use the
	`TeX-source-correlate-method-active' function.
	(TeX-mode-specific-command-menu-entries): Hide "Previous Error"
	and "Error Overview" entries when not available.

	* context.el: Update copyright years.
	(ConTeXt-expand-options): Use the
	`TeX-source-correlate-method-active' function.

	* doc/auctex.texi (I/O Correlation): Update documentation of
	`TeX-source-correlate-method'.

	* doc/changes.texi: Mention change to the default value of
	`TeX-source-correlate-method'.

2014-06-29  Mosè Giordano  <giordano.mose@libero.it>

	* doc/todo.texi (Mid-term Goals): Remove "More flexible option and
	command handling" item: we now have `TeX-command-extra-options'.
	(Wishlist): Remove "Poor man's Source Specials": AUCTeX supports
	source specials and SyncTeX.
	(Wishlist): Remove "multiple completion for \bibliography" item:
	"\bibliography" does complete multiple arguments.

2014-06-28  Mosè Giordano  <giordano.mose@libero.it>

	* tex-buf.el (TeX-command): Kill the frame and buffer associated
	to the error overview before running commands.
	(TeX-TeX-sentinel): Open error overview if
	`TeX-error-overview-open-after-TeX-run' is non-nil and there are
	errors or warnings to show.
	(TeX-LaTeX-sentinel): Ditto.
	(TeX-find-display-help): Set `runbuf' to `TeX-active-buffer' since
	this function may be called also from the error overview buffer.
	(TeX-error-description-faces): Change group to more appropriate
	`TeX-output'.
	(TeX-error-overview-active-buffer): New variable.
	(TeX-error-overview-orig-frame): Ditto.
	(TeX-error-overview-orig-window): Ditto.
	(TeX-error-overview-frame): Ditto.
	(TeX-error-overview-setup): New customizable variable.
	(TeX-error-overview-setup): New function.
	(TeX-error-overview-goto-source): Ditto.
	(TeX-error-overview-make-entries): Ditto.
	(TeX-error-overview-next-error): Ditto.
	(TeX-error-overview-previous-error): Ditto.
	(TeX-error-overview-quit): Ditto.
	(TeX-error-overview-mode-map): New variable.
	(TeX-error-overview-list-entries): Ditto.
	(TeX-error-overview-mode): New major mode.
	(TeX-error-overview-buffer-name): New constant.
	(TeX-error-overview-frame-parameters): New customizable variable.
	(TeX-error-overview-open-after-TeX-run): Ditto.
	(TeX-error-overview): New function.
	(TeX-find-display-help): Expand the name of the file to be visited
	starting from the directory of the master file.
	(TeX-error-overview-make-entries): Add optional `master-dir'
	argument, to shorten file names when they are relative.
	(TeX-error-overview): Pass `TeX-master-directory' as argument to
	`TeX-error-overview-make-entries'.

	* tex.el (TeX-error-overview): Autoload `TeX-error-overview'.
	(TeX-mode-specific-command-menu-entries): Add an entry for the
	error overview.

	* doc/auctex.texi (Debugging): Document error overview.

	* doc/changes.texi: Mention error overview.  Add local variables
	to the end of the file.

	* doc/todo.texi: Add local variables to the end of the file.
	(Wishlist): Update entry about error reporting.

2014-06-21  Mosè Giordano  <giordano.mose@libero.it>

	* tex-buf.el (TeX-parse-TeX): Use `TeX-find-display-help' in place
	of `TeX-error-list-find-display-help'.
	(TeX-error-list-find-display-help): Removed, replaced by more
	general `TeX-find-display-help'.
	(TeX-find-display-help): New function.
	(TeX-error): Append nils to the `TeX-error-list' entry to make
	each entry of the same lenght for both errors and warnings.
	Append also `TeX-error-point'.  This fixes a bug occurring when
	`TeX-display-help' is set to `expert'.  Use
	`TeX-find-display-help' to display the help.
	(TeX-warning): Append `TeX-error-point' to the `TeX-error-list'
	entry to fix the above mentioned bug.  Use `TeX-find-display-help'
	to display the help.

2014-06-04  Mosè Giordano  <giordano.mose@libero.it>

	* tex-buf.el (TeX-parse-TeX): Use
	`TeX-error-list-find-display-help'.
	(TeX-error-list-find-display-help): New function.
	(TeX-warning): Use `bad-box' when there is a bad box.
	(TeX-warning--find-display-help): Cater for bad boxes.
	(TeX-help-error): Ditto.

2014-06-02  Mosè Giordano  <giordano.mose@libero.it>

	* tex-buf.el (TeX-error--find-display-help): Use new fourth
	argument of `TeX-help-error'.
	(TeX-warning): Rename mandatory argument to `warning'.  Do not add
	leading "** " to warning string.
	(TeX-warning--find-display-help): Use new fourth argument of
	`TeX-help-error'.
	(TeX-error-description-faces): New group.
	(TeX-error-description-error): New face.
	(TeX-error-description-warning): Ditto.
	(TeX-error-description-tex-said): Ditto.
	(TeX-error-description-help): Ditto.
	(TeX-help-error): Add new `type' argument.  Color help messages
	using the new faces.
	(TeX-warning): Preserve point when searching backward.  In some
	cases this prevents infinite loops in `TeX-parse-all-errors' and
	fixes wrong detection of context string.

2014-05-27  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-mode-specific-command-menu-entries): Add
	`TeX-previous-error'.

	* tex-buf.el (TeX-error-list): Fix typo.
	(TeX-parse-all-errors): Ditto.

2014-05-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	Backport from ELPA repository.
	* tex-site.el (TeX-modes-set): Use advice-add if available.
	* font-latex.el (font-latex-make-sectioning-faces): Don't rely on
	dynamic scoping for `num'.
	(font-latex-make-built-in-keywords): Don't use `eval' needlessly.
	(font-latex-doctex-syntactic-keywords): Declare before first use.
	(font-latex-match-command-with-arguments):
	Stay away from `add-to-list' on let-bound variables.
	(font-latex-match-command-in-braces): Remove unused var `end'.

2014-05-20  Mosè Giordano  <giordano.mose@libero.it>

	* tex-buf.el: Update copyright years.
	(TeX-error-last-visited): New buffer-local variable.
	(TeX-get-parse-function): New function.
	(TeX-next-error): Add `apt' argument and make all arguments
	optional.  Use `TeX-get-parse-function'.
	(TeX-previous-error): Use `TeX-get-parse-function'.  Use
	`TeX-parse-TeX' to move between errors when possible.
	(TeX-TeX-sentinel): Parse the output log when
	`TeX-parse-all-errors' is non-nil.
	(TeX-LaTeX-sentinel): Ditto.
	(TeX-parse-reset): Add an optional `reparse' argument and reparse
	the output log when it is non-nil.  Reset also `TeX-error-list'
	and `TeX-error-last-visited'.
	(TeX-parse-command): Add `arg' argument.
	(TeX-parse-TeX): Add `arg' argument.  When `TeX-parse-all-errors'
	is non-nil, use `TeX-error-list' to move to the error point.
	(TeX-error-list): New buffer-local variable.
	(TeX-parse-all-errors): New customizable variable.
	(TeX-parse-all-errors): New function.
	(TeX-parse-error): Add an optional `store' argument.  Make the
	function return non-nil when an error or a warning is found.
	(TeX-error): Add an optional `store' argument: when it is non-nil
	store the relevant information about the error in
	`TeX-error-list'.  Use `TeX-error--find-display-help'.
	(TeX-error--find-display-help): New function.
	(TeX-warning): Add an optional `store' argument: when it is
	non-nil store the relevant information about the warning in
	`TeX-error-list'.  Use `TeX-warning--find-display-help'.
	(TeX-warning--find-display-help): New function.
	(TeX-output-mode-map): Bind `p' to the now working
	`TeX-previous-error'.

	* doc/auctex.texi (Debugging): Document `TeX-previous-error' and
	`TeX-parse-all-errors'.  Update `TeX-next-error'.

	* doc/changes.texi: Update copyright years.  Mention
	`TeX-next-error' and `TeX-previous-error' changes and the new
	`TeX-parse-all-errors'.

	* doc/todo.texi: Update copyright years.
	(Wishlist): Update a couple of items related to error parsing.

2014-05-17  Mosè Giordano  <giordano.mose@libero.it>

	* font-latex.el: Update copyright years.
	(font-latex-update-sectioning-faces): Make sure
	`height-scale' is a floating point number.
	(font-latex-make-sectioning-faces): Ditto.

2014-05-10  Mosè Giordano  <giordano.mose@libero.it>

	* style/siunitx.el: Update copyright years and specify last
	`siunitx' version supported.  Hard wrap lines longer than 80
	columns.
	(LaTeX-siunitx-regexp): Move the escape character out of the group
	matching the unit name.
	(LaTeX-arg-siunitx-unit): Add `prefix' argument.  Replace the
	space with `TeX-esc' as the completion separator.
	(LaTeX-arg-define-siunitx-unit): Define a default prompt; set
	`initial-input' to nil; use `TeX-esc' as prefix to the given
	input.
	("siunitx"): Remove the escape character from the unit names.

2014-05-02  Jobst Hoffmann  <J.Hoffmann@fh-aachen.de>  (tiny change)

	* style/listings.el ("listings"): Fix typo.

2014-05-01  Mosè Giordano  <giordano.mose@libero.it>

	* font-latex.el (font-latex-set-syntactic-keywords): Fix
	fontification of the optional argument to a verbatim-like
	environment.

2014-04-16  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-parse-error): Add another exception.

2014-04-06  Tassilo Horn  <tsdh@gnu.org>

	* tex-info.el (TeX-texinfo-mode): Use `texinfo-current-defun-name'
	in `C-x 4 a'.

2014-04-04  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-add-environments): Move advising of
	`LaTeX-add-environments' after definition of
	`LaTeX-environment-menu' and `LaTeX-environment-modify-menu'
	variables to fix assignment to free variable warnings.

	* tex-style.el: Update coyright years.
	(LaTeX-biblatex-use-Biber): New variable.  Mark as
	safe-local-variable.

	* latex.el (TeX-latex-mode): Add setting of `LaTeX-using-Biber' to
	`TeX-update-style-hook'.

	* style/biblatex.el ("biblatex"): Use `LaTeX-biblatex-use-Biber'
	value to set `LaTeX-using-Biber' when it is set locally.

	* tex-bar.el: Update copyright years.
	(LaTeX-install-toolbar): Append toolbar refresh to
	`TeX-update-style-hook' instead of prepending it.

	* doc/auctex.texi:  Update copyright years.
	(Selecting a Command): Document `LaTeX-biblatex-use-Biber'.

	* doc/changes.texi: Mention `LaTeX-biblatex-use-Biber' change.

2014-04-02  Mosè Giordano  <giordano.mose@libero.it>

	* style/biblatex.el: Update copyright years and specify last
	`biblatex' version supported.
	(LaTeX-biblatex-executebibliographyoptions-options): Update.
	(LaTeX-biblatex-language-list): Ditto.
	(LaTeX-arg-biblatex-cites): Fix condition on `items' variable to
	adapt to the `TeX-completing-read-multiple' return value change.

2014-03-17  Nicolas Richard  <theonewiththeevillook@yahoo.fr>

	* style/exercise.el: New file.

2014-03-18  Tassilo Horn  <tsdh@gnu.org>

	* doc/auctex.texi: Mention that `TeX-PDF-mode' is enabled by
	default.

	* tex.el (TeX-PDF-mode): Enable TeX PDF mode by default.

	* tex-buf.el (TeX-command-master): Ask for TeX-master if it cannot
	be determined otherwise.

2014-03-15  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-view-command-raw): Throw an error when `spec' is
	nil, otherwise when the function returns nil `TeX-command-expand'
	enters an infinite loop.

	* style/paralist.el: Update copyright years.
	("paralist"): Use `LaTeX-provided-package-options-member' to
	conditionally define environments.

2014-03-12  Tassilo Horn  <tsdh@gnu.org>

	* multi-prompt.el (multi-prompt): Return nil on empty input.

	* tex.el (TeX-completing-read-multiple): Define it so that empty
	input results in nil across different emacs versions (<= 24.3
	vs. later versions).

	* style/biblatex.el ("biblatex"): Use
	`TeX-completing-read-multiple' instead of
	`completing-read-multiple'.
	(LaTeX-arg-biblatex-cites): Use `TeX-completing-read-multiple' and
	adapt handling of return value.

	* style/pstricks.el (LaTeX-package-parameters): Adapt to
	`TeX-completing-read-multiple' change.

2014-03-11  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-arg-usepackage-read-packages-with-options): Fix
	bug that caused AUCTeX to query for packages infinitely.

	* context.el (ConTeXt-add-environments): Advice instead of
	renaming and redefining generated function.

	* latex.el (LaTeX-close-environment): Remove non-interactive
	`next-line' usage compile warning.
	(LaTeX-add-bibliographies): Advice instead of renaming and
	redefining generated function.
	(LaTeX-add-environments): Ditto.

2014-03-10  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-fill-break-at-separators): Default to opening
	and closing math switches.

2014-03-06  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Processor Options): Add missing pair of braces.

2014-02-22  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-environment): Do not set
	`LaTeX-default-environment' to `environment' if the latter is
	equal to the current default environment.

2014-02-21  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-arg-usepackage-read-packages-with-options): New
	function.  Now options are requested only if at least one package
	has been provided.
	(LaTeX-arg-usepackage-insert): New function.
	(LaTeX-arg-usepackage): Use
	`LaTeX-arg-usepackage-read-packages-with-options' and
	`LaTeX-arg-usepackage-insert'.
	(LaTeX-insert-usepackages): New function.
	(LaTeX-env-document): Use it.

	* doc/auctex.texi (Environments): Document new behavior of
	`LaTeX-env-document'.

	* doc/changes.texi: Mention it.

2014-02-20  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-command-extra-options): New customizable variable.
	(TeX-expand-list): New `%(extraopts)' expander.
	(TeX-command-list): Use `%(extraopts)'.

	* doc/auctex.texi (Processor Options): Document
	`TeX-command-extra-options'.

	* doc/changes.texi: Document it.

2014-02-10  Tassilo Horn  <tsdh@gnu.org>

	* style/english.el: New style for english documents so that
	`TeX-language-en-hook' gets run.

	* Makefile.in (STYLESRC): Activate it.

	* doc/auctex.texi (languages): Document it.

2014-02-04  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-auto-add-type): Convert to macro.

	* lpath.el: Don't silence byte-compiler.

	* latex.el (LaTeX-auto-style, LaTeX-auto-arguments)
	(LaTeX-auto-optional, LaTeX-auto-env-args): Defvar explicitly
	before use.

2014-01-29  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-command-query): Use default parameter of
	`completing-read'.

	* tex.el (TeX-insert-macro): Use default parameter of
	`completing-read'.

	* latex.el (LaTeX-environment, TeX-arg-document): Use default
	parameter of `completing-read'.

2014-01-22  Tassilo Horn  <tsdh@gnu.org>

	* style/shortvrb.el (LaTeX-shortvrb-chars): Move from
	tex-style.el.  Set default value to nil because just loading
	shortvrb does not make | a shortvrb char.  One needs to define it
	using \MakeShortVrb{\|}.  Extend the docstring so that it tells
	that one should usually set this variable only buffer-locally.
	(LaTeX-shortvrb-chars): Declare it as safe local variable.

	* font-latex.el (font-latex-add-to-syntax-alist): Call
	`font-latex-setup' to make syntactic font-lock changes effective.

2014-01-21  Berend de Boer  <berend@pobox.com>

	* context.el: distinguish between numbered and unnumbered sections.

2014-01-15  Mosè Giordano  <giordano.mose@libero.it>

	* style/babel.el: Update copyright years and specify last `babel'
	version supported.
	(LaTeX-babel-language-list): Expand language list to all languages
	mentioned in the last version of the manual.
	(LaTeX-babel-active-languages): Update in order to parse the
	`main' option and ignore the modifiers.
	(LaTeX-babel-package-options): Turn the variable into a function
	because now requires `TeX-read-key-val'.

2014-01-11  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-current-environment): Make search for `\begin'
	and `\end' case sensitive.
	(docTeX-in-macrocode-p): Ditto.
	(LaTeX-indent-calculate): Ditto.
	(LaTeX-find-matching-end): Ditto.
	(LaTeX-find-matching-begin): Ditto.

2014-01-06  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* tex-info.el (Texinfo-reftex-hook): Replace use of
	reftex-tables-dirty by that of reftex-default-label-alist-entries
	to trigger call to reftex-compile-variables in a standard way.
	The problem was that generating a TOC for a Texinfo file and then
	for a LaTeX file was not working for the LaTeX file because the
	Texinfo file was using LaTeX label style and as such
	reftex-ensure-compiled-variables was not calling
	reftex-compile-variables, which caused wrong
	reftex-everything-regexp for sections.

2014-01-06  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-math-insert): Use `TeX-electric-math' for
	consistency with `TeX-insert-dollar'.
	(LaTeX-math-cal): Ditto.

2013-12-24  Mosè Giordano  <giordano.mose@libero.it>

	* tex-style.el (LaTeX-fontspec-arg-font-search): New customizable
	variable.
	(LaTeX-fontspec-font-list-default): Ditto.

	* style/fontspec.el (LaTeX-fontspec-arg-font): New function.
	("fontspec"): Use it.

	* doc/changes.texi: Mention `LaTeX-fontspec-arg-font-search' and
	`LaTeX-fontspec-font-list-default'.

2013-12-20  Mosè Giordano  <giordano.mose@libero.it>

	* style/imakeidx.el ("imakeidx"): Move addition of options to
	`LaTeX-imakeidx-indexsetup-options' inside the hook.

	* Makefile.in (STYLESRC): Activate new styles.

	* style/fontspec.el: New style.

	* style/luacode.el: Ditto.

	* style/metalogo.el: Ditto.

	* style/unicode-math.el: Ditto.

2013-12-18  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-parse-error): Don't confuse ) in package
	messages with EOF.

2013-12-01  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-common-initialization): Move disabling of
	`electric-pair-mode' from `VirTeX-common-initialization'.  Disable
	it only if `LaTeX-electric-left-right-brace' is non-nil.

	* tex.el (VirTeX-common-initialization): See above.

2013-11-29  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (VirTeX-common-initialization): Disable
	`electric-pair-mode' (a global minor mode) in auctex buffers
	because it interferes with auctex's pairing feature.

2013-11-23  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-common-initialization):

	* tex.el (VirTeX-common-initialization): Move
	`LaTeX-narrow-to-environment' and `TeX-narrow-to-group' bindings
	to the AUCTeX maps because `narrow-map' is not defined in GNU
	Emacs < 22.2 and XEmacs.  Reported by Giacomo Boffi.

2013-11-13  Mosè Giordano  <giordano.mose@libero.it>

	* style/biblatex.el ("biblatex"): Declare expert macros and
	environments.

2013-11-11  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-next-error, TeX-previous-error): Call
	`next-error' also if last TeX command was a compile command (e.g.,
	Check, ChkTeX).
	(TeX-run-compile): Save compilation buffer in
	`TeX-command-buffer'.

2013-11-10  Ralf Angeli  <angeli@caeruleus.net>

	* bib-cite.el (bib-highlight-mouse): Change regexp to cope with
	multiple optional arguments of a macro.

2013-11-09  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-complete-make-expert-command-functions): Change
	signature of declare-expert functions.

	* doc/auctex.texi: Document it.

2013-11-08  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-complete-expert-commands): New defcustom.
	(TeX-complete-make-expert-command-functions): New macro.
	(TeX-insert-macro): Restrict completion depending on
	`TeX-complete-expert-commands'.
	(VirTeX-common-initialization): Ditto.

	* latex.el (LaTeX-environment, LaTeX-common-initialization):
	Restrict completion depending on `TeX-complete-expert-commands'.

	* tex-info.el (TeX-texinfo-mode): Restrict completion depending on
	`TeX-complete-expert-commands'.

	* doc/auctex.texi: Document normal vs. expert commands for users
	and style file authors.

	* doc/changes.texi: Mention normal vs. expert commands.

	* latex.el (LaTeX-common-initialization): Fix void-function
	LaTeX-symbol-list error.

2013-11-05  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Folding): Document `TeX-fold-auto' and
	`TeX-fold-unfold-around-mark'.

	* latex.el (TeX-arg-bibliography): Run style files associated to
	the bibliography database files.

	* style/biblatex.el ("biblatex"): Do not quote at all
	`TeX-arg-key-val' arguments.
	(LaTeX-arg-addbibresource): Run style file associated to the
	bibliography database file.

2013-11-03  Mosè Giordano  <giordano.mose@libero.it>

	* style/biblatex.el ("biblatex"): Quote `TeX-arg-key-val'
	arguments with `quote' special form istead of apostrophe.

2013-11-02  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-narrow-to-environment): New function, disabled
	by default.
	(LaTeX-common-initialization): Add key binding for
	`LaTeX-narrow-to-environment'.

	* tex.el (VirTeX-common-initialization): Add key binding for
	`TeX-narrow-to-group'.
	(TeX-narrow-to-group): New function, disabled by default.

	* doc/auctex.texi (Narrowing): Document narrowing commands.

	* doc/changes.texi: Mention narrowing commands.

2013-10-19  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (TeX-arg-file-name): New function.
	(TeX-arg-file-name-sans-extension): Ditto.
	(TeX-arg-version): Ditto.
	(LaTeX-common-initialization): Add completion for
	`ProvidesPackage', `ProvidesClass', and `ProvidesFile'.

	* doc/auctex.texi (Adding Macros): Document `TeX-arg-version',
	`TeX-arg-file-name', and `TeX-arg-file-name-sans-extension'.

2013-10-14  Tassilo Horn  <tsdh@gnu.org>

	* doc/changes.texi: Mention the enhanced tabular indentation.

	* style/longtable.el ("longtable"): Use `LaTeX-indent-tabular'
	also for longtable environment.

	* style/tabularx.el ("tabularx"): Use `LaTeX-indent-tabular' also
	for tabularx environment.

	* style/tabulary.el ("tabulary"): Use `LaTeX-indent-tabular' also
	for tabulary environment.

	* latex.el (LaTeX-indent-environment-list): Use
	`LaTeX-indent-tabular' also for array and eqnarray environments.

2013-10-14  Oleh Krehel  <ohwoeowho@gmail.com>

	* latex.el: `LaTeX-indent-tabular' now indents tabular-like
	environments.
	(LaTeX--tabular-like-end): new variable.
	(LaTeX-indent-environment-list): added `LaTeX-indent-tabular' as
	indenter for "tabular" and "align", added a setter that recomputes
	`LaTeX--tabular-like-end'
	(LaTeX-env-beginning-pos-col): new function.
	(LaTeX-hanging-ampersand-position): new function.
	(LaTeX-indent-tabular): new function.

	* tests/latex/latex-test.el : added an ERT test for
	`LaTeX-indent-tabular'
	(LaTeX-indent-tabular-test/in): input filename variable
	(LaTeX-indent-tabular-test/out): output filename variable

	* tests/latex/tabular-in.tex: input to latex-test.el

	* tests/latex/tabular-out.tex: input to latex-test.el

	* tex.el (TeX-how-many): added for compatibility with XEmacs.

2013-10-11  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Quotes): Fix typo.

	* doc/changes.texi: Ditto.

2013-10-10  Ikumi Keita  <ikumi@ikumi.que.jp>

	* doc/changes.texi: Document enhanced paired braces feature.

	* doc/auctex.texi: Ditto.

2013-10-06  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-insert-macro-default-style): Add new possible value
	`show-all-optional-args' and update doc-string accordingly.
	(TeX-parse-arguments): Use it.

	* doc/auctex.texi (Completion): Document `show-all-optional-args'.

	* doc/changes.texi: Mention `show-all-optional-args'.

	* tex.el (TeX-insert-braces-alist): New customizable variable.
	(TeX-insert-braces): Mention it in doc-string.
	(TeX-parse-macro): Use `TeX-insert-braces-alist'.

	* style/booktabs.el: Update copyright years.
	(LaTeX-booktabs-arg-paren): Let-bind `TeX-arg-opening-brace' and
	`TeX-arg-closing-brace' instead of `<' and `>'.
	("booktabs"): Add `toprule', `midrule', and `bottomrule' macros to
	`TeX-insert-braces-alist'.
	("booktabs"): Add a dummy `ignore' in `cmidrule' macro in order to
	reset `last-optional-rejected' to nil.

	* doc/auctex.texi (Completion): Document
	`TeX-insert-braces-alist'.

	* doc/changes.texi: Mention `TeX-insert-braces-alist'.

2013-09-27  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (TeX-arg-insert-braces): : Move
	`indent-according-to-mode' after `save-excursion' because
	`LaTeX-newline' (used in `save-excursion') deletes trailing
	whitespaces.

	* tex-buf.el (TeX-LaTeX-sentinel): Add support for hyperref "Rerun
	to get outlines right" messages.

2013-09-26  Ikumi Keita  <ikumi@ikumi.que.jp>

	* latex.el: Enhance brace pairing feature.
	(TeX-arg-insert-braces): Extend to be used with \bigl and its
	friends.
	(TeX-arg-insert-right-brace-maybe): New function.
	(LaTeX-insert-left-brace): New function.
	(LaTeX-insert-corresponding-right-macro-and-brace): New function.
	(LaTeX-find-preceeding-left-macro-name): New function.
	(LaTeX-electric-left-right-brace): New customization option.
	(LaTeX-left-right-macros-association): New variable.

	* style/amsmath.el ("amsmath"): Make use of the above change.
	\lvert and \lVert are paired with \rvert and \rVert, respectively.

2013-09-19  Mosè Giordano  <giordano.mose@libero.it>

	* style/siunitx.el ("siunitx"): Fix `radian' unit name.

2013-09-17  Fabrice Ben Hamouda  <fabrice_102@yahoo.fr>  (tiny change)

	* tex-buf.el (TeX-next-error, TeX-active-buffer): Fix a problem
	with `TeX-next-error' in multi-file documents.

2013-09-16  Tassilo Horn  <tsdh@gnu.org>

	* tex-info.el (TeX-texinfo-mode): Set
	`TeX-sentinel-default-function' to `TeX-TeX-sentinel'.

2013-09-09  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-check-files): Handle buffers that haven't been
	saved yet.

2013-09-02  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-electric-math): Fix defcustom choices.

	* bib-cite.el (bib-cite-minor-mode): Call `make-local-hook' only
	on XEmacs.

2013-08-03  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (TeX-arg-ref): New function.

	* doc/auctex.texi: Replace occurrences of `TeX-arg-label' with
	`TeX-arg-ref'.
	(Adding Macros): Document `TeX-arg-ref'.

	* style/fancyref.el ("fancyref"): Use `TeX-arg-ref' instead of
	`TeX-arg-label'.

	* style/latexinfo.el ("latexinfo"): Ditto.

	* style/nameref.el ("nameref"): Ditto.

	* style/varioref.el ("varioref"): Ditto.

	* style/subfigure.el ("subfigure"): Use `TeX-arg-ref' instead of
	`TeX-arg-label' and fix parentheses.

2013-07-31  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-math-initialize): Refactor top-level code into
	function.
	(LaTeX-math-list): Call `LaTeX-math-initialize' when setting the
	value in order to update the key bindings.
	Also shuffle around several definitions in order to get a
	declaration-before-use order.

2013-07-29  Mosè Giordano  <giordano.mose@libero.it>

	* doc/changes.texi: Add other changes.

	* doc/auctex.texi (Environments): Fix typo.

2013-07-27  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (BibTeX-auto-regexp-list): Remove `TeX-token-char' from
	the regexp since cite keys can start with non-letter characters,
	e.g., bibcodes start with year of publication.

2013-07-24  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-math-menu-unicode): Enable also on windows
	systems as it seems to work there, too.

2013-07-23  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-clean-default-intermediate-suffixes): Add `.fls',
	files created by TeX processors with `-recorder' option, and
	`-blx.bib', files created by `bibtex' when using the `biblatex'
	package.

	* doc/changes.texi: Document some changes for next release.

2013-07-22  Mosè Giordano  <giordano.mose@libero.it>

	* Makefile.in: Update copyright years.
	(GITFILES): Rename from `CVSFILES', adapt to Git.
	(COMMITTER): Get user name and email from Git configuration;
	escape `<', `>' and spaces.
	(install-el): Update reference to Git in comment.
	(release-commit): Adapt to Git; make sure committer name and email
	are encoded with ISO-8859-1 using the `iconv' program.
	(tar-ball): Adapt to Git.
	(preview-ball): Ditto.

	* auctex.spec (Provides): Update reference to Git in comment.

	* bib-cite.el: Update AUCTeX repository link in comment.

	* font-latex.el (font-latex-built-in-keyword-classes): Fix
	fontification of some biblatex macros.  Reported by Christian
	Knüpfer.
	(font-latex-built-in-keyword-classes): Revert changes made with
	commit 7531cca, they were useless.

2013-07-15  Mads Jensen  <mje@inducks.org>

	* style/tabulary.el: New style.

	* Makefile.in (STYLESRC): Activate new style tabulary.

2013-07-12  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Processor Options): Move
	`TeX-source-correlate-method' to `I/O Correlation' section.

2013-07-11  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Processor Options): Document
	`TeX-source-correlate-method'.

2013-07-09  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-default-tabular-environment): New variable.
	(LaTeX-env-figure): Use it instead of hard-coding "tabular".

	* style/tabularx.el ("tabularx"): Set
	`LaTeX-default-tabular-environment' to "tabularx".

2013-06-29  Mosè Giordano  <giordano.mose@libero.it>

	* bib-cite.el: Replace `save-excursion'+`set-buffer' with
	`with-current-buffer'.

	* tex-bar.el: Ditto.

	* tex-buf.el: Ditto.

	* tex.el: Replace `save-excursion'+`set-buffer' with
	`with-current-buffer'.  Delete trailing whitespaces.

	* tex-buf.el (TeX-error-file): Fix spelling error.
	(TeX-error): Ditto.

	* doc/install.texi (Configure): Update for Git.

	* doc/preview-readme.texi (Availability): Ditto.

	* doc/wininstall.texi: Ditto.

2013-06-26  Tassilo Horn  <tsdh@gnu.org>

	* doc/preview-problems.texi: Rename "Known problems" section to
	"Known problems with preview-latex" in rawfile export.  Delete
	sections "Problems with Ghostscript" and "Emacs problems" because
	those are basically ruled out when using the prerequisites
	documented in the manual.

	* doc/install.texi: Don't link to ghostscript specific
	preview-latex problems section because that has been removed.

	* doc/Makefile.in (DISTTEXTS, ../PROBLEMS.preview): Rename
	PROBLEMS to PROBLEMS.preview since it only deals with
	preview-latex problems.

	* Makefile.in (DISTTEXTS): Use PROBLEMS.preview instead of
	PROBLEMS.

2013-06-24  Tassilo Horn  <tsdh@gnu.org>

	* doc/Makefile.in (DISTTEXTS): Add ../PROBLEMS.

	* Makefile.in (DISTTEXTS): Add PROBLEMS.

	* tex.el (TeX-evince-dbus-p): Require dbus at compile-time.

2013-06-21  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-evince-dbus-p): Improved DBUS availability check.

2013-06-21  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* tex.el (TeX-doc-backend-alist): Remove unnecessary `info' check.

2013-06-14  Tassilo Horn  <tsdh@gnu.org>

	* tex-jp.el: Change to `coding: iso-2022-jp-unix'.

2013-06-12  Tassilo Horn  <tsdh@gnu.org>

	* tex-jp.el: Add `coding: iso-2022-7bit-unix' file local variable.

2013-06-11  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-help-error): Let-bind `inhibit-read-only' when
	updating the *TeX Help* buffer.

2013-06-11  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (TeX-after-document-hook): New hook.
	(TeX-arg-document): Use it.
	(LaTeX-after-usepackage-hook): New hook.
	(LaTeX-arg-usepackage): Use it, remove babel specific code.

	* style/babel.el: Update copyright years.
	(LaTeX-env-babel-lang): New function.
	("babel"): Add `LaTeX-env-babel-lang' to
	`LaTeX-after-usepackage-hook'.

2013-06-08  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-math-close-double-dollar): Remove.
	(TeX-math-close-single-dollar): Ditto.
	(TeX-electric-dollar): Ditto.
	(TeX-electric-math): New customizable variable, supersedes
	variables above.
	(TeX-insert-dollar): Adapt to `TeX-electric-math'.  See
	http://thread.gmane.org/gmane.emacs.auctex.devel/3070

	* doc/auctex.texi (Quotes): Document `TeX-electric-math'.
	(Environments): Document `LaTeX-find-matching-begin' and
	`LaTeX-find-matching-end'.

2013-06-02  Mosè Giordano  <giordano.mose@libero.it>

	* tex-buf.el: Shorten copyright year ranges and update with
	missing years.  Delete trailing whitespaces.
	(TeX-run-compile): Let-bind `default-directory' to
	`TeX-master-directory'.

2013-05-31  Tassilo Horn  <tsdh@gnu.org>

	* autogen.sh: Set LC_ALL=C when looking into ChangeLog for
	AUCTEXDATE.

2013-05-31  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-env-figure): Simplify using `save-excursion'
	instead of regexp searches.  Fill the caption when
	`auto-fill-mode' is on.

2013-05-30  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-expand-list): Add new expander "%a", it returns the
	quoted absolute path of the file visiting current buffer.
	(TeX-view-program-list-builtin): Use "%a" expander for forward PDF
	search.

2013-05-28  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-source-correlate-sync-source): Fix docstring.

2013-05-23  Mosè Giordano  <giordano.mose@libero.it>

	* font-latex.el: Update copyright years, there have been
	non-trivial changes in 2010, and 2011.
	(font-latex-built-in-keyword-classes): Fontify Biblatex multicites
	macros up to three mandatory arguments.

	* style/biblatex.el (LaTeX-biblatex-entrytype): New variable.
	(LaTeX-biblatex-executebibliographyoptions-options): New variable.
	(LaTeX-biblatex-language-list): New variable.
	(LaTeX-arg-biblatex-cites): New function.
	("biblatex"): Always set `LaTeX-using-Biber'.  Add citation
	macros.
	(LaTeX-biblatex-package-options-list): Move preamble options to
	`LaTeX-biblatex-executebibliographyoptions-options'.

2013-05-22  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el: Replace `delete-backward-char' with `delete-char'.

	* tex.el: Ditto.

	* tex-buf.el: Replace `goto-line' with `goto-char' and
	`forward-line'.

2013-05-19  Mosè Giordano  <giordano.mose@libero.it>

	* doc/.gitignore: Rename from .cvsignore.

	* preview/.gitignore: Ditto.

	* preview/latex/.gitignore: Ditto.

2013-05-18  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el: Update copyright years, there have been non-trivial
	changes in 1998, 2001, 2002.
	(TeX-arg-index-tag): Use `TeX-argument-prompt'.
	(TeX-arg-cite): Ditto.

	* tex.el: Update copyright years, there have been non-trivial
	changes in 1995, 1998.
	(TeX-parse-arguments): Move skipping of optional
	arguments inside loop over all arguments, because optional
	arguments may not be the first ones.  Remove unused let-bound
	variable `skip-opt'.
	(TeX-arg-literal): Remove FIXME comment, `optional' is the first
	argument passed to all functions by `TeX-parse-argument'.

2013-05-13  Mosè Giordano  <giordano.mose@libero.it>

	* style/fancyvrb.el: New style.

	* style/xparse.el: Ditto.

	* Makefile.in (STYLESRC): Add style/fancyvrb.el and
	style/xparse.el.

2013-05-12  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-insert-dollar): Insert just a single dollar when the
	point is in a verbatim-like construct.

	* font-latex.el (font-latex-jit-lock-force-redisplay): Don't rely
	on existing `jit-lock-force-redisplay' because recent bzr Emacs
	broke compatibility changing the number of arguments.  Reported by
	Robert Goldman.

2013-05-08  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Environments): Document
	`LaTeX-default-document-environment'.

2013-05-07  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-electric-dollar): New variable.
	(TeX-insert-dollar): Use it.

	* doc/auctex.texi (Quotes): Document `TeX-electric-dollar'.

2013-04-28  Mosè Giordano  <giordano.mose@libero.it>

	* tex-bar.el: Update copyright range.
	(TeX-bar-LaTeX-button-alist): Change BibTeX button to Biber when
	`LaTeX-using-biber' is non-nil.
	(LaTeX-install-toolbar): Refresh toolbar after styles update.

2013-04-25  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-default-document-environment): New buffer-local
	variable.
	(LaTeX-default-environment): Mention
	`LaTeX-default-document-environment' in doc-string.
	(LaTeX-environment): Use `LaTeX-default-document-environment'.

	* style/beamer.el ("beamer"): Use
	`LaTeX-default-document-environment' instead of
	`LaTeX-default-environment'.

	* style/letter.el ("letter"): Ditto.

	* style/slides.el ("slides"): Ditto.

2013-04-24  Mosè Giordano  <giordano.mose@libero.it>

	* style/acro.el (LaTeX-acro-acronym-history): New variable.
	(LaTeX-arg-acro-acronym): Use it.

	* style/acronym.el (LaTeX-acronym-acronym-history): New variable.
	(LaTeX-arg-acronym-acronym): Use it.

	* style/beamer.el (LaTeX-beamer-frametitle-history): New variable.
	("beamer"): Use it.
	(TeX-arg-beamer-frametitle): Ditto.

	* style/siunitx.el (LaTeX-siunitx-unit-history): New variable.
	(LaTeX-arg-siunitx-unit): Use it.

2013-04-21  Mosè Giordano  <giordano.mose@libero.it>

	* style/beamer.el ("beamer"): Set `frame' as default environment.
	Set `section' as largest sectioning level.  Add fontification for
	`title', `author', and `date'.

	* style/letter.el ("letter"): Set `letter' as default environment.
	Add some macros and fontification.

	* style/slides.el ("slides"): Set `slide' as default environment.

	* latex.el (TeX-arg-insert-braces): Move
	`indent-according-to-mode' after `save-excursion' because
	`LaTeX-newline' (used in `save-excursion') deletes trailing
	whitespaces.

2013-04-19  Mosè Giordano  <giordano.mose@libero.it>

	* style/amsthm.el (LaTeX-amsthm-package-options): New variable.
	("amsthm"): Remove `newtheorem' macro, already defined in
	`latex.el'.  Use `TeX-arg-define-environment' in `newtheorem*'
	macro.  Add `qedhere', `swapnumbers', and `newtheoremstyle'
	macros.  Add `newtheorem*' regexp to match new environments.  Add
	fontification.

	* style/article.el ("article"): Add counters and pagestyles.

	* style/beamer.el ("beamer"): Ditto.

	* style/book.el ("book"): Ditto.

	* style/letter.el (LaTeX-letter-class-options): New variable.
	("letter"): Add pagestyles.

	* style/report.el ("report"): Add counters and pagestyles.

	* style/slides.el (LaTeX-slides-class-options): New variable.
	("slides"): Add counters and pagestyles.

2013-04-18  Mosè Giordano  <giordano.mose@libero.it>

	* style/beamer.el: Update copyright years and remove trailing
	whitespaces.
	("beamer"): Run style hooks for loaded packages.
	(LaTeX-beamer-class-options): New function.

	* style/hyperref.el (LaTeX-hyperref-package-options-list): Rename
	from `LaTeX-hyperref-package-options' to avoid clash with the
	function with the same name.
	("hyperref"): Use it.
	(LaTeX-hyperref-package-options): Ditto.

2013-04-17  Mosè Giordano  <giordano.mose@libero.it>

	* plain-tex.el (plain-TeX-common-initialization): Fix typo in
	abbrev table name.

2013-04-16  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-default-author): New customizable variable.
	(LaTeX-arg-author): New function.
	(LaTeX-common-initialization): Use `LaTeX-arg-author' for the
	\author macro.
	(LaTeX-default-author): Change default to 'user-full-name (quoted)
	and add a new possible value.
	(LaTeX-arg-author): Change accordingly.

	* doc/auctex.texi (Itemize-like): Document `TeX-arg-item-label-p'
	option.
	(Tabular-like): Document `LaTeX-default-width' option.
	(Modes and Hooks): Add modes and hooks to indices.
	(Adding Macros): Document `TeX-arg-index-tag', `TeX-arg-index',
	`TeX-arg-document', `LaTeX-arg-usepackage', `TeX-arg-bibstyle',
	`TeX-arg-bibliography', `LaTeX-arg-author', `TeX-read-key-val',
	and `TeX-arg-key-val' functions.  Mention `TeX-arg-cite-note-p'
	and `LaTeX-default-author' options.
	(Adding Environments): Use in example code actually present in
	`listings.el' file.

2013-04-16  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-source-correlate-sync-source): Use `raise-frame'
	instead of the external wmctrl command to raise the emacs frame.

2013-04-15  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (TeX-read-key-val): Add `prompt' optional argument.
	(TeX-arg-key-val): Ditto.

	* tex.el (fboundp): Use `crm-separator' as separator in XEmacs
	`TeX-completing-read-multiple' implementation.

	* style/acro.el (LaTeX-arg-acro-key-val): Let-bind keymap with SPC
	key binding removed, instead of defining a new key binding for
	SPC.  Use `TeX-arg-key-val' instead of `multi-prompt-key-value'
	and `TeX-argument-insert'.

	* style/pst-node.el (LaTeX-pstnode-env-psmatrix): Replace
	`completing-read-multiple' with `TeX-completing-read-multiple'.

	* style/pstricks.el (LaTeX-package-parameters): Ditto.

	* style/siunitx.el (LaTeX-arg-siunitx-unit): Let-bind keymap with
	SPC key binding removed, instead of defining a new key binding for
	SPC.  Replace `completing-read-multiple' with
	`TeX-completing-read-multiple'.

2013-04-15  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-source-correlate-sync-source): Raise frame when
	placing point on the source location.

2013-04-12  Mosè Giordano  <giordano.mose@libero.it>

	* Makefile.in (STYLESRC): Add style/acro.el and style/acronym.el.

	* style/acro.el: New style.

	* style/acronym.el: Ditto.

2013-04-10  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-evince-sync-view): URL-escape pdf file path when
	calling evince via DBUS.
	(TeX-evince-sync-view): Use 0 as timestamp.
	(TeX-source-correlate-sync-source): URL-decode tex file name.

2013-04-10  Nicolas Richard  <theonewiththeevillook@yahoo.fr>  (tiny change)

	* style/mathtools.el (LaTeX-mathtools-key-val-options): Fix defvar
	syntax.

2013-04-10  Jobst Hoffmann  <j.hoffmann@fh-aachen.de>  (tiny change)

	* style/lscape.el ("lscape"): Fix typo and parentheses.

2013-04-09  Tassilo Horn  <tsdh@gnu.org>

	* README.GIT: Rename from README.CVS; update contents to Git.

2013-04-09  Leo Liu  <sdl.web@gmail.com>

	* latex.el (LaTeX-outline-level): Make it work for customized
	`outline-regexp'.  See bug report
	http://permalink.gmane.org/gmane.emacs.auctex.bugs/1648.

	* tex.el (TeX-view-program-list-builtin)
	(TeX-view-program-selection): Enable commented code to support
	darwin system.

	* tex.el (TeX-math-input-method-off-regexp): Improve and fix typo.
	See bug http://permalink.gmane.org/gmane.emacs.auctex.devel/2468.

	* font-latex.el (font-latex-add-to-syntax-alist): Fix a bug in
	`font-latex-add-to-syntax-alist' where it modified both the buffer
	local and global value of `font-latex-syntax-alist'.

2013-04-08  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (LaTeX-style-list): Correct docstring.

2013-04-06  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-provided-class-options-member): Fix typo.
	(LaTeX-arg-usepackage): Provide completion for more than one
	package in mandatory argument.

2013-04-05  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-global-class-files): New variable.
	(TeX-arg-document): Provide completion for class options, based on
	`LaTeX-arg-usepackage'.  Use `LaTeX-global-class-files'.
	(LaTeX-style-list): Mention that if `TeX-arg-input-file-search' is
	set to `t' this variable will be ignored.

	* tex.el (TeX-normal-mode): Reset `LaTeX-global-class-files' when
	ARG is non-nil.

	* style/article.el (LaTeX-article-class-options): New variable.

	* style/book.el (LaTeX-book-class-options): New variable.

	* style/report.el (LaTeX-report-class-options): New variable.

2013-04-03  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-provided-class-options): New buffer-local
	variable.
	(LaTeX-provided-class-options-member): New function.
	(LaTeX-provided-package-options): New buffer-local variable.
	(LaTeX-provided-package-options-member): New function
	(LaTeX-auto-cleanup): Rewrite to support
	`LaTeX-provided-{class,package}-options' variables.
	(LaTeX-arg-usepackage): Ditto.

	* tex.el (TeX-auto-store): Write to parsed file values of
	`LaTeX-provided-{class,package}-options' variables.
	(TeX-auto-insert): Fix indentation of inserted lines.
	(TeX-search-files-by-type): Fix typo in doc-string.
	(TeX-add-to-alist): New function.
	(TeX-quote-language-alist): Fix typo in doc-string.

	* style/babel.el (LaTeX-babel-package-options): Add missing
	languages.
	(LaTeX-babel-package-options): Add options other than
	languages.
	(LaTeX-babel-active-languages): Use
	`LaTeX-provided-{class,package}-options'.  Loop over actually
	used options instead of all babel languages.
	("babel"): Run styles of active languages.

	* style/biblatex.el ("biblatex"): Use
	`LaTeX-provided-package-options-member'.
	(LaTeX-biblatex-package-options): Consider the `ask' value for
	'TeX-arg-input-file-search'.

	* style/kpfonts.el ("kpfonts"): Use
	`LaTeX-provided-package-options-member'.

	* style/siunitx.el: Rename `TeX-siunitx-*' functions to
	`LaTeX-siunitx-*' for consistency.
	("siunitx"): Use `LaTeX-provided-package-options-member'.

2013-03-29  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (TeX-arg-document): Search for LaTeX classes.

2013-03-28  Mosè Giordano  <giordano.mose@libero.it>

	* style/biblatex.el (LaTeX-biblatex-package-options): Correct name
	of `TeX-read-key-val' argument.

	* latex.el (LaTeX-common-initialization): Remove `addbibresource'
	macro.

	* style/biblatex.el (LaTeX-biblatex-addbibresource-options): New
	variable.
	(LaTeX-arg-addbibresource): New function, based on current
	`TeX-arg-bibliography'.
	("biblatex"): Add `addbibresource' macro.
	(LaTeX-biblatex-package-options): Use `TeX-read-key-val'.

	* latex.el (TeX-arg-bibliography): Remove `addbibresource'
	support.

2013-03-27  Mosè Giordano  <giordano.mose@libero.it>

	* tex.el (TeX-add-local-master): Remove trailing spaces from
	inserted lines.

2013-03-07  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (TeX-read-key-val): New function.
	(TeX-arg-key-val): Use `TeX-read-key-val'.

	* style/hyperref.el (LaTeX-hyperref-package-options): Use
	`TeX-read-key-val' instead of `TeX-arg-key-val' which caused args
	to be inserted twice.

	* style/siunitx.el (LaTeX-siunitx-package-options): Ditto.

2013-03-06  Mads Jensen  <mje@inducks.org>

	* style/amsopn.el: Add GPL copyright notice.
	("amsopn"): Add regex for \DeclareMathOperator to
	`LaTeX-auto-regexp-list'.  Use `TeX-arg-define-macro' for
	\DeclareMathOperator.

2013-03-06  Mads Jensen  <mje@inducks.org>

        * tex.el (TeX-command-list): Add support for xindy.

2013-03-06  Mads Jensen  <mje@inducks.org>

	* latex.el (LaTeX-common-initialization): Add regular expression
	for thispagestyle and pagestyle to `TeX-complete-list'.

2013-03-04  Tassilo Horn  <tsdh@gnu.org>

	* latex.el (TeX-arg-date): New function.
	(LaTeX-common-initialization): Use `TeX-arg-date' for \date macro.

	* doc/auctex.texi: Document `TeX-arg-date'.

	* style/doc.el ("doc"): Use `TeX-arg-date' for the \changes macro.

2013-02-26  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-run-style-hooks): Guard running style hooks in a
	`condition-case' in order not to error in cases the auto file
	contains calls to functions that are defined by a style that has
	been deactivated in the meantime.

2013-02-25  Werner Fink  <werner@suse.de>

	* style/dinbrief.el ("dinbrief"): Update dinbrief style.
	(LaTeX-dinbrief-insert): New macro.
	(LaTeX-dinbrief-style): New function.
	(LaTeX-dinbrief-env-recipient): Rename from
	`LaTeX-recipient-hook'.
	(LaTeX-dinbrief-sender): New function.
	(LaTeX-dinbrief-recipient): New function.
	(LaTeX-dinbrief-today): Rename from `LaTeX-today'.

2013-02-25  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-parse-macro): Add TeX group characters also in math
	environments if there is an active region that should probably
	used as argument.

	* latex.el (LaTeX-paragraph-commands-internal): Add \clearpage and
	\newpage.

	* style/scrbase.el ("scrbase"): Add \minisec macro to
	`LaTeX-paragraph-commands' locally.

2013-02-23  Mosè Giordano  <giordano.mose@libero.it>

	* style/kpfonts.el: New style file.

	* Makefile.in (STYLESRC): Add style/kpfonts.el.

2013-02-20  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-math-default): Move `digamma' and `varkappa' to
	`AMS > Greek Lowercase' menu.

2013-02-18  Mads Jensen  <mje@inducks.org>

	* Makefile.in (STYLESRC): Activate new style array.el.

	* style/array.el: New style.

	* style/tabularx.el: Expand copyright range.
	("tabularx"): The package relies on the array package, so run its
	style hook.

2013-02-18  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (require): Require crm.

	* multi-prompt.el (multi-prompt-key-value): Don't require crm here
	because it has already been required in tex.el.

2013-02-16  Mosè Giordano  <giordano.mose@libero.it>

	* style/biblatex.el ("biblatex"): Add hooks for loaded packages.
	(LaTeX-biblatex-package-options): New function.
	(LaTeX-biblatex-package-options-list): Renamed from
	`LaTeX-biblatex-package-options' to avoid clash with the function
	with the same name.

	* latex.el (LaTeX-search-files-type-alist): Add `bbxinputs'.
	(BibLaTeX-global-style-files): New variable.

	* tex.el (BibLaTeX-style-extensions): New variable.
	(TeX-normal-mode): Make ARG argument optional.
	(TeX-normal-mode): Reset `BibLaTeX-global-style-files' when ARG is
	non-nil.

2013-02-14  Mosè Giordano  <giordano.mose@libero.it>

	* style/siunitx.el (LaTeX-siunitx-package-options): New function.

	* style/hyperref.el (LaTeX-hyperref-package-options): New
	function.

2013-02-13  Mads Jensen  <mje@inducks.org>

	* style/subfigure.el: Expanded copyright range.
	("subfigure"): Collapsed the two regular expressions for
	completion.  Added lengths, and commands for fonts.

2013-02-14  Tassilo Horn  <tsdh@gnu.org>

	* style/fancyhdr.el (TeX-arg-fancyhdr-position): Document the
	OPTIONAL argument.

2013-02-14  Mads Jensen  <mje@inducks.org>

	* Makefile.in (STYLESRC): Activate new style fancyhdr.el.

	* style/fancyhdr.el: New style.

2013-02-13  Mosè Giordano  <giordano.mose@libero.it>

	* doc/auctex.texi (Quotes): Document
	`TeX-math-close-single-dollar'.
	(Selecting a Command): Remove reference to
	`LaTeX-biblatex-use-Biber'.
	(Parsing Files): Document `LaTeX-auto-index-regexp-list',
	`LaTeX-auto-class-regexp-list',
	`LaTeX-auto-pagestyle-regexp-list',
	`LaTeX-auto-counter-regexp-list', `LaTeX-auto-length-regexp-list',
	`LaTeX-auto-savebox-regexp-list'.

	* tex.el (TeX-math-close-single-dollar): New variable.
	(TeX-insert-dollar): Use it.

2013-02-13  Tassilo Horn  <tsdh@gnu.org>

	* Makefile.in (STYLESRC): Activate new style filecontents.el.

2013-01-23  Mads Jensen  <mje@inducks.org>

	* style/filecontents.el: New style.

2013-02-13  Tassilo Horn  <tsdh@gnu.org>

	* Makefile.in (STYLESRC): Activate new style fancynum.el.

2013-02-08  Mads Jensen  <mje@inducks.org>

	* style/fancynum.el: New style.

2013-02-13  Tassilo Horn  <tsdh@gnu.org>

	* Makefile.in (STYLESRC): Activate new style nameref.el.

2013-02-13  Mads Jensen  <mje@inducks.org>

	* doc/auctex.texi (Adding Macros): Mention that `TeX-arg-savebox'
	now supports completion.

	* style/nameref.el: New style.

	* style/hyperref.el ("hyperref"): Run nameref style hook because
	hyperref activates nameref.

2013-02-10  Mosè Giordano  <giordano.mose@libero.it>

        * style/siunitx.el ("siunitx-unit"): New type for the parser.
        (LaTeX-siunitx-regexp): New variable.
        (LaTeX-auto-siunitx-unit): New variable.
        (LaTeX-siunitx-prepare): New function.
        (LaTeX-siunitx-cleanup): New function.
        (TeX-auto-prepare-hook): Add `LaTeX-siunitx-prepare' function.
        (TeX-auto-cleanup-hook): Add `LaTeX-siunitx-cleanup' function.
        (TeX-arg-siunitx-unit): New function.
        (TeX-arg-define-siunitx-unit): New function.
        ("siunitx"): Add `LaTeX-siunitx-regexp' to list of regexps used
	for parsing.
        ("siunitx"): Use `TeX-arg-siunitx-unit' and
	`TeX-arg-define-siunitx-unit' functions.
        ("siunitx"): Use `LaTeX-add-siunitx-units' for adding siunitx unit
	macros to the list of known units.

2013-02-08  Mosè Giordano  <giordano.mose@libero.it>

	* style/biblatex.el: Update copyright range.
	("biblatex"): Check `backend' option value in
	`TeX-active-styles'.

	* tex-style.el: Update copyright years.
	(LaTeX-biblatex-use-Biber) Remove unused variable.

	* tex.el: Update copyright range.
	(TeX-auto-add-type): Append new type to `TeX-auto-parser' instead
	of prepending it.
	(TeX-auto-store): Fix indentation of first lines of parsed file.

	* latex.el (LaTeX-auto-cleanup): Append options and styles to
	`TeX-auto-file' instead of prepending them.

2013-01-28  Mads Jensen  <mje@inducks.org>

	* doc/todo.texi (Wishlist): Remove "Completion for sboxes".

2013-01-27  Mads Jensen  <mje@inducks.org>

	* latex.el (LaTeX-env-contents): Replaced regular expression with
	`LaTeX-header-end', i.e., filecontents environments must go
	somewhere in the preamble but not necessarily before the
	\documentclass.

2013-01-26  Mads Jensen  <mje@inducks.org>

	* latex.el (LaTeX-auto-savebox-regexp-list): New variable.
	(LaTeX-auto-regexp-list): Use `LaTeX-auto-savebox-regexp-list'.
	("savebox"): New type for the parser.
	(TeX-arg-savebox): Use `LaTeX-savebox-list' for completion and
	`definition' argument.
	(LaTeX-common-initialization): Added makeatletter, makeatother,
	and jobname macros.
	(LaTeX-default-options): Changed documentstyle to documentclass in
	docstring.

2013-01-25  Mosè Giordano  <giordano.mose@libero.it>

	* style/siunitx.el ("siunitx"): Add `\gram' and
	`\SendSettingsToPgf'.

2013-01-25  Tassilo Horn  <tsdh@gnu.org>

	* tex-buf.el (TeX-output-mode): Make revert-buffer-function buffer
	local before setting it to TeX-output-revert-buffer.

2013-01-24  Ivan Andrus  <darthandrus@gmail.com>

	* auctex.texi: Updated documetation about ChkTeX and lacheck.
	Fixed typos.

2013-01-24  Ivan Andrus  <darthandrus@gmail.com>

	* tex-buf.el (TeX-output-revert-buffer): New function.
	(TeX-special-mode, TeX-output-mode): New major modes.
	(TeX-special-mode-map, TeX-output-mode-map): New variables.

2013-01-21  Tassilo Horn  <tsdh@gnu.org>

	* Makefile.in (STYLESRC): Activate new style placeins.el.

2013-01-21  Ivan Andrus  <darthandrus@gmail.com>

	* texmathp.el (texmathp-tex-commands-default): Add \shortintertext.

2013-01-19  Mads Jensen  <mje@inducks.org>

	* style/placeins.el: New style.

2013-01-17  Tassilo Horn  <tsdh@gnu.org>

	* doc/todo.texi: Remove the todo concerning completion for
	counters that was implemented by Mosè Giordano on 2013-01-15.

	* doc/auctex.texi: Document `TeX-arg-length' and
	`TeX-arg-define-length'.

2013-01-16  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-auto-length-regexp-list): New variable.
	(LaTeX-auto-regexp-list): Use `LaTeX-auto-length-regexp-list'.
	("length"): New type for the parser.
	(TeX-arg-length): New function.
	(TeX-arg-define-length): New function.
	(LaTeX-common-initialization): Initialize some standard LaTeX
	lengths and use `TeX-arg-length' and `TeX-arg-define-length' for
	completion of some macros.

2013-01-15  Tassilo Horn  <tsdh@gnu.org>

	* doc/auctex.texi: Document that `TeX-arg-counter' does completion
	now.

2013-01-15  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el (LaTeX-auto-pagestyle-regexp-list): Fix typo.
	(LaTeX-auto-counter-regexp-list): New variable.
	(LaTeX-auto-regexp-list): Use `LaTeX-auto-counter-regexp-list'.
	("counter"): New type for the parser.
	(TeX-arg-counter): Use `LaTeX-counter-list' function for
	completion and `definition' argument.
	(TeX-arg-pagestyle): Use `definition' argument.
	(LaTeX-common-initialization): Initialize counters.

2013-01-14  Tassilo Horn  <tsdh@gnu.org>

	* style/ulem.el (LaTeX-arg-fontdecl, LaTeX-arg-fontcmd): Fix
	declarations.

2013-01-13  Mads Jensen  <mje@inducks.org>

	* style/pstricks.el (LaTeX-pstricks-package-options): New
	variable.

	* style/varioref.el: Update copyright range.
	("varioref"): Add more definitions.
	(LaTeX-varioref-package-options): Reformat.

	* style/listings.el: Update copyright range.
	(LaTeX-listings-key-val-options, "listings")
	(LaTeX-listings-package-options): Update to recent listings
	version.

2013-01-14  Tassilo Horn  <tsdh@gnu.org>

	* Makefile.in (STYLESRC): Enable memoir.el style.

2013-01-14  Mads Jensen  <mje@inducks.org>

	* style/memoir.el: New style.

2013-01-14  Mosè Giordano  <giordano.mose@libero.it>

        * latex.el (TeX-arg-environment): Fix typo.

2013-01-10  Mosè Giordano  <giordano.mose@libero.it>

	* latex.el: Update copyright range.
	(LaTeX-auto-pagestyle-regexp-list): New variable.
	(LaTeX-auto-regexp-list): Use `LaTeX-auto-pagestyle-regexp-list'.
	("pagestyle"): New type for the parser.
	(LaTeX-pagestyle-list): Remove.
	(TeX-arg-pagestyle): Use `LaTeX-pagestyle-list' function for
	completing.
	(LaTeX-common-initialization): Initialize pagestyles.

	* style/imakeidx.el: Use `LaTeX-pagestyle-list' function to set
	`firstpagestyle' option values.

2013-01-11  Ivan Andrus  <darthandrus@gmail.com>

	* tex.el (TeX-command-list): Add command to run ChkTeX.

2013-01-11  Tassilo Horn  <tsdh@gnu.org>

	* Makefile.in (STYLESRC): Add new style files kantlipsum.el,
	lipsum.el, and longtable.el.

2013-01-10  Mosè Giordano  <giordano.mose@libero.it>

	* style/kantlipsum.el: New style.

	* style/lipsum.el: Ditto.

	* style/longtable.el: Ditto

2013-01-10  Mads Jensen  <mje@inducks.org>

	* latex.el (LaTeX-env-document): Only insert \documentclass in
	case the document does not already contain one.

2013-01-09  Ralf Angeli  <angeli@caeruleus.net>

	* style/epigraph.el ("epigraph"): Do not quote list entries for
	`font-latex-add-keywords'.

2013-01-07  Ralf Angeli  <angeli@caeruleus.net>

	* style/mathtools.el ("mathtools"): Prevent amsmath options from
	being added multiple times.

	* style/footmisc.el ("footmisc"): Remove fontification settings
	for length macros.

2013-01-06  Ralf Angeli  <angeli@caeruleus.net>

	* style/mathtools.el ("mathtools"): Append amsmath options to
	mathtools option after the amsmath style file has been loaded.
	Remove `function' wrapper.

2013-01-05  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (STYLESRC): Activate new style files.

	* ChangeLog: Move name of style file contributors to head of
	ChangLog entries.

2013-01-02  Tassilo Horn  <tsdh@gnu.org>

	* style/everysel.el: Fix typos.

2013-01-02  Mads Jensen  <mje@inducks.org>

	* style/afterpage.el: New style.

2012-12-30  Mosè Giordano  <giordano.mose@libero.it>

        * latex.el (LaTeX-pagestyle-list): New variable.
	(TeX-arg-pagestyle): Use it.

        * style/imakeidx.el: New style.

2012-12-29  Ikumi Keita <ikumi@ikumi.que.jp>

	* doc/tex-ref.tex: Fix apparent errors and add keybind entries for
	C-c ? and `:' (in math mode).

2012-12-28  Mads Jensen  <mje@inducks.org>

	* style/multirow.el: New style.

2012-12-27  Mosè Giordano  <giordano.mose@libero.it>

	* style/siunitx.el (LaTeX-siunitx-package-options): New variable.
	("siunitx"): Use it.

	* style/hyperref.el (LaTeX-hyperref-href-options): New variable.
	(LaTeX-hyperref-package-options, "hyperref"): Use it.

2012-12-27  Mads Jensen  <mje@inducks.org>

	* style/mflogo.el: New style.

	* style/epigraph.el: Ditto.

2012-12-27  Ikumi Keita <ikumi@ikumi.que.jp>

	* amsmath.el ("amsmath"): Add support for the alignedat
	and subarray environments.  Also, add support for the shoveright
	and shoveleft macros.
	* font-latex.el (font-latex-math-environments): Add "xxalignat"
	and "flalign".

2012-12-26  Mads Jensen  <mje@inducks.org>

	* style/lscape.el: New style.

	* style/amssymb.el: Ditto.

	* style/ragged2e.el: Ditto.

	* style/mathtools.el: Ditto.

	* style/everysel.el: Ditto.

	* style/bigstrut.el: Ditto.

	* style/bigdelim.el: Ditto.

2012-12-25  Mads Jensen  <mje@inducks.org>

	* style/ulem.el: New style.

2012-12-25  Ikumi Keita <ikumi@ikumi.que.jp>

	* latex.el (LaTeX-math-default): Added unicode character position
	to some entries and "mathring" entry.
	(LaTeX-common-initialization): Added support for accent macros
	\hat, \dot etc and \textasteriskcentered.

2012-12-24  Mads Jensen  <mje@inducks.org>

	* style/footmisc.el: New style.

2012-12-21  Mosè Giordano  <giordano.mose@libero.it>

	* style/bm.el: New style.

	* style/siunitx.el: Ditto.

2012-12-20  Tassilo Horn  <tsdh@gnu.org>

	* tex-bar.el (TeX-bar-LaTeX-buttons, TeX-bar-LaTeX-button-alist):
	Also add spell button.

	* images/spell.xpm: New image, copied from Emacs.

	* tex-bar.el (TeX-bar-TeX-button-alist): Use it for the spell
	button.

2012-12-20  Tassilo Horn  <tsdh@gnu.org>

	* tex-bar.el (TeX-bar-TeX-button-alist, TeX-bar-TeX-buttons): Add
	`spell' button to run spell-checker.

2012-12-04  Tassilo Horn  <tsdh@gnu.org>

	Merge revno 314 (Stefan Monnier) from emacs elpa branch: Shorten
	copyright year ranges.

	* context.el:

	* doc/auctex.texi:

	* doc/changes.texi:

	* doc/install.texi:

	* font-latex.el:

	* latex.el:

	* style/letter.el:

	* tex-fold.el:

	* tex-jp.el:

	* tex.el:

2012-11-30  Ralf Angeli <angeli@caeruleus.net>

	* Version 11.87 released.

2012-11-30  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-evince-dbus-p): Make last change a little more
	conventional.

2012-11-30  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-evince-dbus-p): Check for feature emacs in order not
	to signal an error on XEmacs.

2012-11-29  Ralf Angeli  <angeli@caeruleus.net>

	* RELEASE, configure.ac, doc/auctex.texi, doc/changes.texi,
	doc/install.texi, doc/tex-ref.tex: Update for upcoming release.

2012-11-26  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-split-bibs): Add doc string and use variable for
	Biber file extensions.
	(LaTeX-search-files-type-alist): Add entry for Biber.
	(BibTeX-Biber-global-files): Remove.
	(BibTeX-global-files): Reintroduce.
	(TeX-Biber-global-files): New variable.
	(TeX-arg-bibliography): Check if Biber or BibTeX is used and react
	accordingly.

	* tex-buf.el (TeX-check-files): Do not check duplicate extensions.
	(TeX-command-query, TeX-LaTeX-sentinel): Use separate variables
	for BibTeX and Biber file extensions.
	(TeX-synchronous-sentinel): Use `let' instead of `let*'.

	* tex.el (TeX-clean-default-intermediate-suffixes): Add suffixes
	for biblatex.
	(TeX-auto-generate, TeX-auto-generate-global): Use separate
	variables for BibTeX and Biber file extensions.
	(TeX-Biber-file-extensions): New variable.
	(BibTeX-Biber-file-extensions): Remove.
	(BibTeX-file-extensions): Reintroduce.
	(TeX-search-files-type-alist): Use `BibTeX-file-extensions'.
	(TeX-normal-mode): Use separate variables for BibTeX and Biber
	global files.

2012-07-17  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* tex-info.el (Texinfo-reftex-hook): Added function.
	(TeX-texinfo-mode): Added RefTeX plugging.

2012-11-23  Tassilo Horn  <tsdh@gnu.org>

	* doc/quickstart.texi (Quick Start): Document that one mustn't
	load auctex.el if AUCTeX is installed from ELPA.

	* doc/install.texi (Installation): Mention installation from ELPA.

2012-11-20  Davide G. M. Salvetti  <salve@debian.org>

        * doc/tex-ref.tex (column{preview-latex}): Fix typo.  Reported by
        Sébastien Villemot.  Update copyright information.

2012-11-14  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-auto-regexp-list): Remove entries for Biber.
	(LaTeX-biber): Remove.
	(LaTeX-listify-package-options): Rewrite so that the function can
	deal with key=value pairs.
	(LaTeX-always-use-Biber): Remove.
	(LaTeX-using-Biber): Add doc string and make buffer-local.

	* tex-style.el (LaTeX-biblatex-use-Biber): New variable.

	* doc/auctex.texi (top): Remove reference to
	`LaTeX-always-use-Biber'.
	(Selecting a Command): Mention Biber and
	`LaTeX-biblatex-use-Biber'.

	* Makefile.in (STYLESRC): Add style/biblatex.el.

	* style/biblatex.el: New file.

2012-11-05  Tassilo Horn  <tsdh@gnu.org>

	* tex.el (TeX-doc-extensions): Fix typo.  This variable was
	formerly named TeX-doc-extenstions.

2012-10-04  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-jp.el: Repair coding from iso-2022-7bit to iso-2022-jp.

2012-10-03  Ralf Angeli  <angeli@caeruleus.net>

	* tex-jp.el: Repair coding.

2012-10-02  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* tex-jp.el (japanese-TeX-engine-default)
	(TeX-engine-alist-builtin, japanese-TeX-use-kanji-opt-flag): New
	defcustoms.
	(japanese-TeX-coding-ejsu, japanese-TeX-get-encoding-string): New
	functions.
	(japanese-TeX-command-list): Support %(kanjiopt).
	(TeX-expand-list): Support new option kanjiopt, bibtex, makeindex,
	mendexkopt, xdvi.
	(TeX-view-predicate-list-builtin): Judge paper.
	(TeX-view-program-list): Support dviout paper size, and other DVI
	previewers in Mac and others.
	(TeX-view-program-selection): Add Dviout, TeXworks and Preview.
	(LaTeX-command-style): Support uplatex.
	(japanese-plain-tex-mode-initialization): Use TeX-engine-set.
	(japanese-latex-mode-initialization): Ditto.

	* tex-jp.el: Comment fix.
	(TeX-error-description-list): Doc fix.

2012-09-27  Joost Kremers  <joostkremers@fastmail.fm>  (tiny change)

	* tex-buf.el (TeX-check-files): Use mapcar instead of cl's map.

2012-09-16 Philip Kime  <Philip@kime.org.uk>  (tiny change)

	* tex-buf.el (TeX-LaTeX-sentinel): Detect generic rerun message
	from biblatex

2012-09-14  Ken Brown  <kbrown@cornell.edu>  (tiny change)

	* doc/auctex.texi (top): Mention LaTeX-always-use-Biber.

	* doc/tex-ref.tex: Add Biber.

2012-09-13  Tassilo Horn  <tsdh@gnu.org>

	Merge Biber support developed by Philip Kime
	<philkime@kime.org.uk>.
	* doc/changes.texi: Mention Biber support.

	* tex.el (TeX-command-list, TeX-auto-generate)
	(TeX-auto-generate-global, TeX-search-files-type-alist)
	(TeX-normal-mode): Adapt.
	(TeX-command-Biber): New defcustom.
	(BibTeX-Biber-file-extensions): Renamed from
	BibTeX-file-extensions.

	* tex-buf.el (TeX-save-document, TeX-check-files)
	(TeX-command-query, TeX-LaTeX-sentinel): Adapt.
	(TeX-Biber-sentinel, TeX-run-Biber): New functions.

	* latex.el (LaTeX-auto-regexp-list, LaTeX-auto-cleanup)
	(TeX-arg-bibliography, LaTeX-common-initialization): Adapt.
	(LaTeX-biber, LaTeX-split-bibs, LaTeX-using-Biber)
	(LaTeX-always-use-Biber): New functions and vars.
	(BibTeX-Biber-global-files): Renamed from BibTeX-global-files.

	* font-latex.el (font-latex-built-in-keyword-classes)
	(font-latex-add-keywords): Adapt.

2012-06-21  Patrice Dumas  <pertusus@free.fr>  (tiny change)

	* doc/preview-latex.texi (The preview images): Place index command
	`@pindex dvipng' on a line of its own.

	* doc/macros.texi: Replace user macro `@sans' by user macro
	`@sansserif' and make definition conditional against flag
	no-sansserif as `@sansserif' is a Texinfo macro and does not need
	to be redefined.

	* doc/macros.texi: Suppress user macro `@LaTeX' as this macro is
	already defined in Texinfo.

	* doc/quickstart.texi (Editing Facilities): Use texinfo
	`@sansserif' macro rather than user macro `@sans'.

	* doc/auctex.texi (Font Specifiers): Use texinfo `@sansserif'
	macro rather than user macro `@sans'.

2012-08-14  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-correlate-determine-method): Match --synctex
	as well as -synctex.

2012-07-04  Tassilo Horn  <tassilo@member.fsf.org>

	* doc/changes.texi: Mention Evince forward/backward search
	changes.

2012-07-03  Tassilo Horn  <tassilo@member.fsf.org>

	* font-latex.el (byte-code-function-p): Reference the generated
	functions with font-latex-match prefix.  See Emacs bug 11837.

2012-06-22  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-evince-dbus-p): Add check for
	`dbus-register-signal', which might be unavailable if emacs was
	configured with --without-dbus.

2012-04-26  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-engine-set): Fix docstring leading to a misplaced
	interactive spec warning.

2012-04-25  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-evince-dbus-p): Improve check for emacs's dbus
	support.

2012-04-11  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-evince-sync-view): Work around emacs integer limits.
	Also provide the current column to Evince.
	(TeX-evince-dbus-p): Also check the signature of Evince's
	FindDocument DBUS method, which is only stable since evince 3.0.

2012-04-10  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-evince-sync-view): Fix arithmetic range error.
	(TeX-evince-dbus-p): Add parameter to extend the check depending
	on wanted features (e.g., forward search).
	(TeX-view-program-list-builtin): Use it.

2012-04-08  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-evince-dbus-p): New function.
	(TeX-evince-sync-view): New function.
	(TeX-view-program-list-builtin): Use Evince's DBUS interface for
	forward search if available.
	(TeX-source-correlate-mode): Use TeX-evince-dbus-p.

2012-01-11  Ralf Angeli  <angeli@caeruleus.net>

	* style/setspace.el ("setspace"): Correct quoting.

2011-09-18  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Marking): Make a few corrections throughout the
	section.
	(Adding Macros): Document special values for numbers used together
	with `TeX-add-symbols'.

2011-09-18  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* doc/auctex.texi: Add documentation for functions
	LaTeX-mark-section, LaTeX-mark-environment, Texinfo-mark-section,
	Texinfo-mark-environment and Texinfo-mark-node.

2011-08-24  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-synctex-output-page): TeXLive 2011's synctex wants
	absolute file names with dot indicating the master, like
	/foo/bar/./baz/chap1.tex.  So add this as another variant.
	(TeX-view-program-list-builtin): Use evince's -i,--page-index
	switch instead of -p,--page-label if that evince version supports
	it (>=3.0.x).

2011-08-07  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fill-move-to-break-point): Take characters after
	closing dollar sign into account when deciding to break before
	inline math.

2011-07-12  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-search-files-kpathsea): Check if directories are
	accessible.

2011-07-11  Vincent Belaïche  <vincentb1@users.sourceforge.net>

	* tex-info.el (Texinfo-mark-environment, Texinfo-mark-section)
	(Texinfo-mark-node): New defun.
	(Texinfo-mode-map): added key bindings for
	Texinfo-mark-environment, Texinfo-mark-section, and
	Texinfo-mark-node.

2011-06-19  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-engine-alist-builtin): Add --jobname to luatex and
	lualatex calls.
	(TeX-engine-alist-builtin): Remove --jobname again for luatex but
	not for lualatex.

2011-06-05  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-source-correlate-sync-source): Restore Emacs 21
	compatibility.

2011-05-26  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-source-correlate-sync-source): Adapt to handle
	file:// URLs.

2011-05-15  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (STYLESRC): Add style/setspace.el.

	* tex.el (TeX-expand-list): Add a safeguard to the %(outpage)
	expander for when an output page function returns nil.

2011-05-09  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-synctex-output-page-1): New function for calling
	synctex.
	(TeX-synctex-output-page): Use it, and try relative file names
	with and without leading ./ when calling synctex before falling
	back to page 1.
	(TeX-source-correlate-sync-source): Add &rest parameter, because
	Evince 3 sends an additional (ignored) parameter via dbus.

2011-05-01  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-tree-expand): Use a different test to check for an
	absolute path on Windows.

	* font-latex.el (font-latex-built-in-keyword-classes): Add
	definition for \rule and remove the one for \sbox.

2011-04-25  Ralf Angeli  <angeli@caeruleus.net>

	* style/setspace.el: Add support for changing \displayskipstretch.

2011-04-25  Mads Jensen  <mje@inducks.org>

	* style/setspace.el: New file.

2011-04-25  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-style-list): Add memoir.

2011-04-20  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fold.el (TeX-fold-expand-spec): Make sure the expansion of a
	placeholder is not processed again.

2011-04-15  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-built-in-keyword-classes): Make a few
	additions and corrections.

	* latex.el (LaTeX-common-initialization): Prompt for file
	extension instead of name when inserting \addcontentsline or
	\addtocontents.

2011-04-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-correlate-mode): Check for D-Bus session.

2011-04-10  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* tex.el (TeX-source-correlate-sync-source): Do not use
	`goto-line'.

2011-04-03  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (STYLESRC): Add style/xspace.el.

	* style/xspace.el: Add copyright notice and license blurb.
	Correct a few things.

2011-04-03  Mads Jensen  <mje@inducks.org>

	* style/xspace.el: New file.

2011-03-27  Tassilo Horn  <tassilo@member.fsf.org>

	* tex.el (TeX-source-correlate-mode): Add support for I/O
	correlation mode inverse search for the Evince document viewer.

2011-03-23  Ralf Angeli  <angeli@caeruleus.net>

	* style/bulgarian.el, style/czech.el, style/danish.el,
	style/frenchb.el, style/icelandic.el, style/polish.el,
	style/polski.el, style/slovak.el, style/swedish.el: Do not set
	`TeX-quote-language' if `override' is in effect.

2011-03-20  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-synchronous-sentinel): Strip directory part of
	master file because we are already in the master directory.

2011-03-13  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (STYLESRC): Add style/lettrine.el and
	style/multicol.el.

	* style/lettrine.el: Add copyright notice and license blurb.
	Correct a few things.

	* style/multicol.el: Add copyright notice and license blurb.
	Simplify environment definitions.  Provide completion for lengths
	the package defines.  Get rid of indentation and filling barrier.
	Remove fontification definitions.

2011-03-13  Mads Jensen  <mje@inducks.org>

	* style/lettrine.el: New file.

	* style/multicol.el: New file.

2011-02-27  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-common-initialization): Add support for
	\ProvidesPackage.

2011-02-06  Ralf Angeli  <angeli@caeruleus.net>

	* style/letter.el (LaTeX-env-recipient): Use \renewcommand instead
	of \def to set date.

2011-01-30  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-parse-macro): Do not insert braces if the argument
	is 0 or less.
	(TeX-parse-argument): Put both the macro and the marked region in
	a TeX group if the argument is less than 0.

	* latex.el (LaTeX-common-initialization): Give macros that change
	font size a -1 argument so that braces are added around them if
	if there is an active region.

	* doc/auctex.texi (Adding Macros): Document special options 0 and
	-1 for number-type specs.

2011-01-29  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-complete-symbol): Get rid of the window with the
	completions when possible.

2011-01-23  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fold.el (TeX-fold-post-command): Add `forward-char' and
	`backward-char' to commands on which to open an overlay.

	* doc/auctex.texi (Adding Macros): Mention
	`TeX-arg-input-file-search'.

2011-01-22  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-tree-expand): Make `subdirs' parameter optional.  Do
	not try to call kpsewhich with --expand-braces anymore and adapt
	code for handling of results accordingly.
	(TeX-doc-extenstions): New variable.
	(TeX-tree-roots): New function.
	(TeX-tree-roots): New user option.
	(TeX-kpathsea-format-alist): Remove.
	(TeX-search-files-kpathsea): Add and use `extensions' and `scope'
	parameters.
	(TeX-search-files): Do not call `TeX-search-files-kpathsea'
	anymore.
	(TeX-search-files-type-alist): New variable.
	(TeX-search-files-by-type): New function.

	* latex.el (LaTeX-arg-usepackage): Let-bind
	`TeX-input-file-search'.
	(LaTeX-search-files-type-alist): New user option.
	(TeX-arg-input-file-search): Doc fix.
	(TeX-arg-input-file, TeX-arg-bibstyle, TeX-arg-bibliography): Use
	`TeX-search-files-by-type' instead of `TeX-search-files'.
	(LaTeX-common-initialization): Set `TeX-search-files-type-alist'.

2011-01-09  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-common-initialization): Add support for
	\settoheight and \settodepth.

2010-12-26  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Simple Style): Add a note about the naming of
	the style file and the style hook.

2010-12-12  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-env-args): Add the optional argument at the
	right position when wrapping the environment around existing text.

2010-12-05  Ralf Angeli  <angeli@caeruleus.net>

	* context.el: Set up abbrev table.
	(ConTeXt-mode-common-initialization): Set `local-abbrev-table'.

	* latex.el: Set up abbrev table for LaTeX and docTeX mode.
	(docTeX-mode): Set abbrev table.
	(LaTeX-common-initialization): Set `local-abbrev-table'.

	* plain-tex.el: Set up abbrev table.
	(plain-TeX-common-initialization): Set `local-abbrev-table'.

	* tex.el (TeX-mode-prefix): Add mode parameter.
	(VirTeX-common-initialization): Do not set `local-abbrev-table'
	anymore.
	(TeX-abbrev-mode-setup): New function.

	* doc/changes.texi: Mention change of abbrev handling.

2010-12-04  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-verbatim-macro-boundaries): Support verbatim
	macros with braces.

2010-12-04  Augusto Ritter Stoffel  <arstoffel@inf.ufrgs.br>  (tiny change)

	* latex.el (LaTeX-math-keymap): Define a key for the math prefix
	only if it has not been used as a prefix after the prefix.

2010-11-16  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-view-program-list-builtin): Add Okular.

2010-10-17  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (TeX-arg-input-file-search): New user option.
	(TeX-arg-input-file): Use it.

2010-10-11  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-synctex-output-page): Return "1" if no page number
	can be found to prevent an infinite loop in command expansion.

2010-10-02  Ralf Angeli  <angeli@caeruleus.net>

	* style/beamer.el ("beamer"): Prompt for block title.

2010-09-28  Ralf Angeli  <angeli@caeruleus.net>

	* context.el (ConTeXt-extra-paragraph-commands): Remove.
	(ConTeXt-language-variable-list): Add
	`ConTeXt-extra-paragraph-commands'.

	* context-en.el (ConTeXt-extra-paragraph-commands-en): New
	variable.

	* context-nl.el (ConTeXt-extra-paragraph-commands-nl): New
	variable.

2010-09-18  Ralf Angeli  <angeli@caeruleus.net>

	* context.el (ConTeXt-expand-options): Eval value from engine
	alist.

2010-09-12  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fptex.el: Remove.

	* Makefile.in (AUCSRC): Reflect removal of tex-fptex.el.

	* doc/wininstall.texi: Reflect removal of tex-fptex.el.

	* style/virtex.el: Mention author.  Do not unnecessarily protect
	`lambda' with `function'.

	* font-latex.el (font-latex-keyword-matcher): Refine last change
	to work properly with lists of face symbols.

2010-09-11  Ralf Angeli  <angeli@caeruleus.net>

	* style/natbib.el: Update copyright information.

	* style/letter.el: Update copyright information.

	* style/harvard.el: Update copyright information.

	* style/doc.el: Do not unnecessarily protect `lambda' with
	`function'.

2010-09-06  Arne Jørgensen  <arne@arnested.dk>

	* style/danish.el: Changed font-latex-add-quotes from french to
	german.

2010-08-30  Ralf Angeli  <angeli@caeruleus.net>

	* style/ngerman.el: Prevent "| from leading to color bleed.

	* style/german.el: Prevent "| from leading to color bleed.

2010-08-29  Ralf Angeli  <angeli@caeruleus.net>

	* doc/preview-dtxdoc.pl: Use explicit variable with split instead
	of implicit split to @_ which does not work anymore in Perl 5.12.

2010-07-11  Ralf Angeli  <angeli@caeruleus.net>

	* tex-info.el: Delete trailing whitespace.

2010-07-04  Ralf Angeli  <angeli@caeruleus.net>

	* doc/faq.texi: Update infos about Emacs versions.  Add FAQ entry
	for file:line:error messages in case `TeX-next-error' fails due to
	unbalanced parens.

	* tex.el (TeX-print-command, TeX-queue-command)
	(TeX-printer-list): Switch back to Berkeley-style commands.

2010-06-24  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Texinfo mode): Make a few corrections.

2010-06-19  Berend de Boer  <berend@pobox.com>

	* context.el: proper indent of all macros that can appear inside
	an itemize list such as \sym.

2010-06-12  Ralf Angeli  <angeli@caeruleus.net>

	* tex-info.el (Texinfo-find-env-end, Texinfo-find-env-start):
	Enable the commands to be used repeatedly without getting stuck at
	an environment start or end respectively.

2010-05-27  Ralf Angeli  <angeli@caeruleus.net>

	* autogen.sh: Set LANG=C when looking into ChangeLog for
	AUCTEXDATE.

2010-05-24  Vincent Belaïche  <vincent.belaiche@gmail.com>

	* doc/auctex.texi (Texinfo mode): New section.

2010-05-17  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-math-input-method-off-regexp): Fix regexp.

2010-04-25  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-print-command): Support printing of Postscript and
	PDF files.  Doc fix.
	(TeX-queue-command): Use lpstat instead of lpq.  Doc fix.
	(TeX-printer-list): Support printing of Postscript and PDF files.
	Make use of System V style commands (lp, lpstat) instead of
	Berkeley style (lpr, lpq).
	(TeX-printer-default): Doc fix.

2010-04-17  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-warning): Throw an error with a sensible message
	if the file for the warning could not be determined.

2010-04-13  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-format-filter): Calculate the current column as
	difference between line start and end instead of using
	`current-column' in order to do the right thing when octal codes
	are present.

2010-04-11  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-keyword-matcher): Quote a list of face
	properties but do not to quote a face symbol.

2010-04-05  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-parse-error): Allow `TeX-error-file' to become
	empty.

2010-03-28  Ralf Angeli  <angeli@caeruleus.net>

	* plain-tex.el: New file.

	* tex.el: Move code related to plain TeX to plain-tex.el.

	* Makefile.in (AUCSRC): Add plain-tex.el.

	* context.el: Require `plain-tex'.

2010-03-27  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-view-program-selection): Doc fix.
	(TeX-clean): Regexp-quote the master file name.

2010-03-20  Ralf Angeli  <angeli@caeruleus.net>

	* style/french.el: New file.

	* Makefile.in (STYLESRC): Add style/french.el.

2010-03-07  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (TeX-arg-key-val): Hint at key=value format in prompt.
	(LaTeX-fill-region-as-para-do): Match whitespace without comment
	starter at beginning of line when dealing with code comments.

2010-03-06  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (DIST_PREFIX): Use the working directory for the
	folder with distribution files.
	(FTPDIR, WWWDIR): Make them subdirectories of `DIST_PREFIX'.
	(COMMITTER_NAME, COMMITTER_EMAIL): Remove.
	(COMMITTER): New variable.
	(.PHONY): Update.
	(tar-ball-clean): Use `check-tag'.
	(check-tag): New name for `check-dist'.
	(dist): Do not call `release-commit' anymore.
	(snapshot): Now an alias for `dist'.
	(release-commit): Use `COMMITTER'.
	(release-sign): New name for `full-release' target.  Generate
	version 1.1 directive files.
	(xemacs-package): Depend on `check-tag'.
	(WPACKAGEFILES): Include info files with a numerical supplement to
	the .info extension.  Depend on `check-tag'.  Check for presence
	of `WEMACSVER' variable.  Try to find a local AUCTeX tar ball
	before downloading one.  Use `TAG' instead of `WAUCVER'.  Put ZIP
	archive into `FTPDIR'.
	(WAUCVER, WEMACSVER): Remove.
	(release-upload): New target.
	(www-doc): Depend on `check-tag'.  Update URLs for Emacs manuals.

2010-02-21  Ralf Angeli  <angeli@caeruleus.net>

	* Version 11.86 released.

2010-02-21  Ralf Angeli  <angeli@caeruleus.net>

	* RELEASE: Update for upcoming release.

	* doc/install.texi (Prerequisites): Update information about Emacs
	distributions.

	* doc/tex-ref.tex: Bump version number.  Update section on TeXing
	options.

	* configure.ac: Bump version number.

	* auctex.spec (Version): Bump version number.

	* doc/fdl.texi: Switch to GFDL 1.3.

	* doc/auctex.texi: Switch to GFDL 1.3.

	* doc/preview-latex.texi: Switch to GFDL 1.3.

	* doc/changes.texi: Update for next release.

2010-02-20  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc): Add a fallback in case nothing is found via
	the backend list, e.g. when using MiKTeX 2.8.

	* doc/auctex.texi (Documentation): Document change in `TeX-doc'.

2010-02-14  Ralf Angeli  <angeli@caeruleus.net>

	* doc/changes.texi: Mention preview.sty supporting XeTeX.

2010-02-13  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-XeTeX-command, LaTeX-XeTeX-command): Remove.
	(ConTeXt-engine): Doc fix.
	(ConTeXt-Omega-engine): Doc fix.  Make obsolote.
	(TeX-expand-list): Add support for LuaTeX.  Adapt to new engine
	handling.
	(AUC-TeX-version, AUC-TeX-date): Remove.
	(TeX-engine-alist-builtin): New variable.
	(TeX-engine-alist): Adapt to new engine handling and make it a
	defcustom.
	(TeX-engine-alist): New function.
	(TeX-engine): Adapt to new engine handling and make it
	buffer-local.
	(LaTeX-engine-alist): Remove.
	(TeX-engine-set): Adapt to new engine handling and take care of
	TeX PDF mode.
	(TeX-clean-default-output-suffixes): Add .xdv.
	(TeX-mode-specific-command-menu-entries): Construct list of
	engines from `TeX-engine-alist'.

	* context.el (ConTeXt-expand-options): Adapt to new engine
	handling.

	* doc/auctex.texi (Processor Options): Document options and
	functions of new engine handling.

2009-12-30  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-view-command-raw): Abort if no matching viewer is
	found.

	* doc/preview-faq.texi (Troubleshooting): Add some hints about
	preview-latex overwriting output files.

2009-12-28  Ralf Angeli  <angeli@caeruleus.net>

	* style/austrian.el: New file.

	* style/naustrian.el: New file.

	* Makefile.in (STYLESRC): Add style/austrian.el and
	style/naustrian.el.

2009-12-26  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Known problems): New subsection on dealing with
	font locking problems.

	* font-latex.el (font-latex-syntax-alist): New variable.
	(font-latex-add-to-syntax-alist): New function.
	(font-latex-setup): Use `font-latex-syntax-alist'.

	* style/shortvrb.el: New file.

	* Makefile.in (STYLESRC): Add style/shortvrb.el.

	* tex-style.el (LaTeX-shortvrb-chars): New variable.

	* doc/changes.texi: Document changes after 11.85.

	* context.el (ConTeXt-expand-options): Check for XeTeX engine, not
	for mode which does not exist anymore.

	* tex.el (plain-TeX-common-initialization): Let commented lines be
	matched by `paragraph-separate' in order for commented and
	non-commented paragraphs to be filled separately.

2009-12-12  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-parse-error): Also find quoted file names with
	newlines.  Remove the newlines from the matched string if
	necessary.

2009-12-07  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-parse-error): Add an alternative in the parser
	regexp for quoted file names.  Strip the quotation marks if a file
	name was found with the alternative.

2009-12-06  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fold.el (TeX-fold-command-prefix): New variable.
	(TeX-fold-mode): Use it.
	(TeX-fold-keymap): Remove prefix strings.

	* tex.el (TeX-fold-menu): Remove hard-coded key binding labels.

	* doc/auctex.texi (Folding): Mention `TeX-fold-command-prefix'.

2009-11-22  Ralf Angeli  <angeli@caeruleus.net>

	* doc/wininstall.texi: Do not refer to Emacs 22 anymore.  Improve
	the paragraphs about PNG support.

2009-11-01  Ralf Angeli  <angeli@caeruleus.net>

	* style/pstricks.el: Disable key bindings for macro parameter
	addition and change.
	(LaTeX-pst-color-list, LaTeX-pst-boolean-list)
	(LaTeX-pst-fillstyle-list): Remove information for completion
	mechanism.
	(LaTeX-pst-trimode-list, LaTeX-pst-linestyle-list): Remove.
	Handled directly in `LaTeX-pst-basic-parameters-list'.
	(LaTeX-pst-basic-parameters-list): New variable.
	(LaTeX-pst-parameters): Call `TeX-arg-key-val' instead of
	`LaTeX-package-parameters' and thereby use a different completion
	mechanism.
	(LaTeX-pst-macro-psdots): Do not add a dotstyle parameter.
	(LaTeX-pst-env-pspicture): Handle optional parameter via
	`multi-prompt-key-value'.
	("pstricks"): Handle arguments of \psdot and \psdots correctly.

2009-10-31  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-verbatim-p-function): New variable.
	(TeX-verbatim-p): New function.
	(TeX-in-comment): Use it.
	(TeX-brace-count-line): Use `TeX-in-comment' instead of just
	checking for a comment character.

	* latex.el (LaTeX-common-initialization): Set
	`TeX-verbatim-p-function'.

2009-10-25  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Starting Viewers): Describe new viewer
	selection options.
	(Folding): Add some hints on how to do automatic folding.

	* tex.el (TeX-view-predicate-list-builtin)
	(TeX-view-predicate-list, TeX-view-program-list): Doc fix.
	(TeX-view-program-list-builtin, TeX-view-program-selection):
	Conditionalize default value based on system type.  Doc fix.
	(TeX-synctex-output-page): Do not return random stuff if there was
	no match.
	(TeX-clean-default-intermediate-suffixes): Remove SyncTeX files as
	well.

2009-10-21  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-synctex-output-page): Handle files in subdirectories
	correctly.

2009-10-18  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-run-discard): Doc fix.
	(TeX-run-discard-or-function): New function.

	* tex.el (TeX-command-list): Use `TeX-run-discard-or-function' as
	hook for View command and provide it as a customization option.
	(TeX-view-program-list): Add the possibility to use a function to
	call the viewer.
	(TeX-view-command-raw): Support the use of a function to call the
	viewer.

2009-10-11  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-view-predicate-list-builtin): Remove combined
	predicates for paper properties and add new predicates testing
	only one property.
	(TeX-view-program-list-builtin): Use new predicates.
	(TeX-view-program-list): Provide the possibility to use a list of
	predicates.

2009-10-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-view-program-list): Shave off extra closing paren.

2009-10-04  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (LaTeX-command-style, TeX-print-style, TeX-view-style):
	Doc fix.
	(TeX-view-predicate-list-builtin, TeX-view-program-list-builtin):
	New variables.
	(TeX-view-predicate-list, TeX-view-program-list)
	(TeX-view-program-selection): New user options.
	(TeX-match-style, TeX-view-match-predicate)
	(TeX-view-command-raw): New functions.
	(TeX-expand-list): Use `TeX-view-command-raw' for %V expander.

2009-09-13  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-error): Cater for case of file:line:error
	messages without context.
	(TeX-parse-error): Add support for quoted file names with
	backslashes as path separators.  Those might be emitted by MiKTeX
	2.8.

2009-06-14  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Indenting): Mention `LaTeX-item-regexp'.
	(Fontification of math): New section replacing and extending
	`Subscript and superscript'.

2009-04-26  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-correlate-mode): Clean `custom-requests'
	property.
	(VirTeX-common-initialization): Call `TeX-source-correlate-mode'
	minor mode function when initializing the mode instead of when
	loading the file.

2009-04-13  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (TeX-arg-key-val): Eval `key-val-alist' argument if it
	is a symbol.

	* style/listings.el ("listings"): Do not eval arguments of
	`TeX-arg-key-val'.

	* multi-prompt.el (multi-prompt-expand-completion-table): New
	function.
	(multi-prompt-key-value): Use it.

	* style/pstricks.el: Correct header info.
	(LaTeX-pst-input-int, LaTeX-pst-point, LaTeX-pst-angle)
	(LaTeX-pst-extdir, LaTeX-pst-arrows, LaTeX-pst-dotstyle-list)
	(LaTeX-pst-refpoint-list, LaTeX-pst-refpoint)
	(LaTeX-pst-macro-multirputps, LaTeX-pst-env-pspicture): Improve or
	correct prompt.
	("pstricks"): Move to the bottom of the file.  Do not use
	`function' to quote `lambda'.  Turn off TeX PDF mode.  Use `mapc'
	instead of `mapcar'.

2009-04-05  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-help-error): Make search for help text in log
	file more robust.

2009-04-04  Ralf Angeli  <angeli@caeruleus.net>

	* style/listings.el ("listings"): Remove redundant list when
	calling `TeX-arg-key-val'.  Use `LaTeX-env-args' for lstlisting
	environment.

	* latex.el (LaTeX-env-args): New function.
	(TeX-arg-conditional, TeX-arg-eval, TeX-arg-label)
	(TeX-arg-index-tag, TeX-arg-index, TeX-arg-macro)
	(TeX-arg-environment, TeX-arg-cite, TeX-arg-counter)
	(TeX-arg-savebox, TeX-arg-file, TeX-arg-define-label)
	(TeX-arg-define-macro, TeX-arg-define-environment)
	(TeX-arg-define-cite, TeX-arg-define-counter)
	(TeX-arg-define-savebox, TeX-arg-document, LaTeX-arg-usepackage)
	(TeX-arg-input-file, TeX-arg-bibstyle, TeX-arg-bibliography)
	(TeX-arg-corner, TeX-arg-lr, TeX-arg-tb, TeX-arg-pagestyle)
	(TeX-arg-verb, TeX-arg-pair, TeX-arg-size, TeX-arg-coordinate)
	(TeX-arg-insert-braces): Doc fix.

	* multi-prompt.el (multi-prompt-separator): Remove.
	(multi-prompt-key-value-collection-fn): Do not search for
	`multi-prompt-separator'.
	(crm-local-must-match-map, crm-local-completion-map): Silence the
	byte compiler.
	(multi-prompt-key-value): Require crm.el here and not at
	top-level.

	* tex-info.el (TeX-texinfo-mode): Add @lowersections and
	@raisesections.

	* doc/auctex.texi (Adding Environments): Document hooks for
	`LaTeX-add-environments'.

2009-03-29  Ralf Angeli  <angeli@caeruleus.net>

	* style/listings.el (LaTeX-listings-key-val-options): New
	variable.
	("listings"): Use it.  Check for font-latex function, not feature.

	* latex.el (TeX-arg-key-val): New function.

	* multi-prompt.el: Require crm.el.
	(multi-prompt-separator, multi-prompt-key-value-sep)
	(multi-prompt-completion-table): New variables.
	(multi-prompt-key-value-collection-fn, multi-prompt-key-value):
	New functions.

2009-03-22  Ralf Angeli  <angeli@caeruleus.net>

	* tex-site.el.in: Revitalize support for completion in \cite
	macros via `BibTeX-auto-store'.

2009-03-02  Holger Sparr  <holger.sparr@gmx.net>

	* Makefile.in (STYLESRC): Add style/multido.el;
	style/pst-{grad|node|plot|slpe}.el

2009-03-01  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-verbatim-macro-boundaries): Do step backwards at
	beginning of buffer.
	(LaTeX-search-forward-comment-start): Treat find of comment at
	limit correctly.

	* tex-fold.el (TeX-fold-comment-do): Abort backward search for
	comment start at beginning of buffer.  Do not fold empty comment.

2009-02-24  Holger Sparr  <holger.sparr@gmx.net>

	* style/multido.el: New file.

	* style/pst-grad.el: New file.

	* style/pst-node.el: New file.

	* style/pst-plot.el: New file.

	* style/pst-slpe.el: New file.

2009-02-23  Holger Sparr  <holger.sparr@gmx.net>

	* style/pstricks.el: Actually implement support for writing
	PSTricks code.

2009-02-22  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Multi-line fontification): Remove.

	* doc/todo.texi (Wishlist): Fix typo.  Remove entry which is
	already supported.

	* style/tabularx.el: New file.

	* Makefile.in (STYLESRC): Add style/tabularx.el

2009-02-15  Ralf Angeli  <angeli@caeruleus.net>

	* style/natbib.el ("natbib"): Check for font-latex function rather
	than feature.  Add fontification spec for \cite.

	* doc/auctex.texi (Simple Style): Bring example in line with
	reality.

2009-01-24  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-correlate-method): Doc fix.
	(TeX-source-correlate-mode): Call minor mode function after file
	is loaded.

2009-01-14  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-babel-insert-hyphen): Put `delete-selection'
	property on function symbol.

2009-01-04  Ralf Angeli  <angeli@caeruleus.net>

	* style/CJK.el: New file.

	* style/ruby.el: New file.  Correct argument numbers of \rubysize
	and \rubysep.

	* style/CJKutf8.el: New file.

	* Makefile.in (STYLESRC): Add style/CJK.el and style/ruby.el.  Add
	style/CJKutf8.el.

2009-01-03  Ralf Angeli  <angeli@caeruleus.net>

	* style/flashcards.el ("flashcards"): Test for font-latex function
	instead of feature.  Reflect that \cardbackstyle has an optional
	argument.

2008-12-29  Ralf Angeli  <angeli@caeruleus.net>

	* style/hyperref.el ("hyperref"): Test for font-latex function
	instead of feature.  Activate hyperref referencing style if
	possible.

2008-12-28  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-current-pages): Get rid of trailing periods.
	(TeX-LaTeX-sentinel): Add support for longtable warning.  Use only
	one search per condition.  Call `message' like `format'.

2008-12-22  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc-backend-alist): Call `TeX-tree-expand' instead
	of `TeX-macro-global-internal'.

	* tex-jp.el (TeX-macro-global): Call `TeX-tree-expand' instead of
	`TeX-macro-global-internal'.

	* latex.el (LaTeX-env-item): Deactivate the mark before inserting
	\item.
	(LaTeX-insert-item): Swap point and mark when mark if necessary.
	Insert newline only when not at beginning of line.

	* tex.el (TeX-deactivate-mark): New function.
	(TeX-parse-argument): Use it.

2008-12-21  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-auto-private, TeX-style-private): Per default
	propose a place in the user's Emacs directory, not in the TeX
	tree.
	(TeX-style-path): Add values to the end of the list.  Doc fix.

	* doc/auctex.texi (Automatic Private): Adjust descriptions of
	`TeX-macro-private', `TeX-auto-private', and `TeX-style-private'.

2008-12-16  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-tree-expand): New name for
	`TeX-macro-global-internal'.  Adapt parameter list to make it more
	flexible.  Update doc string.  Do not return removed default
	argument.
	(TeX-macro-global): Change to accomodate new interface of
	`TeX-tree-expand'.
	(TeX-macro-private): New function.
	(TeX-macro-private): Use it to determine variable value.

2008-12-13  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (plain-TeX-clean-intermediate-suffixes)
	(plain-TeX-clean-output-suffixes): New variables.

2008-12-01  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (VirTeX-common-initialization): Revert last change.

2008-11-30  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (VirTeX-common-initialization): Do not add call to
	`TeX-update-style' to `find-file-hooks' but call it directly.

2008-11-23  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-correlate-determine-method): Use configured
	LaTeX command and find -synctex switch even if there are spaces in
	front of it, as e.g. with MiKTeX.
	(TeX-format-list): Use \subsection and \subsubsection as well to
	identify a LaTeX file.

2008-11-02  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-math-env)
	(font-latex-extend-region-backwards-math-env): Do not match
	\\[...].

	* tex-fold.el (TeX-fold-expand-spec): Do not treat `\' special in
	replacement text.

2008-10-26  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (plain-TeX-common-initialization): Respect double dollar,
	i.e. "$$", as a paragraph separator.

2008-10-14  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-current-environment): Fix handling of commented
	parts.

	* tex.el (TeX-comment-prefix): Save match data.

2008-10-13  Ralf Angeli  <angeli@caeruleus.net>

	* doc/changes.texi, doc/install.texi, doc/intro.texi,
	doc/preview-readme.texi, doc/quickstart.texi: Make some
	corrections and updates.

2008-10-12  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-warning): Fix regexp for detecting bad boxes.

2008-10-11  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-set-mode-name): Indicate TeX PDF mode as a trailing
	flag.
	(TeX-engine): Doc fix.

	* doc/auctex.texi: Restructure some parts.  Update and extend it a
	bit to reflect the recent changes of functionality.

2008-10-07  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-interactive-mode): Add to `minor-mode-alist'.
	("desktop"): Remove `TeX-interactive-mode' from
	`desktop-locals-to-save'.

2008-10-06  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-paragraph-commands-regexp-make): Make it work
	for the case that `LaTeX-paragraph-commands' is set.

2008-10-05  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-engine): New variable.
	(TeX-expand-list): Use it instead of XeTeX and Omega mode
	variables.
	(hack-one-local-variable): Remove references to XeTeX and Omega
	mode variables.
	(TeX-set-mode-name): Remove lighters for XeTeX and Omega mode.
	(TeX-engine-alist, LaTeX-engine-alist): New variables.
	(TeX-engine-set): New function.
	(TeX-Omega-mode): Mark as obsolete.  Remove defcustom.
	(TeX-PDF-mode): Use `TeX-engine' instead of mode variables.
	(TeX-XeTeX-mode): Remove.
	(TeX-mode-map): Remove key bindings for toggling XeTeX and Omega
	mode.
	(TeX-mode-specific-command-menu-entries): Use new facilities for
	switching TeX engines.
	("desktop"): Remove reference to TeX Omega mode.

	* context.el (ConTeXt-expand-options): Use `TeX-engine' instead of
	XeTeX and Omega mode variables.

2008-09-07  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-PDF-mode): Add to `minor-mode-alist'.  Use "" as
	lighter.
	("desktop"): Remove `TeX-PDF-mode' from `desktop-locals-to-save'.

	* latex.el (LaTeX-mark-environment): Swap beg and end.

2008-08-02  Ralf Angeli  <angeli@caeruleus.net>

	* tex-bar.el (TeX-bar-TeX-buttons, TeX-bar-LaTeX-buttons): Mimic
	the default tool bars more closely.

2008-08-02  Reiner Steib  <reiner.steib@gmx.de>

	* toolbar-x.el (toolbarx-default-toolbar-meaning-alist): Provide
	different defaults for different Emacs and XEmacs versions.
	Conditionally add a `new-file' entry.

2008-07-28  Ralf Angeli  <angeli@caeruleus.net>

	* toolbar-x.el (toolbarx-image-path): Protect against load-path
	items being nil.

	* style/foils.el (LaTeX-style-foils): Silence the byte compiler.

	* style/epsf.el (TeX-arg-epsfsize): Silence the byte compiler.

	* tex.el (TeX-source-specials-view-start-server): Alias only if
	`defvaralias' is available.
	(TeX-master, TeX-convert-master): Move upwards to prevent some
	compiler warnings.

2008-07-27  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-synctex-tex-flags): New variable.
	(TeX-source-correlate-expand-options): Use it.
	(TeX-source-specials-tex-flags): Remove possibility to create
	lists.

	* context.el (ConTeXt-expand-options): Support TeX XeTeX mode and
	TeX Source Correlate mode.

2008-07-24  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-specials-mode): Fix last change.

2008-07-23  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-expand-list): Prevent "%(PDF)" expander from
	returning "pdf" if `TeX-XeTeX-mode' is active.  Make "%(tex)" and
	"%(latex)" expanders aware of the XeTeX commands.
	(hack-one-local-variable): Cater for `TeX-XeTeX-mode'.
	(TeX-set-mode-name): Cater for `TeX-XeTeX-mode'.
	(TeX-source-specials-mode): Mark as obsolete.
	(TeX-PDF-mode): Disable TeX XeTeX mode if TeX PDF mode is
	disabled.
	(TeX-Omega-mode): Disable TeX XeTeX mode if TeX Omega mode is to
	be enabled.
	(TeX-XeTeX-command, LaTeX-XeTeX-command): New variables.
	(TeX-XeTeX-mode): New minor mode.
	(TeX-mode-map): Define key for TeX XeTeX mode.
	(TeX-mode-specific-command-menu-entries): Add entry for TeX XeTeX
	mode.  Make the engine-related options exclusive by using radio
	buttons.  Refine the wording for some options.

2008-07-19  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-correlate-determine-method): Do not error out
	if calling the engine fails.

	* latex.el (LaTeX-mark-environment): Keep point upon unsuccessful
	search.

2008-07-19  Vincent Belaïche  <vincent.b.1@hotmail.fr>  (tiny change)

	* latex.el (LaTeX-mark-environment): Support marking of multiple
	nested environments.

2008-07-17  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-paragraph-commands-regexp-make): Take
	`LaTeX-paragraph-commands' into account.
	(LaTeX-paragraph-commands-regexp): Move behind
	`LaTeX-paragraph-commands' definition.

2008-07-14  Ralf Angeli  <angeli@caeruleus.net>

	* style/pdfsync.el ("pdfsync"): Use
	`TeX-source-correlate-output-page-function' rather than
	`TeX-sync-output-page-function'.

	* tex.el (TeX-command-list): Remove SyncTeX expanders.
	(TeX-expand-list): Adapt function calls.  Remove SyncTeX expander.
	(hack-one-local-variable, TeX-set-mode-name): Remove
	`TeX-synctex-mode' and `TeX-source-specials-mode'.  Add
	`TeX-source-correlate-mode'.
	(TeX-source-correlate-method): New variable.
	(TeX-source-correlate-method-active): New variable.
	(TeX-source-correlate-output-page-function): Renamed from
	`TeX-sync-output-page-function'.
	(TeX-source-correlate-start-server): Renamed from
	`TeX-view-start-server'.
	(TeX-source-correlate-start-server-asked): Renamed from
	`TeX-view-start-server-asked'.
	(TeX-source-correlate-start-server-flag): Renamed from
	`TeX-view-start-server-flag'.
	(TeX-source-correlate-gnuserv-p): Renamed from
	`TeX-view-gnuser-p'.
	(TeX-source-correlate-server-enabled-p): Renamed from
	`TeX-view-server-enabled-p'.
	(TeX-source-correlate-start-server-maybe): Renamed from
	`TeX-view-start-server-maybe'.
	(TeX-source-specials): Remove custom group.
	(TeX-source-correlate-determine-method): New function.
	(TeX-source-correlate-expand-options): Renamed from
	`TeX-source-specials-expand-options'.  Support SyncTeX as well.
	(TeX-source-correlate-map): Renamed from
	`TeX-source-specials-map'.
	(TeX-source-correlate-mode): Renamed from
	`TeX-source-specials-mode'.  Support SyncTeX as well.
	(TeX-source-specials-mode): Now an alias for
	`TeX-source-specials-mode'.
	(TeX-source-specials-tex-flags, TeX-source-specials-places)
	(TeX-source-specials-view-position-flags)
	(TeX-source-specials-view-editor-flags)
	(TeX-source-specials-view-gnuclient-flags)
	(TeX-source-specials-view-emacsclient-flags): Put into `TeX-view'
	rather than `TeX-command' group.
	(TeX-source-specials-view-expand-options): Adapt for new function
	names and distinction between source specials and SyncTeX.
	(TeX-synctex-mode): Remove.
	(TeX-mode-map): Remove binding for TeX SyncTeX mode.
	(TeX-mode-specific-command-menu-entries): Remove menu entry for
	TeX SyncTeX mode.  Use Source Correlate moniker instead of Source
	Specials.

2008-07-07  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Folding): Fix last change.

2008-07-06  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Folding): Document folding of math constructs
	and the possibilities of providing expanders and alternatives in
	replacement specifiers.

	* tex.el (TeX-command-list): Add expanders for SyncTeX.
	(TeX-expand-list): Start server if necessary when viewing.  Define
	expander for SyncTeX.
	(hack-one-local-variable): Cater for TeX SyncTeX mode.
	(TeX-set-mode-name): Add lighter for TeX SyncTeX mode.
	(TeX-view): New customization group.
	(TeX-view-start-server): Renamed from
	`TeX-source-specials-view-start-server'.
	(TeX-source-specials-view-start-server): Rename to
	`TeX-view-start-server' and define alias.
	(TeX-view-start-server-asked): Renamed from
	`TeX-source-specials-view-start-server-asked'.
	(TeX-source-specials-view-start-server-asked): Rename to
	`TeX-view-start-server-asked'.
	(TeX-view-start-server-flag): New variable.
	(TeX-view-gnuserv-p): Renamed from
	`TeX-source-specials-view-gnuserv-p'.
	(TeX-source-specials-view-gnuserv-p): Rename to
	`TeX-view-gnuserv-p'.
	(TeX-view-server-enabled-p): New function.
	(TeX-view-start-server-maybe): New function.
	(TeX-source-specials-mode): Set `TeX-view-start-server-flag'.
	(TeX-source-specials-view-expand-client): Adapt call to new
	function name.
	(TeX-source-specials-view-expand-options): Do not try to start the
	server here anymore.
	(TeX-synctex-mode): New minor mode.
	(TeX-synctex-output-page): New function.
	(TeX-mode-map): Add key for toggling TeX SyncTeX mode.
	(TeX-mode-specific-command-menu-entries): Add menu entry for TeX
	SyncTeX mode.
	(TeX-math-input-method-off-regexp): New variable.
	(TeX-toggle-off-input-method): Remove.
	(TeX-math-input-method-off): Do without
	`TeX-toggle-off-input-method'.

2008-07-04  Berend de Boer  <berend@pobox.com>

	* context.el, context-en.el: added a few more entries to the menu
	to select ConTeXt macro's from.

2008-06-29  Ralf Angeli  <angeli@caeruleus.net>

	* style/bulgarian.el ("bulgarian"): Use value of
	`TeX-quote-after-quote' for default quote insertion behavior.

2008-06-28  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-find-matching-close): Simplify.  There
	is no need for a general mechanism if the supported chars are
	limited at another place.

	* tex.el (TeX-search-syntax-table): Support (...) and <...>.

	* tex-fold.el (TeX-fold-macro-spec-list): New spec for \item.
	Adapt doc string to reflect new functionality.
	(TeX-fold-macro-nth-arg): New `delims' parameter which can be used
	to find other macro args than those enclosed by braces.
	(TeX-fold-expand-spec): New function.
	(TeX-fold-hide-item): Use it.

	* doc/auctex.texi (European): Document `bulgarian' language
	option.

	* Makefile.in (STYLESRC): Add style/bulgarian.el.

	* style/bulgarian.el: New file.

2008-06-21  Ralf Angeli  <angeli@caeruleus.net>

	* style/hyperref.el: New file.

	* Makefile.in (STYLESRC): Add style/hyperref.el.

2008-06-07  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-make-built-in-keywords): Distinguish
	command-type keyword classes from others when creating the
	respective variables.

	* doc/auctex.texi (Font Locking): Structure with nodes.
	(Fontification of macros): Describe format specifiers for macros
	with arguments.

2008-05-30  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fold.el (TeX-fold-macro-spec-list): Add some documentation.
	(TeX-fold-hide-item): Support replacement of argument specifiers
	like "{1}" by the respective argument value in the display string.

2008-05-30  Joost Kremers  <joostkremers@fastmail.fm>  (tiny change)

	* tex-fold.el (TeX-fold-macro-spec-list): Add function choice.
	(TeX-fold-hide-item): If specifier is a function, call it with all
	mandatory arguments of macro.

2008-05-25  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (docTeX-mode): Add regexp group to value of
	`TeX-comment-start-regexp'.

	* style/doc.el (LaTeX-doc-after-insert-macrocode): New function.
	("doc"): Add it to `LaTeX-after-insert-env-hooks'.

	* latex.el: Get rid of some compiler warnings.
	(LaTeX-after-insert-env-hooks): New variable.
	(LaTeX-insert-environment): Remove docTeX-specific code.
	Run `LaTeX-after-insert-env-hooks'

	* style/beamer.el (LaTeX-beamer-after-insert-env): New function.
	("beamer"): Add it to `LaTeX-after-insert-env-hooks'.  Get rid of
	some compiler warnings.  Support the semiverbatim environment.

	* style/dinbrief.el: Get rid of some compiler warnings.

	* style/dk-bib.el: Get rid of some compiler warnings.

	* style/emp.el: Get rid of some compiler warnings.

	* style/epsf.el: Get rid of some compiler warnings.

	* style/foils.el: Get rid of some compiler warnings.

	* style/graphicx.el: Get rid of some compiler warnings.

	* style/letter.el: Get rid of some compiler warnings.

	* style/prosper.el: Get rid of some compiler warnings.

	* style/psfig.el: Get rid of some compiler warnings.

	* texmathp.el: Get rid of some compiler warnings.

	* tex.el: Get rid of some compiler warnings.

	* tex-jp.el: Get rid of some compiler warnings.

	* tex-buf.el: Get rid of some compiler warnings.

	* font-latex.el: Get rid of some compiler warnings.

	* context.el: Get rid of some compiler warnings.

	* context-en.el: Get rid of some compiler warnings.

	* context-nl.el: Get rid of some compiler warnings.

2008-05-22  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-command-sentinel): Use `TeX-master-file' instead
	of `TeX-active-master' for `TeX-transient-master'.

2008-05-17  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Font Specifiers): Correct argument list of
	`TeX-font'.

2008-05-13  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Font Specifiers): Document `LaTeX-font-list'.

2008-05-10  Reiner Steib  <reiner.steib@gmx.de>

	* tex-bar.el (TeX-bar-TeX-buttons, TeX-bar-LaTeX-buttons): Add
	standard Emacs buttons to custom set.
	(TeX-bar-TeX-buttons): Use `tex' instead of `latex' in custom set.

2008-05-04  Ralf Angeli  <angeli@caeruleus.net>

	* tex-site.el.in (AUCTeX): Move customization group here from
	tex.el and load the main files defining customization options.

	* tex.el (AUCTeX): Move customization group to tex-site.el.in.
	(TeX-expand-list): Make %(outpage) default to "1".

2008-05-01  Ralf Angeli  <angeli@caeruleus.net>

	* toolbar-x.el (toolbarx-xemacs-refresh): Only activate the tool
	bar if it is already visible.  Remove redundant if clause.

	* tex-buf.el (TeX-format-filter): Do not remove linebreak if the
	following line starts with an opening parenthesis.

2008-04-28  Ralf Angeli  <angeli@caeruleus.net>

	* doc/Makefile.in (install-auctex): Do not use `-' to suppress
	errors within command.

2008-04-28  David Kastrup  <dak@gnu.org>

	* tex-buf.el (TeX-run-command): disable undo in run buffer

2008-03-12  Ralf Angeli  <angeli@caeruleus.net>

	* style/pdfsync.el (LaTeX-pdfsync-output-page): Kill buffer with
	pdfsync file if it was loaded by us.

2008-03-02  Ralf Angeli  <angeli@caeruleus.net>

	* tex-info.el (texinfo-environment-regexp): Terminate.

2008-03-01  Matan Ninio  <emacs@auctexdev.ninio.org>  (tiny change)

	* style/pdfsync.el (LaTeX-pdfsync-output-page): Include
	subdirectories relative to master file in file names.  Searching
	for the file entry in the .pdfsync file allows for an optional
	`.tex' extension in the filename.  Find further p lines if the
	current context does not contain any more.

2008-02-24  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in: Add windows-package target and related variables.

2008-02-23  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-common-menu-entries): Add exception for docTeX mode
	when extending the customization menu.

2008-02-17  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi: Repeat direntry after each category as per
	recommendation of Karl Berry.

	* doc/preview-latex.texi: Repeat direntry after each category as
	per recommendation of Karl Berry.

2008-02-11  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-make-match-defun)
	(font-latex-keyword-matcher): Recognize old-style type specs which
	could be lists.  Prevents "void-function nil" error during font
	locking.

2008-02-10  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (maintainer-clean): Do not depend on distclean.  How
	did this ever work?
	(www-doc): Use release files.  Update URLs.  Make gendocs.sh use
	texi2html.

	* doc/Makefile.in (extradist): Re-add tex-ref.pdf dependency.
	(install-auctex): Do not install reference card when producing an
	XEmacs package.

2008-02-10  Ralf Angeli  <angeli@caeruleus.net>

	* Version 11.85 released.

2008-02-10  Ralf Angeli  <angeli@caeruleus.net>

	* RELEASE: Update for upcoming release.

	* auctex.spec (Version): Bump version number.

	* configure.ac: Bump version number.

	* doc/todo.texi: Add copyright notice.
	(Bugs): Remove entry about XEmacs bug since AUCTeX now helps
	XEmacs in doing multi-line font locking.

	* doc/tex-ref.tex: Bump version number.  Updated references to
	toggles for bad boxes and warning.  Mention `Clean' and `Clean
	All' commands.

	* doc/install.texi: Add copyright notice.
	(Prerequisites): Update information about Emacs 22.

	* doc/wininstall.texi: Update information about requirements,
	esp. availability of Emacs 22.

2008-02-09  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-error, TeX-warning): Handle `expert' option of
	`TeX-display-help'.
	(TeX-warning): Find error file in same window.

	* tex.el (TeX-display-help): Add `expert' option.

	* doc/auctex.texi (Commands): Add some explanatory text for TeXing
	options.  Document `TeX-show-compilation'.
	(Debugging): Reflect new option of `TeX-display-help'.

	* doc/changes.texi: Add changes for 11.85.  Add copyright notice.

2008-02-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-bar.el (LaTeX-symbols-toolbar-visible-flag): Improve doc string.

	* toolbar-x.el (toolbarx-image-path): Improve doc string.

2008-02-07  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-parse-TeX): Do not pop to output buffer.
	(TeX-warning): Since we do not pop to the output buffer, find the
	source file in the original window.

2008-02-05  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-built-in-keyword-classes): Add syntax
	alternatives for some commands.
	(font-latex-setup): Give ?@ word syntax for font locking.
	(font-latex-syntax-error-modes): New variable.
	(font-latex-match-command-with-arguments): Use it.

2008-02-04  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-set-syntactic-keywords): Revert change
	from 2007-04-09 because the unbalanced treatment of \begin and
	\end may lead to color bleeding.

2008-02-03  Ralf Angeli  <angeli@caeruleus.net>

	* Relicense all "GPLv2 or later" files to "GPLv3 or later".

	* COPYING: Switch to GPLv3.

	* doc/Makefile.in, doc/preview-dtxdoc.pl: Add coypright and
	license notices.

	* style/beamer.el, style/scrbook.el: Add license notices.

2008-02-03  Ikumi Keita	 <ikumi@ikumi.que.jp>

	* tex-info.el (Texinfo-insert-node): Correct name of let-bound
	variable.

2008-02-03  Ralf Angeli  <angeli@caeruleus.net>

	* tex-info.el: Make sure the Texinfo mode of AUCTeX is still used
	after loading texinfo.el.

2008-02-02  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in, auctex.spec, autogen.sh, configure.ac: Add
	copyright and license notices.

	* texmathp.el, style/amsmath.el, style/amsthm.el,
	style/fancyref.el, style/index.el, style/makeidx.el,
	style/multind.el, style/varioref.el: Reflect copyright assignment
	of Carsten Dominik to FSF in coypright notices and adapt licence
	notice accordingly.

2007-12-28  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-command-expand): Do not evaluate `file' as a
	function.

2007-12-25  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fill-move-to-break-point): Ignore whitespace
	when checking if verbatim macro starts at beginning of line.

2007-12-08  David Kastrup  <dak@gnu.org>

	* texmathp.el (defgroup, defcustom): Remove compatibility cruft.

2007-11-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/install.texi (Prerequisites): Add openSUSE.

2007-11-20  David Kastrup  <dak@gnu.org>

	* doc/install.texi (Prerequisites): Update to reflect current
	realities.

2007-11-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-buf.el (TeX-record-buffer): New variable, only in Emacs.
	(TeX-pop-to-buffer): New function.
	(TeX-recenter-output-buffer, TeX-background-filter)
	(TeX-parse-TeX, TeX-parse-error, TeX-help-error): Use
	`TeX-pop-to-buffer'.

2007-10-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* toolbar-x.el (toolbarx-find-image): Rename argument.  Improve
	doc string.

2007-10-11  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (TeX-arg-verb): Honor active region.

2007-10-10  Ralf Angeli  <angeli@caeruleus.net>

	* style/MinionPro.el ("MinionPro"): Run style hook for amsmath
	which is loaded via MnSymbol.

2007-10-09  Ralf Angeli  <angeli@caeruleus.net>

	* style/nomencl.el: New file.

	* Makefile.in (STYLESRC): Add style/nomencl.el.

2007-10-03  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-user-keyword-classes): Doc fix.

2007-08-26  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-command-with-args-default-spec):
	Default to nil.

2007-08-24  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-command-with-arguments): Show
	error indicator only in LaTeX mode.

2007-08-23  Ralf Angeli  <angeli@caeruleus.net>

	* style/nicefrac.el ("nicefrac"): Fix last change.

2007-08-22  Ralf Angeli  <angeli@caeruleus.net>

	* style/jurabib.el ("jurabib"): Use `font-latex-add-keywords'.
	Add syntax information.

2007-08-21  Ralf Angeli  <angeli@caeruleus.net>

	* style/scrreprt.el: Add licence text.
	("scrreprt"): Use `font-latex-add-keywords'.  Add syntax
	information.

	* style/scrpage2.el: Add licence text.
	("scrpage2"): Use `font-latex-add-keywords'.  Add syntax
	information.

	* style/scrlttr2.el: Add licence text.
	("scrlttr2"): Use `font-latex-add-keywords'.  Add syntax
	information.

	* style/scrbook.el ("scrbook"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/scrbase.el ("scrbase"): Use `font-latex-add-keywords'.
	Add syntax information.

2007-08-20  Ralf Angeli  <angeli@caeruleus.net>

	* style/url.el ("url"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/subfigure.el ("subfigure"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/csquotes.el ("csquotes"): Update for version 3.7.  Use
	`font-latex-add-keywords'.  Add syntax information.

	* style/MinionPro.el ("MinionPro"): Use `font-latex-add-keywords'.
	Add syntax information.

	* font-latex.el (font-latex-built-in-keyword-classes): Correct
	syntax spec for \subsubparagraph.

2007-08-19  Ralf Angeli  <angeli@caeruleus.net>

	* style/units.el ("units"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/nicefrac.el ("nicefrac"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/listings.el ("listings"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/flashcards.el ("flashcards"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/comment.el ("comment"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/booktabs.el ("booktabs"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/babel.el ("babel"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/paralist.el ("paralist"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/natbib.el ("natbib"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/mdwlist.el ("mdwlist"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/graphicx.el ("graphicx"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/fancyref.el ("fancyref"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/captcont.el ("captcont"): Use `font-latex-add-keywords'.
	Add syntax information.

	* style/beamer.el ("beamer"): Use `font-latex-add-keywords'.

	* font-latex.el (font-latex-add-keywords): New function.
	(font-latex-command-with-args-opt-arg-delims): Add parentheses.

2007-08-14  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-insert-backslash): put delete-selection property on.

2007-08-13  David Kastrup  <dak@gnu.org>

	* Makefile.in (all): make new target "docs" as well.  Descend for
	docs, info and dvi.
	Before regenerating extradist documentation, copy version info
	from checked-out version (can we do that saner?).
	On various targets, replace set -x with a somewhat more elaborate
	version that echoes more for make -n.

2007-08-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc-backend-alist): Delete buffers used for checking
	availability of info files.

2007-08-08  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-TeX-sentinel-check): Shave off quotation marks
	from file name if present.

2007-08-04  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-run-style-hooks): Set `default-directory' to the
	directory of the master file.

2007-07-11  Ralf Angeli  <angeli@caeruleus.net>

	* style/pstricks.el ("pstricks"): Do not disable TeX PDF mode if
	pst-pdf is used.

2007-07-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-format-filter): Remove line breaks at column 79.

2007-07-09  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-comment-forward): Call `comment-normalize-vars' if
	available.

2007-07-01  Ralf Angeli  <angeli@caeruleus.net>

	* style/verbatim.el: Add copyright notice and licence info.

	* style/paralist.el: Add copyright notice and licence info.

	* style/booktabs.el: Add copyright notice and licence info.

	* style/scrbase.el: Change copyright notice of Mark Trettin to FSF
	to reflect the assignment.  Add licence info to header.

	* style/subfigure.el: Change copyright notice of Reiner Steib to
	FSF to reflect the assignment.  Add licence info to header.

	* style/captcont.el: Change copyright notice of Reiner Steib to
	FSF to reflect the assignment.  Add licence info to header.

	* latex.el (LaTeX-auto-minimal-regexp-list): Match optional
	arguments of document style or class macro even if they contain
	periods, e.g. in case of "BCOR8.25mm" in KOMA Script classes.  Get
	rid of superfluous escapes in complemented character alternatives.

	* tex.el (TeX-insert-dollar): Show matching start only if
	`blink-matching-paren' is non-nil.

2007-06-20  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-common-initialization): Turn TeX PDF mode on
	when pst-pdf.sty is used.

2007-06-10  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-common-initialization): Do not add pstricks to
	style hooks.

	* style/pstricks.el: New file.

	* Makefile.in (STYLESRC): Add style/pstricks.el.

2007-05-25  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-command-with-arguments): Check
	if `match-beg' is set.

2007-05-20  Ralf Angeli  <angeli@caeruleus.net>

	* style/beamer.el ("beamer"): Use new syntax in format specifier
	for frametitle macro.

	* font-latex.el (font-latex-built-in-keyword-classes): Use new
	syntax for format specifiers.
	(font-latex-user-keyword-classes): Describe new syntax for format
	specifiers.
	(font-latex-command-with-args-default-spec): Use new syntax for
	format specifiers.
	(font-latex-command-with-args-opt-arg-delims): New variable.
	(font-latex-match-command-with-arguments): Use it.  Change format
	specifier parsing to support new syntax.
	(font-latex-match-mandatory-arg): Remove.

2007-05-05  Ralf Angeli  <angeli@caeruleus.net>

	* doc/faq.texi: Add entry about programs not being found by
	./configure when PATH is not set correctly.

2007-04-29  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-parse-error): Match any closing parenthesis.

2007-04-28  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-fontify-region): Force redisplay
	instead of setting `jit-lock-context-unfontify-pos'.
	(font-latex-command-with-args-default-spec): New variable.
	(font-latex-match-command-with-arguments): Use it.
	(font-latex-built-in-keyword-classes): Correct some syntax
	specifiers.
	(font-latex-jit-lock-force-redisplay): New function.
	(font-latex-fontify-region): Use it.
	(font-latex-doctex-preprocessor-face): Make DocStrip guards stand
	out on Emacs 21.

2007-04-23  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-environment-menu): Support optional arguments
	specified by vectors.

	* style/flashcards.el: New file.

	* Makefile.in (STYLESRC): Add style/flashcards.el.

	* doc/auctex.texi (Adding Environments): Document possibility to
	specify optional arguments in `LaTeX-add-environments'.

2007-04-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/changes.texi: Add index entries for auctex.el and
	tex-site.el.  Add references to INSTALL or manual.

	* doc/install.texi (Loading the package): Add index entries for
	auctex.el and tex-site.el.

	* doc/wininstall.texi: Add index entries for tex-mik.el and
	tex-fptex.el.  Clarify loading.

2007-04-22  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-fontify-region): Force context-related
	unfontification only if the region has to be extended.
	(font-latex-find-matching-close): Do not look up syntax-table
	properties.
	(font-latex-extend-region-backwards-command-with-args)
	(font-latex-extend-region-backwards-command-in-braces)
	(font-latex-extend-region-backwards-math-env)
	(font-latex-extend-region-backwards-math-envII)
	(font-latex-extend-region-backwards-quotation): Doc fix.  Return
	nil if no content requiring region extension was found.

2007-04-16  Ikumi Keita	<ikumi@ikumi.que.jp>

	* latex.el (LaTeX-math-default): Add various Greek uppercase
	macros provided by amsmath.sty.

2007-04-15  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-math-envII): Regexp-quote the
	string used to look for the environment end in order for starred
	environments to be found.

2007-04-13  Mark Trettin  <Mark.Trettin@gmx.de>

	* style/scrbase.el ("scrbase"): Fix typo in prompt.
	(TeX-arg-KOMA-fontelements): Add \dictum, \pagination,
	\disposition, and \minisec macros.

2007-04-13  Ralf Angeli  <angeli@caeruleus.net>

	* style/beamer.el ("beamer"): Specify syntax of \frametitle macro
	for font locking.

2007-04-12  Ralf Angeli  <angeli@caeruleus.net>

	* style/amsmath.el ("amsmath"): Call `reftex-add-to-label-alist'
	only if function is bound.

2007-04-09  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc-backend-alist): Add --view parameter to texdoc
	call since texdoc in MiKTeX fires up a web page not useful for our
	purposes otherwise.

	* tex-mik.el: Set `TeX-kpathsea-path-delimiter' to nil since
	kpsewhich in MiKTeX (aka findtexmf) does not emit any useful
	information if fed with kpathsea-related variables anyway.  This
	change makes `TeX-doc' work again on MiKTeX.

	* font-latex.el (font-latex-set-syntactic-keywords): Match the
	\begin macro of verbatim environments in case it is preceded by
	other content than whitespace.

2007-04-04  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-backward-paragraph): Fix grouping in order to
	return the right value when no paragraph command is found.

2007-04-01  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-help-error): Correct regexp for matching line
	indicator.

2007-03-31  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-verbatim-environments): Fix typo.
	(LaTeX-backward-paragraph): Special-case verbatim environments in
	order to prevent leading brackets or braces from being interpreted
	as part of the \begin macro.  Clean up a bit.

2007-03-24  David Kastrup  <dak@gnu.org>

	* context.el (ConTeXt-find-indent): Use `condition-case' rather
	than `ignore-errors', and don't barf if at the end of file (like
	with an empty file).

2007-03-23  David Kastrup  <dak@gnu.org>

	* context.el (TeX-ConTeXt-sentinel): Fix end-of-run detection.

2007-03-19  Ralf Angeli  <angeli@caeruleus.net>

	* style/comment.el: New file.

	* Makefile.in (STYLESRC): Add style/comment.el.

	* font-latex.el (font-latex-syntactic-keywords-extra): New
	variable.
	(font-latex-set-syntactic-keywords): Use it.

	* tex-style.el (LaTeX-comment-env-list): New variable.

2007-03-18  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Commands): Remove dependency on software du
	jour from description of `TeX-DVI-via-PDFTeX'.

2007-03-12  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-quotes): Add nil option.
	(font-latex-match-quotation)
	(font-latex-extend-region-backwards-quotation): Do nothing if
	`font-latex-quotes' is nil.

	* doc/auctex.texi (Font Locking): Document nil option of
	`font-latex-quotes'.

2007-03-11  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fold-math-spec-list): `decode-char' is not
	autoloaded in XEmacs.  Only use it when it is defined.

	* doc/auctex.texi (European): Document `icelandic' language
	option.

	* Makefile.in (STYLESRC): Add style/icelandic.el.

	* style/icelandic.el: New file.

2007-03-11  David Kastrup  <dak@gnu.org>

	* RELEASE (Footnotes): Update Emacs CVS locations.

2007-03-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fold.el (TeX-fold-auto): Default to nil.

2007-03-09  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-clean): Catch error on Emacs 21 when only one file
	is to be deleted.

2007-03-06  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-search-syntax-table): Set syntax of ?\( and ?\)
	explicitely to whitespace for Emacs 21.
	(TeX-search-syntax-table): Clean the syntax table more thoroughly.

2007-03-04  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-find-macro-boundaries): Make it possible to restrict
	the search with new argument `lower-bound'.
	(TeX-find-macro-start): Make it possible to restrict the search
	with new argument `limit'.

	* font-latex.el: Merge from multiline-font-lock branch.
	(font-latex-do-multi-line, font-latex-use-cache): Remove.
	(font-latex-multiline-boundary): New variable.
	(font-latex-built-in-keyword-classes): Add information about
	syntax of macros.  Quote face names.
	(font-latex-deactivated-keyword-classes): Adapt type to new form
	of `font-latex-built-in-keyword-classes'.
	(font-latex-make-match-defun): Accept `face' argument.
	(font-latex-keyword-matcher): Support up to 8 slots for faces.
	(font-latex-make-built-in-keywords): Support new form of keywords
	classes.
	(font-latex-user-keyword-classes): Provide possibility to specify
	macro syntax.
	(font-latex-make-user-keywords): Add warning face in relevant
	matchers.
	(font-latex-extend-region-functions): New variable.
	(font-latex-setup): Use it.  Clean up.
	(font-latex-fontify-region): New function.
	(font-latex-unfontify-region): Cater for XEmacs.
	(font-lock-after-change-function): Advise function for challenged
	editors.
	(font-latex-find-matching-close): Use `TeX-search-syntax-table'.
	(font-latex-not-on-same-line-as): New function.
	(font-latex-set-cache, font-latex-get-cache)
	(font-latex-check-cache): Remove.
	(font-latex-put-multiline-property-maybe): New function.
	(font-latex-match-command-cache): Remove.
	(font-latex-matched-faces): New variable.
	(font-latex-matched-face): New function.
	(font-latex-match-command-with-arguments): Use them.  Set warning
	face when syntax not correct.
	(font-latex-match-in-braces-cache): Remove.
	(font-latex-match-mandatory-arg): New function.
	(font-latex-extend-region-backwards-command-with-args): New
	function.
	(font-latex-match-command-in-braces): Set multiline property if
	necessary.
	(font-latex-extend-region-backwards-command-in-braces): New
	function.
	(font-latex-match-math-env): Set multiline property if necessary.
	(font-latex-extend-region-backwards-math-env): New function.
	(font-latex-math-environments): New variable.
	(font-latex-match-math-envII): Use it.  Set multiline property if
	necessary.
	(font-latex-extend-region-backwards-math-envII): New function.
	(font-latex-update-quote-list): New function.
	(font-latex-match-quotation): Use it.  Set multiline property if
	necessary.
	(font-latex-extend-region-backwards-quotation): New function.

2007-02-25  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-read-string): Add new function that will inherit the
	input method if feasible.  TODO: replace calls of `read-string'
	with this wherever it may be appropriate.

2007-02-20  Ikumi Keita	<ikumi@ikumi.que.jp>

	* tex-buf.el (TeX-region-file): Doc fix.

2007-02-15  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex.el (TeX-after-insert-macro-hook): New hook.
	(TeX-insert-macro): Use it.

	* tex-fold.el (TeX-fold-auto): New variable.
	(TeX-fold-mode): Append auto fold stuff to the end of
	`TeX-after-insert-macro-hook'.

2007-02-13  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-clean): Fix last change.

2007-02-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fold.el (TeX-fold-macro-spec-list-internal)
	(TeX-fold-env-spec-list-internal)
	(TeX-fold-math-spec-list-internal): New variables.
	(TeX-fold-region-macro-or-env, TeX-fold-item): Use them.
	(TeX-fold-comment-do): Doc fix.
	(TeX-fold-mode): Set TeX-fold-*-spec-list-internal variables.  Use
	<mode-prefix>-fold-*-spec-list variables if bound.

	* latex.el (LaTeX-fold-macro-spec-list)
	(LaTeX-fold-env-spec-list, LaTeX-fold-math-spec-list): New
	variables.

	* tex.el (TeX-mode-prefix): New function.
	(TeX-clean): Use it.

2007-02-10  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-jp.el (TeX-japanese-process-input-coding-system)
	(TeX-japanese-process-output-coding-system): Use system-type
	instead of window-system.  Suggested by Ikumi Keita
	<ikumi@ikumi.que.jp>.

2007-02-09  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-jp.el (TeX-japanese-process-input-coding-system)
	(TeX-japanese-process-output-coding-system): Do not use
	default-coding-system to set process-coding-system, anymore.  The
	value is set to shift_jis or euc-jp depending on window-system.

	* tex-bar.el: Fix typo.  Reported by Ikumi Keita
	<ikumi@ikumi.que.jp>.

2007-02-09  Ikumi Keita	<ikumi@ikumi.que.jp>

	* tex-jp.el (japanese-TeX-command-list): Add
	`TeX-run-discard-foreground' and `TeX-run-function' for
	function-item.
	(japanese-TeX-set-process-coding-system): New function.
	(TeX-after-start-process-function): Use it.  Cater for the
	accidental case that no-Japanese loads tex-jp.el and his
	coding-system is set to unexpected one.

2007-02-05  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-submit-bug-report): Remove unnecessary code.
	Include a plea for upgrading into introductory blurb.

2007-02-01  Ikumi Keita	<ikumi@ikumi.que.jp>

	* latex.el: Move (provide 'latex) to the end of buffer.
	(TeX-global-input-files, BibTeX-global-style-files)
	(BibTeX-global-files): checkdoc cleaning.
	(LaTeX-fill-paragraph, LaTeX-fill-code-comment): Use function
	TeX-match-buffer instead of buffer-substring-*.
	(LaTeX-209-to-2e): Likewise.

	* tex-buf.el (TeX-command-region, TeX-command-buffer)
	(TeX-next-error, TeX-check-files, TeX-command-next)
	(TeX-output-extension, TeX-run-set-command, TeX-run-interactive)
	(TeX-sentinel-default-function, TeX-region-create, TeX-region)
	(TeX-error-file, TeX-error-offset, TeX-parse-TeX)
	(TeX-error-description-list): checkdoc cleaning.
	(TeX-run-command, TeX-TeX-sentinel-check, TeX-BibTeX-sentinel):
	Use substitute-command-keys to message key binding.
	(TeX-current-pages): Add doc string.

	* tex.el (TeX-print-command, TeX-queue-command)
	(TeX-command-list, TeX-printer-list, TeX-set-mode-name)
	(TeX-regexp-group-count): checkdoc cleaning.
	(plain-TeX-mode-hook): Declare user option explicitly using
	defcustom.
	(TeX-search-files-kpathsea): Use TeX-kpathsea-path-delimiter
	instead of kpathsea-path-delimiter.

2007-01-23  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Quotes): Document
	`TeX-math-close-double-dollar'.  Add subheadings.

2007-01-22  Ralf Angeli  <angeli@caeruleus.net>

	* autogen.sh: Define PDFTEX if empty and pass it to `make dist' in
	`doc' directory for documentation generation.

	* doc/Makefile.in (docdir, PACKAGE_TARNAME): New variables.
	(dist): Add tex-ref.pdf target.
	(extradist): Remove tex-ref.pdf target.
	(install-auctex): Add tex-ref.pdf target.  Install tex-ref.pdf
	into $(docdir).

2007-01-21  Ralf Angeli  <angeli@caeruleus.net>

	* tex-fptex.el: Make calls of start.exe work with quoted file
	names.

	* tex-mik.el: Make calls of start.exe work with quoted file names.

2007-01-21  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-fold.el (TeX-fold-type-list): New new type 'math.
	(TeX-fold-math-spec-list): New variable.
	(TeX-fold-dwim, TeX-fold-region, TeX-fold-region-macro-or-env)
	(TeX-fold-item): Try to fold math macros as well.
	(TeX-fold-buffer, TeX-fold-paragraph, TeX-fold-make-overlay)
	(TeX-fold-item-end): Mention new type 'math.
	(TeX-fold-math): New function.

2007-01-20  David Kastrup  <dak@gnu.org>

	* auctex.spec: Remove unused `%{extraconfig}' argument.

2007-01-20  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-fold.el (TeX-fold-macro-spec-list): Fold marginpar, eqref,
	glossary, copyright, textregistered and texttrademark macros as
	well.

2007-01-18  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-jp.el: Update maintainer email address.

	* style/verbatim.el: Update author email address.

2007-01-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex.el (TeX-clean-default-intermediate-suffixes): Add beamer
	suffixes.

2007-01-16  Masayuki Ataka  <masayuki.ataka@gmail.com>

	* tex-jp.el (japanese-TeX-command-list): Use "%`" and "%'" magic
	to allow file names with spaces.  See also change log for
	TeX-command-list in tex.el on 2006-10-10.
	Reported by Ikumi Keita	<ikumi@ikumi.que.jp>.

2007-01-14  Ralf Angeli  <angeli@caeruleus.net>

	* doc/wininstall.texi: Add copyright notice and licence reference.
	Mention --infodir.  Some clean-ups.

2007-01-13  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (www-doc): Generate AUCTeX and preview-latex manuals
	in single directory.  Patch gendocs.sh to use texi2html instead of
	makeinfo (patch not included).

2007-01-12  Ralf Angeli  <angeli@caeruleus.net>

	* Version 11.84 released.

2007-01-12  Ralf Angeli  <angeli@caeruleus.net>

	* RELEASE: Update for release.

	* doc/changes.texi: Update for release.

	* auctex.spec (Version): Bump version number.

	* configure.ac: Bump version number.

	* doc/tex-ref.tex: Bump version number.

2007-01-11  Ralf Angeli  <angeli@caeruleus.net>

	* Makefile.in (STYLESRC): Add style/polski.el.

	* RELEASE: Mention support for `polski' LaTeX package.

	* style/polski.el: New file.

	* doc/auctex.texi (European): Mention `polski' language option.

2007-01-08  Ralf Angeli  <angeli@caeruleus.net>

	* RELEASE: Document some new features.

	* style/polish.el: New file.

	* Makefile.in (STYLESRC): Add style/polish.el.

	* doc/auctex.texi (European): Remove references to `plfonts' and
	`plhb' styles for typesetting Polish text because they seem to be
	out of use.  Refer to the `polish' option for the babel LaTeX
	package instead.

	* tex.el (TeX-quote-language-alist): Replace references to
	`plfonts' and `plhb' by `polish'.

2007-01-07  Ralf Angeli  <angeli@caeruleus.net>

	* doc/wininstall.texi: Refer to up-to-date versions of CVS Emacs.

	* doc/install.texi (Prerequisites): Refer to up-to-date versions
	of CVS Emacs.

2007-01-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/auctex.texi (European): Improve TeX-quote-language-alist.

	* tex.el (TeX-command-default): Mark as safe-local-variable.
	(TeX-quote-language-alist): Improve custom type.  Add links to the
	manual.  Improve doc string.

2006-12-30  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Folding): Document user-visible changes in the
	folding functionality.

2006-12-29  Ralf Angeli  <angeli@caeruleus.net>

	* tex-info.el (TeX-texinfo-mode): Set `comment-use-syntax'.

	* tex-fold.el: Update author email address.
	(TeX-fold-type-list): New variable.
	(TeX-fold-keymap): Add key binding for `TeX-fold-comment'.
	(TeX-fold-dwim): Try to fold comment as well.
	(TeX-fold-region): Move implementation of region folding for
	macros and environments out into the new function
	`TeX-fold-region-macro-or-env' and cater for comments as well.
	(TeX-fold-region-macro-or-env, TeX-fold-region-comment)
	(TeX-fold-comment, TeX-fold-comment-do): New functions.

	* latex.el (LaTeX-common-initialization): Set
	`TeX-search-forward-comment-start-function'.
	(LaTeX-fill-region-as-para-do, LaTeX-fill-paragraph)
	(LaTeX-fill-code-comment): Call `TeX-search-forward-comment-start'
	instead of `LaTeX-search-forward-comment-start'.

	* tex.el (VirTeX-common-initialization): Set `comment-end-skip'
	and `comment-use-syntax'.
	(TeX-fold-menu): Add entry for folding comments.
	(TeX-comment-forward): New compatibility function.
	(TeX-comment-or-uncomment-region): Use it.
	(TeX-search-forward-comment-start-function): New variable.
	(TeX-search-forward-comment-start): New function.

2006-12-10  David Kastrup  <dak@gnu.org>

	* latex.el (LaTeX-section-hook): Place into `LaTeX-macro' group.
	(LaTeX-verbatim-macros-with-delims)
	(LaTeX-verbatim-macros-with-braces): Same here.
	(LaTeX-verbatim-environments): Place into `LaTeX-environment'
	group.

2006-12-07  Ralf Angeli  <angeli@caeruleus.net>

	* tex-bar.el (TeX-install-toolbar, LaTeX-install-toolbar): Add
	`toolbarx-refresh' to `TeX-PDF-mode-hook' in the current buffer
	only.

2006-12-06  Ralf Angeli  <angeli@caeruleus.net>

	* context-nl.el (ConTeXt-nl-mode-initialization): Use correct
	syntax for prompting for an optional argument in case of \items
	macro.

	* context-en.el (ConTeXt-en-mode-initialization): Use correct
	syntax for prompting for an optional argument in case of \items
	macro.

	* context.el (ConTeXt-arg-setup): Capitalize prompt.

2006-12-04  Miguel Frasson  <mvsfrasson@gmail.com>

	* toolbar-x.el (toolbarx-emacs-add-button):
	Insert buttons in KEYMAP (new arg).
	Unnecessary &optional removed.
	Removed broken code for fake-button `:new-line'.
	(toolbarx-emacs-refresh-process-button-or-insert-list):
	New arg KEYMAP inserted.
	Unnecessary &optional removed.
	(toolbarx-emacs-refresh):
	Fixed bug with `tool-bar-map' let-bound and made local variable.
	(toolbarx-xemacs-refresh-process-button-or-insert-list):
	Docstring improved..
	(toolbarx-xemacs-refresh):
	Using `nreverse' directly inside `let'.
	`nreverse' is applied to lists generated from actual
	data-structures, leaving such data-structures alone.

2006-11-26  Ralf Angeli  <angeli@caeruleus.net>

	* context.el (ConTeXt-texexec-option-nonstop): New variable.
	(ConTeXt-expand-options): Use it.

2006-11-24  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (plain-TeX-enable-toolbar): Rename from
	`TeX-enable-toolbar'.
	(plain-TeX-maybe-install-toolbar): Rename from
	`TeX-maybe-install-toolbar'.
	(TeX-plain-tex-mode): Use new names.

	* doc/auctex.texi (Running TeX and friends): Explicitely mention
	`plain-TeX-enable-toolbar' and `LaTeX-enable-toolbar'.

2006-11-16  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fill-region-as-para-do): Do not break before
	code comments if at a commented beginning of a line.

2006-10-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/preview-latex.texi: Fix @node commands.

2006-10-20  David Kastrup  <dak@gnu.org>

	* doc/auctex.texi (top): Mention reference card.

	* doc/Makefile.in (PREVIEWTEXIFILES): Add `version.texi'.

	* doc/auctex.texi: Add formatting emergencystretch.  Move macros
	input.
	(top): Rearrange somewhat.  Avoid duplicate contents (?).

	* doc/preview-latex.texi: Restructure and relicense taking
	auctex.texi as an example.

	* doc/auctex.texi (top): In the user-visible part of the info
	file, move the copying info completely to the "Copying this
	manual" section in order to reduce clutter.

2006-10-19  David Kastrup  <dak@gnu.org>

	* RELEASE: Mention previous XEmacs package problems.

2006-10-16  David Kastrup  <dak@gnu.org>

	* tex-buf.el (TeX-parse-error, TeX-error, TeX-warning): Replace
	the error parser basically by what we have in preview-latex.
	However, this does not yet do the fine-grained hackery around
	possible TeX quote characters that preview-latex employs in order
	to get the correct character position in a line even under adverse
	conditions.

2006-10-11  David Kastrup  <dak@gnu.org>

	* tex-buf.el (TeX-error-description-list): Add preview-latex error
	pattern here.

	* tex.el (TeX-expand-list): Add "%m" pattern from preview.
	(TeX-add-local-master): Make a local variable wrapper more
	suitable for docstrip.

2006-10-10  David Kastrup  <dak@gnu.org>

	* RELEASE: Mention space in file names, PostScript stack
	tolerance.

	* tex-buf.el (TeX-command-expand): Make `file' self-quoting in
	expansion, and trick around with `TeX-command-pos' and other junk
	in order to make the quoting stuff of "%`" and "%'" work.
	(TeX-view-output-file): Became pretty pointless.  Remove.

	* tex.el (TeX-command-list): Use "%`" and "%'" magic to allow file
	names with spaces.
	(TeX-output-view-style): Don't quote "%s", that's the job of
	`TeX-command-expand'.
	(TeX-expand-list): Use the `-interaction' option.  Define "%`",
	" \"\\", "\"" and "%'" patterns.  Somebody should probably rather
	turn this into external functions in `tex-buf.el': the stuff
	really has no business here and does not get byte-compiled.  Use
	`file' for "%o".

2006-10-07  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fill-region-as-paragraph): Match "foo\ %" as
	well.

2006-10-04  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-find-macro-boundaries): Prevent `up-list' and
	friends from finding parens in comments if point is not in a
	comment and vice versa.

2006-10-02  David Kastrup  <dak@gnu.org>

	* doc/auctex.texi: Change the licensing terms to require no front
	and back cover texts, and explicitly exclude the GFDL from being
	licensed under the GFDL.
	(top): Give a synopsis for the license section in the top menu.
	Remove redundant version mentions, remove the explicit exclusion
	of the GFDL from GFDL licensing: RMS says it is unnecessary.

2006-09-29  David Kastrup  <dak@gnu.org>

	* autogen.sh: Use `=' instead of `==' in tests.

	* doc/Makefile.in (version.texi): Let version.texi depend rather
	on ChangeLog in order not to disturb pregenerated documentation.

	* autogen.sh: Prepare `AUCTEXDATE' and `AUCTEXVERSION' for `make
	dist'.

	* Makefile.in (tar-ball): Pass version and date into autogen.sh

	* doc/Makefile.in (AUCTEXDATE, AUCTEXVERSION): get from configure.
	(AUCTEXTEXIFILES): Add fdl.texi and version.texi
	(version.texi): create depending on Makefile.
	(maintainer-clean): Remove version.texi.  Should this be in the
	distclean target instead?

	* doc/fdl.texi: Add it.

	* Makefile.in (DOCFILES): Remove, unused.
	(doc/Makefile): Add target.
	(info, dvi, install-man, install-docs, clean, distclean)
	(tar-ball): depend on doc/Makefile

	* doc/.cvsignore: Add version.texi, remove unused auto.texi.

	* doc/auctex.texi: Rearrange header material, put under GFDL, add
	license, take version numbers from version.texi.

2006-09-21  David Kastrup  <dak@gnu.org>

	* RELEASE: Adapt to upcoming release.

	* doc/install.texi (Configure): Remove reference to
	`--with-kpathseasep' option.

	* tex-mik.el (TeX-kpathsea-path-delimiter): initialize to ";".

	* tex-fptex.el (TeX-kpathsea-path-delimiter): initialize to ";".

2006-09-20  David Kastrup  <dak@gnu.org>

	* tex-buf.el: Let `TeX-active-buffer' return nil if there is no
	command buffer.  Change copyright notice from Kresten Krab Thorup
	to reflect assignment to FSF.

	* latex.el: Change copyright notice.

	* tex.el: Change copyright notice.

	* doc/tex-ref.tex: Change copyright notice.

	* doc/auctex.texi: Change copyright notice.

2006-09-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/faq.texi: Fix syntax error.

2006-09-16  Ralf Angeli  <angeli@caeruleus.net>

	* doc/faq.texi: Explain the abbreviation AUC.

2006-09-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* toolbar-x.el (toolbarx-emacs-refresh): Don't modify global value
	of `tool-bar-map'.

2006-09-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* latex.el (LaTeX-math-default): Remove X2ABB for \Pr.  Suggested
	by Adam Johnson <thu_zh@hotmail.com>.

2006-09-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* latex.el: Use read-kbd-macro instead of kbd for LaTeX-math-mode.
	(LaTeX-math-default): Add bindings for \var... symbols.
	(LaTeX-math-default): Change binding for \vartheta.

2006-09-08  David Kastrup  <dak@gnu.org>

	* latex.el: Allow strings for keys in LaTeX-math-mode.
	(LaTeX-math-list): Allow string for key.

2006-09-06  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (Mathematics): Align description of
	`LaTeX-math-list' with reality.

2006-08-25  David Kastrup  <dak@gnu.org>

	* doc/preview-faq.texi (Requirements, Installation Trouble)
	(Customization): Update and remove stuff, mostly because
	preview-latex is integrated with AUCTeX now.

2006-08-30  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (TeX-latex-mode): Check if `tool-bar-mode' is bound.

	* tex.el (TeX-plain-tex-mode): Check if `tool-bar-mode' is bound.

2006-08-26  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (European): Make replacement of
	language-specific hyphen strings more obvious.

2006-08-25  Ralf Angeli  <angeli@caeruleus.net>

	* style/csquotes.el: Bring up to par with version 3.5.

2006-08-17  David Kastrup  <dak@gnu.org>

	* doc/auctex.texi (Viewing): Type fix.

2006-08-05  Berend de Boer  <berend@pobox.com>

	* context-en.el: quite a few more English ConTeXt macros made
	available in menu.

	* context-nl.el: few more Dutch ConTeXt macros made available in menu.

	* context.el: more ConTeXt macros made available in menu.

2006-08-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-bar.el (TeX-bar-TeX-button-alist, TeX-bar-LaTeX-button-alist):
	Make `file' invisible in TeX-PDF-mode.  Add clean.
	(TeX-bar-TeX-buttons, TeX-bar-LaTeX-buttons): Improve custom type.

2006-07-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-bar.el (TeX-bar-TeX-buttons, TeX-bar-LaTeX-buttons): Improve
	wording.

	* doc/changes.texi: Add bug fixes.  Add TeX tool bar.

	* doc/auctex.texi (Running TeX and friends): Add
	TeX-enable-toolbar.

	* tex-bar.el: Copy of tool bar stuff from LaTeX-*.
	(TeX-bar-TeX-buttons, TeX-bar-TeX-all-button-alists)
	(TeX-bar-TeX-button-alist): New variables.
	(TeX-bar-TeX-buttons, TeX-install-toolbar): New funtions.
	(TeX-tool-bar-button-definitions): New custom group

	* tex.el (TeX-enable-toolbar): New variable.
	(TeX-maybe-install-toolbar): New function.
	(TeX-plain-tex-mode): Add `TeX-maybe-install-toolbar'.

2006-07-27  David Kastrup  <dak@gnu.org>

	* doc/wininstall.texi: Add explanation of how to augment `PATH'.

	* doc/todo.texi (Mid-term Goals): Typo.

2006-07-25  David Kastrup  <dak@gnu.org>

	* style/doc.el ("doc"): Add macrocode and macrocode* to
	indentation-neutral environment list.

	* latex.el (LaTeX-insert-environment): Leave mark at start of
	content when inserting around active region.

2006-07-11  David Kastrup  <dak@gnu.org>

	* latex.el (LaTeX-font-list): Add `\mathbb' on C-c C-f C-s.

2006-07-25  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-script): Don't match groups
	spanning more than one line in order to avoid visually wrong
	indentation in subsequent lines.
	(font-latex-match-quotation): Do not match escaped quotation
	marks.

2006-07-23  Ralf Angeli  <angeli@caeruleus.net>

	* bib-cite.el, tex-mik.el, doc/changes.texi, doc/history.texi,
	doc/wininstall.texi: Fix spelling of MiKTeX.

2006-07-21  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-script): Fix last check-in.

2006-07-18  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-script): Apply subscript and
	superscript highlighting only once in order to prevent the font
	size becoming too small.

2006-07-15  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-maybe-install-toolbar): Enable tool bar in LaTeX
	mode only.
	(LaTeX-maybe-install-toolbar): Revert last change.
	(TeX-latex-mode): Set `tool-bar-mode-on-hook' buffer-locally
	instead.

2006-07-12  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fill-move-to-break-point): Fix regexp for
	matching whitespace and comment characters at the start of a line.
	Simplify forward search.

2006-07-11  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-find-macro-boundaries, TeX-find-macro-start): Remove
	unused argument.
	(TeX-find-macro-end-helper): Handle macros at the end of the
	buffer correctly.

2006-07-10  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-math-close-double-dollar): New variable.
	(TeX-insert-dollar): Use it.

	* Makefile.in, doc/Makefile.in (datarootdir): New variable used by
	autoconf 2.59e.

2006-07-09  Ralf Angeli  <angeli@caeruleus.net>

	* aclocal.m4 (EMACS_CHECK_MULE): Check for EMACS_UNIBYTE
	environment variable and do not set MULESRC if it is present.

2006-07-07  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-normal-mode): Force update of style list.

2006-07-02  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc-backend-alist): Explicitely supply doc directory
	for non-kpathsea-based TeX systems.

2006-06-29  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-fill-region-as-paragraph): Fix treatment of code
	comments in case of something like "\%}%".

2006-06-24  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-clean): Delete files in directory of master file.

2006-06-23  Joshua Buhl <jbuhl_nospam@gmx.de>

	* doc/tex-ref.tex (title{Outlining TeX Documents}): new section.

2006-06-19  Ralf Angeli  <angeli@caeruleus.net>

	* style/amsmath.el ("amsmath"): Prompt for alignment option with
	subarray environments.

2006-06-18  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc-backend-alist): Preserve window configuration
	when checking for info backends.

2006-06-17  Ikumi Keita <ikumi@revery.net>

	* tex.el (TeX-parse-arguments): Makes to work with proper value of
	TeX-insert-macro-default-style.
	(TeX-insert-braces): Place braces with right direction with active
	region, (related to the case when the region is being marked
	backwards).

2006-06-17  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* tex.el (TeX-clean): Delete generated files associated with
	`TeX-region-file'.  Suggested by Ikumi Keita <ikumi@revery.net>.

2006-06-12  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (Info-find-file): Do not autoload.
	(TeX-doc-backend-alist): Use a method for checking the presence of
	an info file which works in Emacs 21 as well.

2006-06-11  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-doc-backend-alist): Don't error out if
	`Info-find-file' is not available.
	(TeX-doc): Use `interactive-p' instead of `called-interactively-p'
	which is not available in Emacs 21.

2006-06-11  Ikumi Keita  <ikumi@revery.net>

	* style/amsmath.el ("amsmath"): Docfix for 'uproot'.
	(LaTeX-amsmath-env-alignat): Fix typo.

2006-06-08  David Kastrup  <dak@gnu.org>

	* Makefile.in (PREVIEW_BUILD_DIR): New variable for building the
	preview standalone bundle.
	(preview-ball): New target for creating the preview standalone
	bundle for CTAN.

2006-06-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* auctex.spec (%post, %postun): Use mktexlsr instead of texhash.
	Only update the relevant ls-R file.
	(%install): Add comment about preview.cfg.
	(%install, %files): prauctex.cfg is the config file, not
	preview.cfg.

2006-06-07  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-set-paragraph-start): New function.
	(LaTeX-paragraph-commands-add-locally)
	(LaTeX-common-initialization): Use it.

2006-06-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* Version 11.83 released.

2006-06-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (full-release): Remove duplicate pass phrase prompt.
	(release-commit): Only commit ChangeLog.

	* Makefile.in (rpm-packages): Rename from rpm-builds.

	* RELEASE: Fix typo.

	* Makefile.in (rpm-builds): Add preview-tetex.

	* auctex.spec: Add "-n" for preview-tetex.
	(%install): Create preview.cfg.

2006-06-07  David Kastrup  <dak@gnu.org>

	* RELEASE: Add info about preview RPM.

	* doc/install.texi (Advice for package providers): Adapt package
	advice to what we actually do for RPM files.

	* auctex.spec: attempt to add preview-tetex package.

2006-06-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (XEMACS_BUILD_DIR): New variable.
	(xemacs-package): Use it.
	(tar-ball-clean): Add XEMACS_BUILD_DIR.
	(CP): New variable.
	(tar-ball, www-doc): Use it.

	* RELEASE: Update RPM stuff.

	* tex.el (TeX-line-number-at-pos): New compatibility function.

	* style/pdfsync.el (LaTeX-pdfsync-output-page): Use it.

	* auctex.spec (Obsoletes): Remove preview-latex-common.

2006-06-06  Ralf Angeli  <angeli@caeruleus.net>

	* style/pdfsync.el (LaTeX-pdfsync-output-page): Initialize
	`sync-record' with a non-nil value.

	* doc/auctex.texi (Viewing): Fix reference to Commands node
	looking ugly in info output.  Slightly rearrange forward/inverse
	search section.  Document pdfsync support a bit more in detail.

2006-06-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* RELEASE: Use "SUSE" instead of "SuSE".

	* auctex.spec (Release): Bump to 1.
	(%changelog): Add 11.83.

	* doc/changes.texi: Add @xref for pdfsync.

	* doc/auctex.texi (Viewing): Mention pdfsync.

	* doc/todo.texi (Wishlist): Add newline.  Mention pdfsync.

2006-06-06  David Kastrup  <dak@gnu.org>

	* RELEASE: Add details about downloadable packages.  Beg harder.

2006-06-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* RELEASE: Mention LaTeX tool bar.

2006-06-05  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-quote-regexp-beg)
	(font-latex-quotes-control): Make buffer-local.
	(font-latex-add-quotes): Revert last change and do not make
	`font-latex-quotes-control' buffer-local which it now already is.

2006-06-04  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-add-quotes): Make
	`font-latex-quote-regexp-beg' buffer-local.

2006-06-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (rpm-builds): New target.
	(full-release): Use gpg-agent if available.
	(RPM_SIGN): New variable.
	(rpm-builds): Use it.

	* doc/install.texi (Advice for non-privileged users): Reword to
	avoid underfull hbox.

2006-06-03  Ralf Angeli  <angeli@caeruleus.net>

	* doc/auctex.texi (top): Update master menu.
	(Running TeX and friends): Update menu.
	(Miscellaneous Commands): Remove.
	(Cleaning, Documentation): New nodes.

	* doc/changes.texi: Update references to documentation about
	cleaning and documentation access.

2006-06-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/auctex.texi (Miscellaneous Commands): New node.

	* doc/changes.texi: Add @xref-s.

2006-06-02  David Kastrup  <dak@gnu.org>

	* doc/changes.texi: Change one ref to xref.

2006-05-31  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/changes.texi: Conditionalize reference.

	* doc/Makefile.in (MAKEINFO_PLAIN): Remove --no-validate.

	* auctex.spec (%files emacs): Remove %exclude.

2006-05-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/Makefile.in (MAKEINFO_PLAIN): New.  Add --no-validate.

	* doc/changes.texi: Add tool bar.

	* doc/auctex.texi (top): Remove tool bar.
	(Running TeX and friends): Add tool bar here.  Adjust.

2006-05-25  David Kastrup  <dak@gnu.org>

	* RELEASE: Mention file-line-error style messages.
	Mention XyMTeX fix.

	* doc/changes.texi: The same.


2006-05-25  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-update-style-hook): New variable.
	(TeX-update-style): Use it.
	(TeX-remove-style): Fix typo.

	* font-latex.el (font-latex-quotes-internal): New variable.
	(font-latex-quotes-set-internal): New function.
	(font-latex-match-quotation): Use it.  Use
	`font-latex-quotes-internal' instead of `font-latex-quotes'.
	(font-latex-setup): Remove code for figuring out type of
	language-specific quotation mark matching which is now in
	`font-latex-quotes-set-internal'.

	* RELEASE: Update for 11.83.

	* auctex.spec, configure.ac, doc/auctex.texi, doc/changes.texi,
	doc/preview-latex.texi, doc/tex-ref.tex: Bump version number.

	Update address of FSF in GPL notices.

2006-05-22  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-quotes-fallback)
	(font-latex-quote-style-list-french)
	(font-latex-quote-style-list-german): New variables.
	(font-latex-quotes): Add `auto' option.
	(font-latex-setup): Try to derive type of quotation mark matching
	from document properties.

	* tex.el (TeX-elt-of-list-member): New function.

	* doc/auctex.texi (Font Locking): Document `auto' option of
	`font-latex-quotes'.

2006-05-21  Ralf Angeli  <angeli@caeruleus.net>

	* tex.el (TeX-source-specials-mode): Mark as safe.
	(TeX-PDF-mode): Use `TeX-booleanp'.
	(TeX-booleanp): New function.

	* font-latex.el (font-latex-quotes): Mark as safe.
	(font-latex-fontify-script): Use `TeX-booleanp'.

2006-05-17  Ralf Angeli  <angeli@caeruleus.net>

	* latex.el (LaTeX-forward-paragraph): Make regexp more efficient.

2006-05-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex.el (TeX-PDF-mode): Rewrite safe-local-variable property for
	Emacs 21 compatibility.

	* font-latex.el (font-latex-fontify-script): Ditto.

2006-05-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex.el (TeX-master): Quote safe-local-variable lambda expression
	to avoid byte compilation.

2006-05-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* font-latex.el (font-latex-fontify-script): Mark as
	safe-local-variable.

2006-05-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex.el (TeX-PDF-mode): Mark as safe-local-variable.
	(TeX-master): Don't use t in safe-local-variable declaration.
	(TeX-doc): Clarify.

2006-05-07  Ralf Angeli  <angeli@caeruleus.net>

	* font-latex.el (font-latex-match-quotation): Do not match
	quotation marks in math constructs.

2006-05-05  Berend de Boer  <berend@pobox.com>

	* context.el (ConTeXt-mode-common-initialization): Previous fix
	still wrong. Problem is that all local variables were killed, so
	added a save/restore around the common initialisation.

2006-05-04  Berend de Boer  <berend@pobox.com>

	* context-nl.el (context-nl-mode) and context-en.el
	(context-en-mode): can now assume that ConTeXt-current-interface
	is buffer local.

	* context.el (ConTeXt-current-interface): this variable should
	always be buffer local. With this and above two changes having
	buffers with two interfaces at the same time works correctly
	(again?).

2006-04-26  Ralf Angeli  <angeli@caeruleus.net>

	* tex-buf.el (TeX-TeX-sentinel-check, TeX-parse-error): Support
	file-line-error error indicators.

2006-04-22  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-format-list): Extend regexp for ConTeXt mode.

2006-04-21  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (docTeX-mode): Make filling and indentation aware of
	DocStrip guards.

2006-04-20  David Kastrup  <dak@gnu.org>

	* tex-buf.el (TeX-warning): Don't balk if `string' is nil.

2006-04-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-match-script): Fix matching of nested
	braces.

2006-04-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-babel-insert-hyphen): Do not error out at
	beginning of buffer.

2006-03-28  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (install-metadata): Do not use an inline test for
	checking if preview is enabled.  Just to be on the safe side.

2006-03-27  David Kastrup  <dak@gnu.org>

	* doc/intro.texi (Introduction): refer to `below' instead of
	probably non-existing `preview/README'.

	* tex.el: tiny typo.

	* latex.el (LaTeX-close-environment): Allow prefix argument to
	reopen the environment.

2006-03-22  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (install-metadata): Append preview/auto.el to start
	file if configured with preview-latex.

2006-03-20  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-insert-environment): Do not polute the kill
	ring.

2006-03-15  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (TeX-latex-mode): Set up tool bar correctly for XEmacs
	and activate it for every buffer in Emacs.  Run mode hooks as late
	as possible.

2006-03-14  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* configure.ac: Check for `make' and abort if not present.  Use
	`AC_PROG_MAKE_SET' instead of deprecated `AC_SET_MAKE'.

	* latex.el (LaTeX-common-initialization): Add \dots to supported
	TeX symbols.

2006-03-13  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-mode-map): Change `C-c ?' binding from
	`describe-mode' to `TeX-doc'.
	(TeX-common-menu-entries): Add `Find Documentation...' entry for
	`TeX-doc'.
	(plain-TeX-menu-entries): Remove space before ellipsis.
	(TeX-doc-backend-alist): Make texdoc backend available in all
	modes.

	* latex.el (LaTeX-mode-menu): Remove space before ellipsis.

	* doc/changes.texi: Advertise cleaning and documentation finding
	functionality.

2006-03-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-next-error, TeX-active-buffer): Get master from
	the command buffer.
	(TeX-error, TeX-warning): Do not set `TeX-master' but set
	`TeX-command-buffer' to the right value instead.

2006-02-17  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* tex-buf.el (TeX-error-description-list): Fix error messages.
	Changed from `documentstyle' to `documentclass'.  The duplicated
	entries `counter too large' are combined.  Add the name of
	referenced book and the section number to the entry `Missing \\$
	inserted'.

	* tex-jp.el (TeX-error-description-list): Likewise.

2006-02-16  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-master): Mark as safe.

2006-02-09  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/wininstall.texi: Intersperse some information about PATH.

2006-02-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex.el (TeX-clean-default-intermediate-suffixes): Add .brf and
	.out for hyperref.

2006-02-08  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-kpathsea-format-alist): Add search specs for
	documentation.
	(Info-find-file, info-lookup->completions): Autoload.
	(TeX-doc-backend-alist): New variable.
	(TeX-doc): New function.

	* doc/todo.texi (Wishlist): Add a few words about documentation
	lookup for macros.

2006-02-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-run-ispell-on-document): Reintroduce for
	compatibility reasons.

	* tex.el (TeX-command-list): Use `TeX-run-function' instead of
	`TeX-run-ispell-on-document' for "Spell" option.  Remove
	`TeX-run-ispell-on-document' as option for the third element of an
	item.
	(TeX-ispell-document): Move here from tex-buf.el.

	* tex-buf.el (TeX-run-ispell-on-document): Remove.
	(TeX-ispell-document): Move to tex.el.

2006-02-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-command-list): Remove "ConTeXt Clean".  Add general
	"Clean" and "Clean All" options.  Add `TeX-run-function' as an
	option for the third element of an item and document it.
	(TeX-clean-default-intermediate-suffixes)
	(TeX-clean-default-output-suffixes, TeX-clean-confirm): New
	variables.
	(dired-mark-pop-up): Autoload.
	(TeX-clean): New function.

	* tex-buf.el (TeX-run-function): New function.

	* tex-info.el (Texinfo-clean-intermediate-suffixes)
	(Texinfo-clean-output-suffixes): New variables.

	* latex.el (docTeX-clean-intermediate-suffixes)
	(docTeX-clean-output-suffixes)
	(LaTeX-clean-intermediate-suffixes, LaTeX-clean-output-suffixes):
	New variables.

	* context.el (ConTeXt-clean-intermediate-suffixes)
	(ConTeXt-clean-output-suffixes): New variables.

2006-02-04  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-make-sectioning-faces): Set the face
	size for XEmacs again after `set-face-parent' was called which
	erroneously overwrites the original size.  Without this fix
	sectioning faces may be unscaled after starting XEmacs.

2006-02-03  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/auctex.texi (top): Add detailed menu for better
	accessibility.  Fix formatting/usage of references to RefTeX and
	preview-latex manuals.

2006-02-03  Reiner Steib  <Reiner.Steib@gmx.de>

	* latex.el (LaTeX-enable-toolbar): New variable.
	(LaTeX-maybe-install-toolbar): New function.
	(TeX-latex-mode): Add LaTeX-maybe-install-toolbar to
	tool-bar-mode-on-hook.

2006-01-31  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* aclocal.m4: Check for {late,last,early}-package-hiearchies if
	`late-packages' is not bound (which indicates we are dealing with
	XEmacs 21.5).

2006-01-28  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* tex-jp.el (TeX-command-list): Use function ignore insted of nil
	for the third element of `separator for command menu' because
	defcustom of TeX-command-list requires the third element function.
	Reported by Ikumi Keita <ikumi@revery.net>.

2006-01-28  Ikumi Keita  <ikumi@revery.net>

	* tex-buf.el (TeX-run-discard-foreground): Renamed from
	TeX-run-dviout.
	(TeX-run-dviout): alias to TeX-run-discard-foreground.

	* tex.el (TeX-command-list): Use TeX-run-discard-foreground
	instead of TeX-run-dviout.

2006-01-25  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/csquotes.el (LaTeX-csquotes-insert-environment): Set
	prompt for mandatory arguments.
	("csquotes"): Bring up to par with csquotes 3.2.

	* style/url.el ("url"): Support the \path macro.

2006-01-25  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* tex-buf.el (TeX-run-dviout): Undo previous change.

	* tex.el (TeX-command-list): Ditto.

2006-01-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-verbatim-macros-with-delims)
	(LaTeX-verbatim-macros-with-delims-local)
	(LaTeX-verbatim-macros-with-braces)
	(LaTeX-verbatim-macros-with-braces-local): Doc fix.
	(LaTeX-verbatim-environments, LaTeX-verbatim-environments-local):
	Doc fix.  Make the correct variable buffer-local.
	(LaTeX-verbatim-macros-with-delims)
	(LaTeX-verbatim-macros-with-braces, LaTeX-verbatim-environments):
	New functions.
	(LaTeX-verbatim-macro-boundaries): Find macro in case point is
	just in front of it.
	(LaTeX-verbatim-p): Doc fix.  Correct macro lookup.
	(LaTeX-fill-move-to-break-point): Do not break verbatim macros
	with braces across lines (in addition to macros with delimiters).
	For example in case of \lstinline{...} this would result in an
	error and in case of \url{...} spaces would be messed up (in
	conjunction with the `obeyspaces' package option).

	* font-latex.el (font-latex-set-syntactic-keywords): Instead of
	appending lists of verbatim macros and environments manually use
	new LaTeX-verbatim-* functions.

2006-01-24  Ikumi Keita  <ikumi@revery.net>

	* latex.el (LaTeX-fill-move-to-break-point): Fix previous change.

2006-01-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in: Add CP_A.  Add coment on maintainer-only targets.
	(xemacs-package): Use CP_A.

2006-01-22  Ikumi Keita  <ikumi@revery.net>

	* latex.el (LaTeX-fill-move-to-break-point): Use TeX-espaced-p to
	check TeX escape char.

	* tex.el (TeX-command-list): Removed TeX-run-dviout because dviout
	here is only work with Emacs on MS-DOS.

	* tex-buf.el (TeX-run-dviout): Removed.

	* tex-jp.el (japanese-TeX-command-list): Remove TeX-run-dviout.
	Commented out easy-menu-define (plain-TeX|LaTeX)-mode-command-nemu.
	(japanese-TeX-mode, japanese-plain-tex-mode)
	(japanese-latex-mode): Doc fix.
	(japanese-TeX-self-insert-command): Renamed from
	tex-jp-self-insert-command.
	(TeX-insert-punctuation): Follow the change.
	(TeX-error-description-list): Doc fix.

2006-01-22  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-fold.el (TeX-fold-macro-spec-list): Fold pageref macro as
	well.

2006-01-16  David Kastrup  <dak@gnu.org>

	* Makefile.in (xemacs-package): Don't clean up after building so
	that we have a chance for debugging.

2006-01-14  David Kastrup  <dak@gnu.org>

	* configure.ac: Don't check for INSTALL_INFO if already set.

2006-01-14  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/changes.texi: Advertize pdfsync support.

	* latex.el (LaTeX-header-end, LaTeX-trailer-start): Do not pick up
	commented header end or trailer start respectively.

2006-01-13  David Kastrup  <dak@gnu.org>

	* Makefile.in (xemacs-package): Don't run `install-info' and
	`texhash'

2006-01-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (tar-ball): Fix use of TAG_EXPORT.

2006-01-04  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-fold.el (TeX-fold-mode): Autoload as an interactive
	function.

2005-12-28  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/pdfsync.el: New file.

	* Makefile.in (STYLESRC): Add style/pdfsync.el.

	* tex.el (TeX-output-view-style): Add %(outpage) expander to xpdf
	call.  Start xpdf in server mode.
	(TeX-expand-list): New %(outpage) expander.
	(TeX-sync-output-page-function): New variable.

2005-12-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (tar-ball): Use TAG_EXPORT for snapshots.

	* auctex.spec (description): Add preview-latex.
	(install, files): Don't create preview directory.

2005-12-21  Ikumi Keita  <ikumi@revery.net>

	* latex.el (LaTeX-mark-section): Remove read-only mark `*' from
	interactive.
	(LaTeX-fill-move-to-break-point): Use `*' instead of `+' for
	looking back Japanese Macro in order to prevent breaking line just
	after TeX-esc, in other words, not to break TeX command `\JJJ'
	into `\' and `JJJ'.  Use variable linebeg instead of function
	line-beginning-position.

2005-12-17  Reiner Steib  <Reiner.Steib@gmx.de>

	* auctex.spec (Provides): Make emacs/site-lisp/preview.
	(Release): Bump to 1.

2005-12-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Version 11.82 released.

2005-12-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (COMMITTER_NAME, COMMITTER_EMAIL): New variables.
	(release-commit): Use them.

	* auctex.spec, configure.ac, doc/auctex.texi,
	doc/preview-latex.texi, doc/tex-ref.tex: Bump version number.

	* doc/changes.texi: Minor rewordings for 11.82.

2005-12-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex.el (TeX-completing-read-multiple): Mention the availability
	of crm.el in recent XEmacs packages.

2005-12-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-macro-history): New variable.
	(TeX-insert-macro): Use it.

2005-12-05  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-info.el (TeX-texinfo-mode): Do not add braces around
	arguments of commands which do not expect them.

	* latex.el (TeX-arg-free): Move to tex.el.

	* tex.el (TeX-arg-free): Move here from latex.el.
	(TeX-insert-dollar): Do not abort with an error with an error if a
	dollar is inserted in a math construct not started with a dollar.
	Issue a message about the mismatch instead and insert the dollar.

	* font-latex.el (font-latex-quote-list): Add default quotes.
	(font-latex-add-quotes): New function.
	(font-latex-match-quotation): Remove hard-coded quotation mark
	lists and adapt `font-latex-quote-list' to the active quote style
	instead.  Babel-specific quotation mark strings are now added to
	`font-latex-quote-list' by style files.

	* style/slovak.el, style/ngerman.el, style/italian.el,
	style/german.el, style/danish.el: Add fontification support for
	quotation mark strings provided by babel.

2005-11-30  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* texmathp.el: Revert last change because it makes math
	switch/toggle matching tricks harder to use.

	* latex.el (LaTeX-listify-package-options): New function.
	(LaTeX-auto-cleanup): Use it.
	(LaTeX-arg-usepackage): Add \usepackage options to style list.

	* tex.el (TeX-insert-quote): Turn opening/closing quotation mark
	into "" if <"> is typed with point behind it and insert " with any
	following <"> key type.

2005-11-29  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* texmathp.el (texmathp-in-commented-line, texmathp-in-comment):
	New functions.
	(texmathp-match-environment): Use them.
	(texmathp-match-switch): Make aware of comments.

2005-11-27  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/MinionPro.el: New file.  Contributed by Mark Trettin.

	* Makefile.in (STYLESRC): Add style/MinionPro.el.

	* doc/changes.texi: Advertise support for MinionPro.sty.

	* RELEASE (IMPORTANT): Add Mark.

2005-11-25  David Kastrup  <dak@gnu.org>

	* doc/todo.texi (Wishlist): Add suggestion about longlines.el.

2005-11-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-toggle-debug-warnings): Use correct variable for
	state indication.
	(TeX-kpathsea-format-alist): Add entry for "sty".  Prevents
	kpathsea-based search from failing e.g. in case of \usepackage
	insertion.

	* doc/changes.texi: Document removal of
	`font-latex-title-fontify' alias.

	* font-latex.el: Remove alias for `font-latex-title-fontify'.
	(font-latex-make-user-keywords): Use hack from tex-mode.el to
	fontify the backslash in "\end{verbatim}" and similar correctly.
	(font-latex-set-syntactic-keywords): Use the backslash of
	"\end{verbatim}" and similar for the syntax property, not the
	newline character which led to fontification going wild when text
	at the end of the environment was inserted.

2005-11-22  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/changes.texi: Mention completion support for LaTeX packages.

	* RELEASE: Update for 11.82.

2005-11-19  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-site.el.in (tex-site-unload-hook): Don't let it fail on
	Emacs 21.

2005-11-18  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/changes.texi: Fix key binding for
	`TeX-toggle-debug-bad-boxes'.

	* doc/auctex.texi (Quotes): Document change of
	`TeX-insert-braces'.
	(Filling): `M-g' for `LaTeX-fill-region' has been deactivated for
	a long time.  Reflect that in the documentation.

	* tex.el (TeX-token-char): Doc fix.
	(TeX-insert-braces): Do something more sensible if region is
	activated.

2005-11-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-parse-error): Do not match empty strings.

2005-11-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-toggle-debug-boxes): Move to tex.el.
	(TeX-LaTeX-sentinel-has-warnings)
	(TeX-LaTeX-sentinel-has-bad-boxes): New functions.
	(TeX-LaTeX-sentinel): Check for warnings and bad boxes and inform
	the user is the respective options are non-nil.
	(TeX-parse-error): Conditionalize checking for warnings and bad
	boxes.  Find warnings without line numbers as well.
	(TeX-warning): Doc fix (no need to return nil anymore).  Support
	warnings without line numbers.

	* tex.el (TeX-toggle-debug-boxes): Do not autoload.
	(TeX-debug-bad-boxes): Doc fix.
	(TeX-debug-warnings): New variable.
	(TeX-toggle-debug-bad-boxes): Moved here from tex-buf.el.
	(TeX-toggle-debug-warnings): New function.
	(TeX-mode-map): Define new key bindings for
	`TeX-toggle-debug-bad-boxes' and `TeX-toggle-debug-warnings'.
	(TeX-mode-specific-command-menu-entries): Add or change menu
	entries for `TeX-toggle-debug-bad-boxes' and
	`TeX-toggle-debug-warnings'.

	* doc/auctex.texi (Debugging): Document debugging support for
	warnings and changes of debugging bad boxes.

	* doc/changes.texi: Advertise debugging support for warnings and
	changes of debugging bad boxes.

	* font-latex.el (font-latex-set-syntactic-keywords): Doc fix.
	Check if LaTeX-specific variables are bound which may be unbound
	if font-latex is being used in ConTeXt mode.

2005-11-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-insert-backslash): Use regular function call instead
	of `funcall'.

2005-11-05  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-electric-sub-and-superscript): New variable.
	(TeX-insert-sub-or-superscript): New function.
	(TeX-mode-map): Use `TeX-insert-sub-or-superscript' for `_' and
	`^' keys.
	(TeX-insert-backslash): New function.
	(TeX-mode-map): Use `TeX-insert-backslash' for `\'.
	(TeX-electric-escape): Adapt doc string.

	* doc/auctex.texi (Mathematics): Document
	`TeX-electric-sub-and-superscript'.

	* doc/changes.texi: Advertise `TeX-electric-sub-and-superscript'.

2005-10-31  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* latex.el (LaTeX-fill-move-to-break-point): Do not break lines in
	the Japanese Macros.  Suggested by Ikumi Keita <ikumi@revery.net>.

2005-10-30  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/install.texi (Prerequisites): Update information about
	development version of Emacs for Debian.
	Update information about development version of Emacs for
	Mac OS X and Windows.

2005-10-29  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/frenchb.el, style/francais.el: Clean up.

2005-10-28  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-quote-language-alist, TeX-insert-quote): Support
	functions as opening and closing quotation marks.

	* style/frenchb.el: New file.

	* style/francais.el: New file.

	* doc/auctex.texi (European): Document support of French.

	* doc/changes.texi: Advertise support of French.

	* Makefile.in (STYLESRC): Add style/frenchb.el and
	style/francais.el.

2005-10-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/install.texi (Configure): Document --with-kpathseasep.

	* doc/auctex.texi (Commands): Add index entry for PDF mode.

	* configure.ac (preview_enabled): Export `TEX' in unquoted form.

2005-10-23  David Kastrup  <dak@gnu.org>

	* style/babel.el (LaTeX-babel-package-options): Only use 2
	argument form of defvaralias in order not to make XEmacs barf.

2005-10-23  Arne Jørgensen  <arne@arnested.dk>

	* style/amstext.el (LaTeX-amstext-package-option): New variable.

	* style/amstex.el (LaTeX-amstex-package-options): New variable.

	* style/amsopn.el (LaTeX-amsopn-package-options): New variable.

	* style/amsmath.el (LaTeX-amsmath-package-options): New variable.

	* style/amsbsy.el (LaTeX-amsbsy-package-options): New variable.

	* style/fancyref.el (LaTeX-fancyref-package-options): New
	variable.

	* style/harvard.el: Updated GPL to version 2. Fixed FSF address.
	(LaTeX-harvard-package-options): New variable.

	* style/index.el (LaTeX-index-package-options): New variable.

	* style/listings.el (LaTeX-listings-package-options): New
	variable.

	* style/makeidx.el (LaTeX-makeidx-package-options): New variable.

	* style/mdwlist.el (LaTeX-mdwlist-package-options): New variable.

	* style/multind.el (LaTeX-multind-package-options): New variable.

	* style/natbib.el (LaTeX-natbib-package-options): New variable.

	* style/nicefrac.el (LaTeX-nicefrac-package-options): New
	variable.

	* style/paralist.el (LaTeX-paralist-package-options): New
	variable.

	* style/units.el (LaTeX-units-package-options): New variable.

	* style/scrpage2.el (LaTeX-scrpage2-package-options): New
	variable.

2005-10-21  Reiner Steib  <Reiner.Steib@gmx.de>

	* toolbar-x.el (toolbarx-find-image): Fix previous commit.

2005-10-21  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-mik.el (tex-site): Require 'tex-site no more.

	* doc/changes.texi: Document removal of 'tex-site requirement from
	`tex-mik.el'.

	* configure.ac (packagedir): Quote value of `infodir'.

2005-10-20  David Kastrup  <dak@gnu.org>

	* toolbar-x.el: Revert mostly to 2005-05-02 state, but add a
	fallback to find-image.

2005-10-20  Reiner Steib  <Reiner.Steib@gmx.de>

	* toolbar-x.el (toolbarx-find-image): Use image-search-load-path
	and image-load-path when available.
	(toolbarx-find-image): Revert previous fix.  Instead, rely on
	find-image whenever possible and don't abuse locate-library.

2005-10-20  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-make-user-keywords): Append string
	face in order to make string fontification of ``foo $bar$ baz''
	constructs work.

2005-10-19  Arne Jørgensen  <arne@arnested.dk>

	* latex.el (LaTeX-arg-usepackage): If
	`LaTeX-<package>-package-options' is bound and nil don't ask for
	package options.

	* style/verbatim.el (LaTeX-verbatim-package-options): New
	variable.

	* style/varioref.el (LaTeX-varioref-package-options): New
	variable.

	* style/url.el (LaTeX-url-package-options): New variable.

	* style/subfigure.el (LaTeX-subfigure-package-options): New
	variable.

	* style/inputenc.el (LaTeX-arg-inputenc-inputenc): Doc fix.
	(LaTeX-inputenc-package-options): Doc fix.

	* style/dk-bib.el (LaTeX-dk-bib-package-options): Doc fix.

	* style/captcont.el (LaTeX-captcont-package-options): New
	variable.

	* style/booktabs.el (LaTeX-booktabs-package-options): New
	variable.

	* style/babel.el: Add doc string to `LaTeX-babel-package-options'
	and use `defvar' instead of `setq'.

	* style/alltt.el (LaTeX-alltt-package-options): New variable.

2005-10-13  Reiner Steib  <Reiner.Steib@gmx.de>

	* style/dk-bib.el, style/inputenc.el: Add coding cookie.  Delete
	trailing whitespace.  Reindent.

2005-10-13  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/dk-bib.el (LaTeX-dk-bib-package-options): Define only
	once.

2005-10-13  Jan-Ake Larsson  <jalar@mai.liu.se>

	* tex-buf.el: Change defcustom group from TeX-commands to TeX-command

2005-10-12  Arne Jørgensen  <arne@arnested.dk>

	* tex.el: Provide a `TeX-completing-read-multiple' either by
	defalias'ing `completing-read-multiple' or defining a wrapper
	around `multi-prompt'.

	* latex.el (LaTeX-arg-usepackage): New function. Asks about what
	package to use, loads the AUCTeX style file, and asks about
	package options (possibly based on definitions in the AUCTeX
	style file).
	(LaTeX-common-initialization): Use it.

	* style/babel.el: Define `LaTeX-babel-package-options' to be a
	list of languages/options for the babel package.

	* style/inputenc.el: New file.

	* style/dk-bib.el: New file.

	* Makefile.in (STYLESRC): Added style/inputenc.el and
	style/dk-bib.el.

2005-10-10  Arne Jørgensen  <arne@arnested.dk>

	* latex.el (LaTeX-auto-regexp-list): Removed spurious characters
	in variable definition.

2005-10-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* doc/auctex.texi (top): Index "tool bar" and "toolbar".  Use
	"tool bar" in the text.

	* doc/changes.texi: Use "tool bar".

	* auctex.spec: Install auctex.el and preview-latex.el for SuSE
	too.  Don't use extraconfig.

2005-10-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (tar-ball): Re-add fixed spec file.

2005-10-07  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* tex.el (TeX-token-char): New variable.
	(plain-TeX-auto-regexp-list): Use it.
	Suggested by Ikumi Keita <ikumi@revery.net>.

	* latex.el (LaTeX-auto-regexp-list, BibTeX-auto-regexp-list): Use
	it.

	* tex-jp.el (LaTeX-auto-regexp-list, plain-TeX-auto-regexp-list)
	(BibTeX-auto-regexp-list): Removed.

2005-10-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* auctex.spec: Fixes for Fedora.  Create site-start.d and add
	files.

2005-10-02  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-BibTeX-sentinel): Shorten message in case of
	errors.

	* Makefile.in (install-lisp): Use MULESRC instead of MULEELC
	because a `c' is already being appended by the installation code.

	* tex-jp.el (japanese-TeX-command-list): Remove obsolete
	`TeX-run-LaTeX' option.

	* tex.el (TeX-current-macro): New function.

	* latex.el (LaTeX-verbatim-macros-with-delims)
	(LaTeX-verbatim-macros-with-delims-local)
	(LaTeX-verbatim-macros-with-braces)
	(LaTeX-verbatim-macros-with-braces-local)
	(LaTeX-verbatim-environments, LaTeX-verbatim-environments-local):
	New variables.
	(LaTeX-verbatim-macro-boundaries, LaTeX-current-verbatim-macro)
	(LaTeX-verbatim-p, LaTeX-search-forward-comment-start): New
	functions.
	(LaTeX-verbatim-macros): Remove.
	(LaTeX-fill-region-as-para-do): Simplify.
	(LaTeX-fill-move-to-break-point): Use
	`LaTeX-verbatim-macros-with-delims'.
	(LaTeX-fill-paragraph, LaTeX-fill-code-comment): Handle comment
	starters in verbatim constructs correctly.

	* font-latex.el (font-latex-verbatim-environments)
	(font-latex-verbatim-environments-local)
	(font-latex-verb-like-commands)
	(font-latex-verb-like-commands-local)
	(font-latex-verbatim-macros, font-latex-verbatim-macros-local):
	Remove.
	(font-latex-set-syntactic-keywords): Use new `LaTeX-verbatim-*'
	instead of `font-latex-verb*' variables.

	* doc/auctex.texi (Font Locking): Document change of
	verbatim-related variables.

	* doc/changes.texi: Document change of verbatim-related variables.

	* style/alltt.el ("alltt"): Use new variables for verbatim
	constructs.

	* style/listings.el ("listings"): Use new variables for verbatim
	constructs.

	* style/url.el ("url"): Use new variables for verbatim constructs.

	* latex.el (LaTeX-insert-environment): Mostly rewritten.  Improve
	handling of macrocode environments.

2005-10-02  Christian Schlauer  <cschl@arcor.de>

	* tex-buf.el (TeX-BibTeX-sentinel): Check whether BibTeX reports
	any warnings or errors.

	* doc/changes.texi: Mention it.

2005-10-02  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* texmathp.el (texmathp-match-environment): Make aware of
	comments.

2005-09-29  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* doc/install.texi (Customizing): Removed "Contributed files"
	section.
	Suggested by Ikumi Keita <ikumi@revery.net>.

2005-09-29  Ikumi Keita  <ikumi@revery.net>

	* texmathp.el (texmathp-tex-commands-default): Remove "xxalignat*"
	and add "boxed".

2005-09-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* auctex.spec: Add files in %{_datadir}/emacs/site-lisp.
	Suggested by Jan-Ake Larsson.  Added startfiles.  Exclude
	%{_infodir}/dir.

2005-09-27  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* configure.ac: Document option for specifying AUCTeX startfile as
	--with-auctexstartfile, not --with-auctex-startfile which does not
	work.  Note that changing the internal name from `auctexstartfile'
	to `auctex-startfile' is not an option because of the `-' in the
	name which gives the shell headaches.

	* auctex.spec: Adapt to --with-auctexstartfile and
	--with-preview-startfile.

	* doc/install.texi (Configure): Document change from
	--with-auctex-startfile to --with-auctex-startfile and
	--with-preview-startfile to --with-previewstartfile.

2005-09-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* auctex.spec: Bump version number.  Remove install-contrib, use
	install-docs.  Don't install preview/* because these are not
	generated.

2005-09-25  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (tar-ball): Don't create WWW directory and don't
	copy HTML files.
	(www-doc): New target.

2005-09-25  David Kastrup  <dak@gnu.org>

	* Version 11.81 released.

2005-09-25  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* RELEASE, configure.ac, font-latex.el, doc/auctex.texi,
	doc/changes.texi, doc/preview-latex.texi, doc preview-readme.texi,
	doc/tex-ref.texi, doc/todo.texi: Bump version number.

	* Makefile.in (DISTCLEANFILES): Add tex-site.el.out.

2005-09-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (tar-ball): Remove dysfunctional spec file from
	distribution.
	(full-release): Disable RPM creation.

	* doc/auctex.texi: Bump version number.

	* configure.ac: Bump version number.

2005-09-24  David Kastrup  <dak@gnu.org>

	* doc/install.texi (Advice for package providers): Suggest
	"anytex" instead of "notex" for without-texmf compilations.

2005-09-23  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-site.el.in (TeX-modes-set): Add custom group.

2005-09-19  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-auto-parse-length, TeX-auto-x-parse-length)
	(TeX-auto-x-regexp-list): Doc fix.

2005-09-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* texmathp.el (texmathp-tex-commands-default): Add "minipage" as
	`env-off' and "\framebox" as `arg-off'.

2005-09-13  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* RELEASE: Update for upcoming release.

	* doc/changes.texi: Mention `font-latex-slide-title-face' and
	`font-latex-match-slide-title-keywords'.

	* doc/auctex.texi (Font Locking): Document
	`font-latex-slide-title-face' and
	`font-latex-match-slide-title-keywords'.

2005-09-10  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-make-match-defun): Fontify only if
	`font-latex-match-*-keywords' and
	`font-latex-match-*-keywords-local' are non-empty.
	(font-latex-make-match-defun): Revert.
	(font-latex-make-built-in-keywords): Do not set
	`font-latex-match-*' if there are no keywords.  (Nicer solution
	than the original change in `font-latex-make-match-defun'.)

2005-09-08  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-built-in-keyword-classes): New
	`slide-title' class.
	(font-latex-slide-title-face): New face.
	Specify :size for XEmacs.

	* style/beamer.el ("beamer"): Fontify \frametitle with
	`font-latex-slide-title-face'.

2005-09-05  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-command): Doc fix.

2005-09-02  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* texmathp.el (texmathp-tex-commands-default): Add "\textrm" as
	`arg-off'.

2005-08-30  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-font-replace-macro): Compute syntax table.

2005-08-26  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-common-initialization): Remove redundant call to
	`make-local-variable' for `outline-heading-alist'.  Set
	`outline-heading-alist' only if it is already defined.

2005-08-26  Matthieu Moy  <Matthieu.Moy@imag.fr>  (tiny change)

	* latex.el (LaTeX-common-initialization): Set
	`outline-heading-alist'.

2005-08-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-mark-section): Now marks subsections as well.
	Former behavior is available via prefix argument.

	* doc/changes.texi: Mention change of `LaTeX-mark-section'.

2005-08-23  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-script): Return face symbols, not
	names of non-existent variables.

	* tex.el (TeX-font-replace-macro): Do not use `TeX-find-macro-end'
	for it may look too far in cases like "\emph{foo}{}".  Use
	`forward-sexp' with a stripped syntax table instead.

2005-08-19  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/wininstall.texi: New "In a Nutshell" section.

2005-08-18  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* configure.ac: Quotify `packagelispdir' and `packagedatadir'.
	(preview_enabled): Export unquoted variables.
	Declare/initialize and export variables separately.

	* Makefile.in (DESCEND): Quote $$OLDPWD.

2005-08-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/auctex.texi (Adding Macros): Remove superfluous entry for
	`TeX-arg-file' and correct entry for `TeX-arg-input-file'.

	* latex.el (TeX-arg-input-file): Doc fix.

	* tex.el (TeX-command-list): Remove `TeX-run-LaTeX'.  Add
	`TeX-run-ispell-on-document' in order to prevent mismatch in
	customization buffer.

2005-08-05  David Kastrup  <dak@gnu.org>

	* font-latex.el (font-latex-doctex-preprocessor-face): Remove
	`list' from already quoted list.

2005-08-02  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-fold.el (TeX-fold-region): In case of single-char non-letter
	macros there does not have to be checked for a partial match.
	This allows for folding of stuff like \,.

2005-08-01  Berend de Boer  <berend@pobox.com>

	* context-en.el (ConTeXt-setup-list-en): typo fixed.

2005-07-21  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-set-syntactic-keywords): Set and
	update `font-latex-doctex-syntactic-keywords' here.
	(font-latex-doctex-syntactic-keywords): Default to nil.

	* doc/auctex.texi (Japanese): Remove references to contrib make
	targets.  Minor clean-ups.

	* aclocal.m4 (library): Replace COMPILE_MULE and CONTRIB_MULEELC
	with MULESRC and MULEELC.

	* Makefile.in (CONTRIB, CONTRIBELC, CONTRIB_MULE, COMPILE_MULE)
	(CONTRIB_MULEELC): Remove.
	(MULESRC, MULEELC): New variables.
	(AUCSRC): Add bib-cite.el and tex-fptex.el.
	(CLEANFILES): Remove CONTRIBELC and CONTRIB_MULEELC.  Use MULEELC
	instead.
	(.PHONY): Remove contrib, install-contrib and install-contrib-el
	targets.
	(lisp): Depend on STYLESRC and MULESRC.  Compile MULESRC as well.
	(auto-loads.el): Use MULESRC.
	(contrib, install-contrib-el, install-contrib): Remove.
	(install-el): Install MULESRC.
	(install-lisp): Install MULEELC.

	* style/csquotes.el: Bring up to par with csquotes 3.0.
	(LaTeX-csquotes-insert-environment): New function.

2005-07-15  David Kastrup  <dak@gnu.org>

	* doc/preview-todo.texi: Mention that preview.dtx is not a
	showpiece for AUCTeX.

2005-07-15  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-run-style-hooks): Adjust `default-directory' to
	match the directory of the style.

2005-07-14  David Kastrup  <dak@gnu.org>

	* doc/install.texi (Configure): explain about --without-packagedir.
	(Advice for package providers): Same here.

	* aclocal.m4 (EMACS_PATH_LISPDIR): Allow packagedir=no with XEmacs.

	* configure.ac: protect against packagedir starting with `-'

2005-07-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-match-math-envII): Match environment
	begin and end with whitespace between macro and argument as well.

	* doc/install.texi (Configure): Add `file' macro.

	* texmathp.el (texmathp-match-environment): Match environment
	begin and end with whitespace between macro and argument as well.

2005-07-12  David Kastrup  <dak@gnu.org>

	* doc/wininstall.texi:

	* doc/install.texi (Configure): Explain prefix a bit more.

	* doc/Makefile.in (install-man): include tex-ref.tex.

2005-07-08  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-insert-quote): Do not inhibit special quote
	insertion in docTeX documentation parts.

	* font-latex.el (font-latex-match-command-with-arguments)
	(font-latex-match-command-in-braces): Remove call to
	`font-latex-commented-outp'.
	(font-latex-match-quotation): Do not consider matches in comments
	or verbatim-like constructs.  Fix typo.

2005-07-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-fill-move-to-break-point): Make non-MULE
	XEmacsen happy.
	(LaTeX-fill-paragraph): Don't treat trailing comment starters as
	code comments.

	* font-latex.el (font-latex-match-quotation): Always use multibyte
	strings for comparison.

	* doc/auctex.texi (top): Make the summary notes appear as
	"Executive Summary" in printed output.

	* doc/intro.texi: Main heading in rawtext case should not be
	numbered.  Main heading in printed output has to be chapter, not
	section, in order to fit into the rest of the sectioning
	hierarchy.
	(Introduction): Add two intermediate headings in order to make the
	structure clearer.

	* doc/.cvsignore: Add auto directory.

2005-07-06  David Kastrup  <dak@gnu.org>

	* doc/tex-ref.tex: Rearrange and add information for preview-latex.

2005-07-05  David Kastrup  <dak@gnu.org>

	* doc/preview-latex.texi (Simple customization): Document new
	option `preview-preserve-counters'.

	* doc/auctex.texi (top): Mention RefTeX, `LaTeX-install-toolbar'
	and preview-latex.

2005-07-01  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-submit-bug-report): Mention FAQ section.

	* doc/changes.texi: Advertise inclusion of preview-latex and
	overhaul of installation procedures.

	* doc/install.texi (Advice for package providers): Refer to
	preview-latex.el file.

	* doc/quickstart.texi (Quick Start): Use (load "auctex.el" nil t
	t) instead of (require 'tex-site).

	* doc/faq.texi: Use (load "auctex.el" nil t t) instead of (require
	'tex-site).

	* doc/intro.texi (Introduction): Use (load "auctex.el" nil t t)
	instead of (require 'tex-site).

2005-06-30  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/auctex.texi (Folding): Do not quote `lambda' function.

2005-06-29  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-quotes): Get rid of :set function and
	move most of its content to `font-latex-match-quotation'.
	(font-latex-quotes-control): New variable.  Initialize with nil.
	(font-latex-match-quotation): Use it.
	The whole changeset lets quote matching recognize automatically
	when the value of `font-latex-quotes' changed while making sure
	that the regexp only has to be rebuilt when a change actually
	occured.

	* doc/todo.texi (Mid-term Goals): Update text about integration of
	preview-latex.

	* doc/auctex.texi (Floats): Clarify use of
	`LaTeX-top-caption-list'.
	(Display, Internationalization): Make node and heading clearer.
	(European): Describe insertion of multiple consecutive hyphens.

2005-06-24  David Kastrup  <dak@gnu.org>

	* RELEASE: Minor change.

	* configure.ac: Move checks and export for PERL here (needed for
	doc of preview-latex).
	(preview_enabled): Don't export Info-related variables, as they
	are not needed in preview.

	* Makefile.in (AUCTEXVERSION): import.
	(info, dvi): No subshell needed.
	(auctex.el): Depend on config.status
	(install-metadata): pass upstream version into prv-install.el

2005-06-21  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-info.el (TeX-texinfo-mode): Use `TeX-run-mode-hooks'.

	* latex.el (TeX-latex-mode): Use `TeX-run-mode-hooks'.

	* context.el (ConTeXt-mode-common-initialization): Use
	`TeX-run-mode-hooks'.

	* configure.ac: Make info about configuration clearer (in
	connection with the message for preview-latex).

	* tex.el (TeX-master-file): `TeX-default-extension' is a variable,
	not a function.
	(TeX-run-mode-hooks): New function.
	(TeX-plain-tex-mode, ams-tex-mode): Use it.

2005-06-21  David Kastrup  <dak@gnu.org>

	* Makefile.in (xemacs-package): reorder args.

	* configure.ac: disable INSTALL_INFO for XEmacs package.

	* doc/Makefile.in (install-man): Use $$i instead of $i.

2005-06-20  David Kastrup  <dak@gnu.org>

	* doc/install.texi (Advice for package providers): Propose package
	structure.

	* doc/Makefile.in (install-man): Install sources for texinfo
	files.
	(.PHONY): Add install-man.

	* Makefile.in (.PHONY): Add install-man and xemacs-package
	(install-man): Just descend into doc directory.
	(xemacs-package): Try building some XEmacs package.

	* autogen.sh: Don't run distclean, that seems unexpected.

	* RELEASE: Further fold in stuff from preview/RELEASE which is now
	deleted.

2005-06-20  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-superscript-face)
	(font-latex-subscript-face): Add to correct customization group.
	(font-latex-match-command-with-arguments)
	(font-latex-match-command-in-braces, font-latex-match-math-env):
	Don't set a dummy match.  Remove unnecessary throw..catch clauses.

2005-06-18  David Kastrup  <dak@gnu.org>

	* RELEASE: Well, the merge with preview-latex is no longer
	"planned".

2005-06-16  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/preview-faq.texi (Requirements): Denastify.

	* tex.el (TeX-master-file): Don't override existing master with
	`TeX-transient-master'.

	* tex-style.el (LaTeX-includegraphics-read-file): Doc fix.

2005-06-15  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/install.texi (Prerequisites): Denastify.

	* doc/auctex.texi (Font Locking): Fix typo.

	* configure.ac: Use correct variable for --disable-preview switch.

2005-06-15  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* Makefile.in (auto-loads.el): Auto-load COMPILE_MULE, too.

2005-06-14  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* RELEASE: Update stuff about fixed bugs and new features.

2005-06-14  David Kastrup  <dak@gnu.org>

	* doc/wininstall.texi: Spell out file names more explicitly.
	Remove any hint of a version that might lead Windows users to
	assume this documentation is for some reason more outdated than
	year-old stuff they find via Google.

	* Makefile.in (install-docs): Make exit status of test bad-shell
	safe.

2005-06-14  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (all): Do not depend on `docs' target.
	(.PHONY): Remove `docs'.  Add `info' and `dvi'.
	(docs): Remove.
	(info, dvi): New targets.
	(tar-ball): Make sure `dist' stuff is up-to-date.
	Revert, as it is superfluous.

	* doc/Makefile.in (dist): Correct file name for
	preview-latex.info.
	(info, dvi): New targets.
	(.PHONY): Add them and remove `auctex' and `preview'.
	(auctex, preview): Remove.

2005-06-14  David Kastrup  <dak@gnu.org>

	* RELEASE: Adapt RELEASE notes to include preview-latex info.

	* README.CVS: Adapt to reality.

	* doc/Makefile.in (all): Same as dist.
	(dist): Just create DISTTEXTS and info files.
	(extradist): Additional stuff for ftp site.
	(disttexts): Remove target.
	(clean): Don't remove info files.
	(maintainer-clean): Remove info files.

	* autogen.sh: Add error messages, run autoconf in preview
	subdirectory.  Heed MAKE variable if set.

	* Makefile.in (CVSFILES): Define files not to use in tarball.
	(tar-ball): Remove them.
	(tar-ball): Make extradist for additional doc files on ftp.

2005-06-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-ispell-document): Cater for the case where the
	master file is located in a different directory.
	(TeX-run-ispell-on-document, TeX-ispell-document): Doc fix.

2005-06-11  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-master-file): Check `TeX-transient-master' not only
	in the shared case.

	* tex-buf.el (TeX-region-create): Let-bind `TeX-transient-master'.

2005-06-10  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/auctex.texi (Parsing Files): Fix display of reference.
	Get rid of references to \documentstyle.
	(Simple Style, Adding Macros, Adding Environments)
	(Hacking the Parser): Clean up code examples.

	* tex.el (TeX-master-file-ask): Get rid of "<default>" string as
	default for `read-file-name'.  Fixes unresponsiveness of Emacs on
	Windows and fallback to minibuffer if file is opened via menu and
	prevents file history from being cluttered.  Use relative file
	name for master file.
	(TeX-master-file): Get rid of "this file" string as default for
	`read-file-name'.

2005-06-09  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-fold.el (TeX-fold-ellipsis): New variable.
	(TeX-fold-hide-item): Use it.

	* Makefile.in (DESCEND): Make MSYS happy if $(subdirs) is null,
	e.g. when --disable-preview is used.
	Make the change more safe with regard to the exit code.

2005-06-09  David Kastrup  <dak@gnu.org>

	* doc/wininstall.texi: Change line endings blurb.  Write drive:
	everywhere in the example strings.

	* doc/preview-readme.texi (Introduction): Some cosmetic changes to
	account for the merge.

	* mkinstalldirs:

	* install-sh: Replace `#/bin/sh' with `:' as this should be more
	portable when called from a Bourne shell (which is what the
	Makefiles do).

2005-06-08  David Kastrup  <dak@gnu.org>

	* doc/preview-dtxdoc.pl: Replicate possible CR line endings
	faithfully, and don't use multiline strings.

2005-06-08  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/.cvsignore: Ignore all *.info, *.info-*, and *.pgs files.

	* Makefile.in (preview_enabled): New variable.
	(all): Depend on `docs' target.
	(.PHONY): Add `docs' target.
	(docs): New target.
	(install): Depend on `install-docs' instead of `install-info'.
	(install-info): Remove.
	(install-docs): New target.

	* autogen.sh: Generate preview-latex docs as well.

	* configure.ac: Substitute preview_enabled variable in output
	files.

	* doc/.cvsignore: Add relevant preview-latex files.

	* doc/Makefile.in (TEXIFILES): Rename to AUCTEXTEXIFILES.
	(PERL, PREVIEWTEXIFILES): New variables.
	(all): Now depends on `auctex' and `preview' targets.  Move
	AUCTeX-specific targets from original to `auctex'.
	(install): Now depends on `install-auctex' and `install-preview'
	targets.  Move AUCTeX-specific targets and content from original
	to `install-auctex'.
	(.PHONY): Add `auctex', `preview', `install-auctex', and
	`install-preview'.
	(auctex, install-auctex, preview, install-preview): New targets.
	(auctex.dvi, auctex.pdf, auctex.info): Depend on
	$(AUCTEXTEXIFILES) instead of $(TEXIFILES).
	(preview-latex/index.html, html-docs, preview-dtxdoc.texi)
	(preview-latex.dvi, preview-latex.ps, preview-latex.pdf)
	(preview-latex.info, ../PROBLEMS): New targets (from
	preview/doc/Makefile.in).
	(../README, ../TODO, ../FAQ): Create output combined from
	respective AUCTeX and preview-latex files.
	(clean, maintainer-clean): Cater for preview-latex files.

	* doc/todo.texi (Development): More specific heading for plain
	text output.

	* doc/preview-todo.texi: Move here from preview/doc/todo.texi.

	* doc/preview-readme.texi: Move here from preview/doc/readme.texi.

	* doc/preview-problems.texi: Move here from
	preview/doc/problems.texi.

	* doc/preview-faq.texi: Moved here from preview/doc/faq.texi.

	* doc/copying.texi, doc/preview-dtxdoc.pl, doc/preview-latex.texi:
	Moved here from preview/doc/.

2005-06-07  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-regexp-group-count): New function.
	(TeX-auto-parse-region): Rewrite to use hashes and to save overuse
	of `looking-at'.  We really should keep the relevant information
	complete in hashes instead of moving them forward and back between
	hashes and lists, but at least this change removes most of the
	really evil quadratic behavior while keeping the original API.
	Yet.

2005-06-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-fontify-sectioning): Doc fix.

	* doc/auctex.texi (Font Locking): Document the nature of the
	`color' option for `font-latex-fontify-sectioning'.

2005-06-06  David Kastrup  <dak@gnu.org>

	* configure.ac: Remove call of MAKEINFO_CHECK_MACROS: we expect a
	recent enough makeinfo version if you want to bootstrap, anyway.

2005-06-06  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-bar.el (TeX-bar-LaTeX-button-alist)
	(menu-strings-buttons-alist): help-echo functions are called with
	arguments.

2005-06-06  David Kastrup  <dak@gnu.org>

	* doc/Makefile.in (TEXINFOINCLUDES): Remove.
	(MAKEINFO_MACROS): Remove.

	* tex-buf.el (TeX-format-filter): Don't let match-data generate
	markers.  This is a terrible performance hog!
	(TeX-format-filter): Actually, we don't need to save any
	match-data inside of a filter function with current versions of
	Emacs and XEmacs.

2005-06-05  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/scrbase.el, style/scrbook.el, style/scrreprt.el: Use
	`sectioning' instead of `title' for sectioning fontification.

	* doc/changes.texi: Mention change of `title' to `sectioning' for
	keyword variables.

	* font-latex.el (font-latex-fontify-sectioning)
	(font-latex-built-in-keyword-classes)
	(font-latex-keyword-matcher): Use `sectioning' instead of `title'.
	(font-latex-deactivated-keyword-classes): New variable.
	Don't do extra quoting.
	(font-latex-make-built-in-keywords): Remove unnecessary `let'.
	Check `font-latex-deactivated-keyword-classes' in generated
	`font-latex-match-*-make' functions.

	* tex.el (TeX-quote-language-alist): Do not use `alist' widget
	because XEmacs 21.4 does not provide it.  Do not use a cons cell
	for opening and closing quotation marks in order to simplify
	structure.
	(TeX-quote-language): Describe structure as in
	`TeX-quote-language-alist'.
	(TeX-insert-quote): Adapt to new structure of `TeX-quote-language'
	and `TeX-quote-language-alist'.

	* doc/auctex.texi (European): Describe new structure of
	`TeX-quote-language-alist'.
	(Font Locking): Use `sectioning' instead of `title'.
	Describe deactivation of built-in keyword classes.

	* style/csquotes.el, style/czech.el, style/danish.el,
	style/german.el, style/italian.el, style/ngerman.el,
	style/slovak.el, style/swedish.el: Reflect new structure of
	`TeX-quote-language'.

2005-06-04  David Kastrup  <dak@gnu.org>

	* doc/Makefile.in (TEXINFOINCLUDES): macros.texi has moved here
	from ../preview/doc
	(../INSTALL, ../INSTALL.windows, ../README, ../CHANGES, ../TODO)
	(../FAQ): Change dependencies accordingly.

	* configure.ac: Rearrange checks for MAKEINFO.
	Export more stuff into preview's configure.  Maybe this is better
	done with use of caches?

	* autogen.sh: Don't look in preview subdirectory.

	* Makefile.in (configure): Depend on local aclocal.m4

2005-06-03  David Kastrup  <dak@gnu.org>

	* doc/Makefile.in (TEXINFOINCLUDES, TEXIFILES, ../INSTALL)
	(../INSTALL.windows, ../README, ../CHANGES, ../TODO, ../FAQ): Move
	../preview/doc/macros.texi to here again.

2005-06-02  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (VirTeX-common-initialization): Explicitely make
	`find-file-hooks' buffer-local in XEmacs 21.4 which fails to do
	this via `add-hook'.

2005-06-01  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-backward-paragraph): Use catch..throw instead of
	an indicator variable.  Don't refer to a saved match data.
	Check for `TeX-esc', not specific char.

	* style/babel.el ("babel"): Disable font locking of macros not
	handled correctly.

2005-05-30  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* style/babel.el: New file.

	* Makefile.in: Add style/babel.el.

	* doc/changes.texi: Mention babel support.

2005-05-28  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-next-error): Call `next-error' as fallback.
	(TeX-previous-error): New function.

	* tex.el (TeX-mode-map): Remap bindings of `next-error' and
	`previous-error' to `TeX-next-error' and `TeX-previous-error'
	respectively.

2005-05-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-command-list): Remove chktex comment.

	* doc/auctex.texi (Checking): A user should not (have to) edit
	tex.el to switch from lacheck to chktex.

	* font-latex.el (font-latex-make-match-defun)
	(font-latex-make-built-in-keywords): Do not byte-compile generated
	functions here but at the end of font-latex.el.  Prevents
	byte-compiler warnings due to possibly undefined functions.

2005-05-24  David Kastrup  <dak@gnu.org>

	* configure.ac: Recurse into preview _before_ starting any
	AC_SHELL_QUOTIFY business to avoid double quoting.

	* doc/tex-ref.tex (\title{RefTeX (long)})
	(\title{RefTeX (short)}): New columns.  One will have to go.

2005-05-22  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-PDF-mode): Use the standard minor mode function
	instead of redefining it.
	(TeX-PDF-mode-parsed): New function replacing the previous extra
	functionality in `TeX-PDF-mode'.
	(TeX-PDF-mode-on, TeX-PDF-mode-off): Warn in docstring.  Use
	`TeX-PDF-mode-parsed'.

2005-05-21  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/install.texi, doc/wininstall.texi: Small corrections.

	* tex-bar.el (TeX-bar-LaTeX-button-alist): Reenable mode-specific
	images for View button.
	(LaTeX-install-toolbar): Add `toolbarx-refresh' to
	`TeX-PDF-mode-hook'.

	* tex.el (TeX-PDF-mode): Run `TeX-PDF-mode-hook'.

2005-05-21  David Kastrup  <dak@gnu.org>

	* autogen.sh: Remove argument to preview/autogen.sh

	* doc/install.texi: Integrate the installation instructions for
	preview-latex.

2005-05-20  David Kastrup  <dak@gnu.org>

	* doc/tex-ref.tex (section{Greek Letters}): Add \Xi.

2005-05-18  Ikumi Keita  <ikumi@revery.net>

	* style/amsmath.el (LaTeX-label-alist): Add "multline" environment.

	* Makefile.in:
	* configure.ac:
	* preview/Makefile.in: Change "==" to "=" in the argument of
	"test" for Bourne shell compatibility.

2005-05-19  David Kastrup  <dak@gnu.org>

	* doc/wininstall.texi: Rearrange to make suitable for standalone
	installation including preview-latex.  Adapt to a few
	changes (like tex-fptex and tex-mik not being in load-path by
	default).

2005-05-19  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-site.el.in (tex-site-unload-hook, TeX-modes): Do not use
	`dolist'.  Prevents console pop-ups with XEmacsen on Windows.

	* latex.el (LaTeX-fill-move-to-break-point): Check for
	`charset-after' to make non-MULE XEmacsen happy.  Some
	reformatting.

2005-05-18  David Kastrup  <dak@gnu.org>

	* latex.el (LaTeX-math-default): Add Xi (reported by Uli
	Fahrenberg).

2005-05-17  David Kastrup  <dak@gnu.org>

	* Makefile.in (EXTRAFILES): remove.  No longer needed.
	(auto-loads.el): Undo previous change.  Properly group statements.
	(install-el): Rewrite condition for some non-Posix shells.
	(install-metadata): Rewrite condition for non-Posix.
	(tar-ball): Change owner and group to root.  This is not portable,
	but will be needed only by the maintainers, anyway.
	(auto-loads.el): ignore errors also for braindead make.
	(install-metadata): Same here.
	(clean): Burp if cd doc fails.
	(distclean): Same here.
	(tar-ball): rewrite for braindead shells.
	(tar-ball): make sure doc exists.  Why do I bother, actually, the
	tarball target is not for public consumption, anyway.

2005-05-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* Makefile.in (auto-loads.el): Don't stop on non-zero exit code.

2005-05-16  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-transient-master): New variable.
	(TeX-master-file): Use it.

	* tex-buf.el (TeX-command-sentinel): Bind `TeX-transient-master'.

2005-05-14  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* latex.el (LaTeX-babel-hyphen): Doc fix.
	(LaTeX-common-initialization): Call `easy-menu-add' as late as
	possible.

2005-05-15  Ikumi Keita  <ikumi@revery.net>

	* Makefile.in (CLEANFILES): Add $(CONTRIBELC) and
	$(CONTRIB_MULEELC).
	(DISTCLEANFILES): Add auctex.el and auto-loads.el.
	(auto-loads.el): Add $(COMPILE_MULE)

2005-05-14  Ikumi Keita  <ikumi@revery.net>

	* style/amsopn.el:
	* style/amsmath.el: Move "mode"-like entries from amsopn.el to
	amsmath.el.

	* style/amsmath.el: Edit entries in TeX-add-symbols.
	Remove duplicate entry "raisetag".
	Add some new entries.
	Make arrow macros like "overleftarrows" to take argument.
	Remove accents macros like "Hat" because they are obsolate in
	amsmath v2.
	(LaTeX-item-list): Add "multline*", "matrix", "pmatrix",
	"bmatrix", "Bmatrix", "vmatrix" and "Vmatrix" environment.
	(LaTeX-label-alist): Remove "aligned" environment.

	* tex-style.el (LaTeX-amsmath-label): Fix doc.

	* latex.el: (LaTeX-math-default): Remove duplicate entry
	"nabla". Remove AMS Accents like "Hat" because they are obsolate
	in amsmath v2.
	(LaTeX-babel-hyphen): Fix doc.
	(LaTeX-common-initialization): Edit some entries in TeX-add-symbols.

2005-05-13  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/changes.texi: Small corrections.

2005-05-12  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-fold.el (TeX-fold-make-overlay): Calculate priority before
	the overlay is instantiated.

	* font-latex.el (font-latex-match-command-with-arguments): Make
	XEmacs happy.

	* latex.el (LaTeX-fill-newline-hook): New hook.
	(LaTeX-fill-newline): Use it.

	* tex-fold.el (TeX-fold-keymap): Remove deprecated key bindings.
	(TeX-fold-region, TeX-fold-item): Use `TeX-fold-item-end'.  Do not
	compute display string (now done in `TeX-fold-hide-item').
	(TeX-fold-make-overlay): Do not mess with display string anymore.
	Thereby remove it from list of function arguments.
	(TeX-fold-item-end, TeX-fold-overfull-p)
	(TeX-fold-update-at-point): New functions.
	(TeX-fold-buffer-substring): Get 'display property instead of
	'TeX-fold-display-string which is not used anymore.
	(TeX-fold-hide-item): Computation of display string and faces as
	well as provisions for overfull lines are done only in this
	function now.  The 'display property is now set for XEmacs as
	well.
	(TeX-fold-mode): Add and remove `TeX-fold-update-at-point' to
	`LaTeX-fill-newline-hook' respectively.

	* tex.el (TeX-overlay-prioritize): Fix oversight in XEmacs version
	of the function.

2005-05-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (tar-ball): Allow YYYYMMDD-a TAG for snapshots.

2005-05-11  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-set-syntactic-keywords): Don't freak
	out if there is whitespace in front of the \begin/\end pair of
	verbatim and verbatim-like environments.

	* latex.el (LaTeX-auto-cleanup): Discard only options which
	actually include a "=".

	* Makefile.in: Whitespace cleanup.

	* tex.el (TeX-overlay-prioritize): Fix calculation of priority for
	in-between overlay.
	(TeX-insert-quote): Insert TeX quote if point is just before math,
	comment, or verbatim content.

2005-05-11  David Kastrup  <dak@gnu.org>

	* doc/Makefile.in (TEXINFOINCLUDES): Add directory modifier
	TEXIPWD.  This is ugly.
	(html/auctex_toc.html): Use it.

	* Makefile.in (tar-ball): Make tar-ball from exporting, and allow
	for TAG being a date specification.
	(full-release): Omit release tag check.

2005-05-10  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-forward-comment): New function.
	Prevent infinite loops and repair regexp.
	Simplify.  Code mainly by David Kastrup.
	(font-latex-match-command-with-arguments): Use it.  Set
	fontification start of optional argument to opening bracket.
	Apply restriction of region more globally.  Fix handling of
	multiple optional arguments.  Break if the end of the first
	mandatory argument could not be found.

2005-05-09  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-normal-mode): Ask for master file in 'shared case.

	* font-latex.el (font-latex-built-in-keyword-classes): Doc
	fix (typo).
	(font-latex-match-command-with-arguments): Set macro end before
	any comments.  Do not move forward over comments if point is over
	the limit.

2005-05-09  David Kastrup  <dak@gnu.org>

	* doc/Makefile.in (dist): Use DISTTEXTS instead of explicit list
	in this directory.

2005-05-07  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (VirTeX-common-initialization): Remove Emacs 20
	compatibility code.  Call `TeX-master-file' during load of shared
	files as well.

2005-05-06  Reiner Steib  <Reiner.Steib@gmx.de>

	* Makefile.in (DOCFILES): Remove macros.texi to make "tar-ball"
	work again.

2005-05-06  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-load-style): Fix typo `expand-filename'.

2005-05-06  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el (TeX-local-master-p): Limit search.

	* doc/Makefile.in (TEXINFOINCLUDES): New variable used for file
	inclusion with makeinfo, texi2dvi and texi2pdf.
	(MAKEINFOINC): Remove.

	* doc/intro.texi (Introduction): Make package activation clearer.

2005-05-05  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/intro.texi (Introduction): Be consistent with the display of
	commands in the rest of the manual.

	* tex-fold.el (TeX-fold-mode): Improve doc string and add its
	first line to the autoload form.

2005-05-04  David Kastrup  <dak@gnu.org>

	* tex-fold.el (TeX-fold-mode): Change autoload cookie because of
	XEmacs.

2005-05-03  David Kastrup  <dak@gnu.org>

	* auctex.spec: First attempt

2005-05-02  David Kastrup  <dak@gnu.org>

	* doc/install.texi:

	* doc/intro.texi:

	* doc/wininstall.texi: overhaul.

	* autogen.sh: adapt to auto.texi scheme.

	* toolbar-x.el (toolbarx-install-toolbar): Remove overlong doc
	string from autoload.

	* tex-site.el.in (tex-site-unload-hook): Define to remove the
	after-load hooks and load-path entry.
	(TeX-modes-set): Use defalias instead of fset to allow unloading.

	* README.CVS: Change instructions.

2005-05-02  David Kastrup  <dak@gnu.org>

	* bib-cite.el: Revert 2005-04-19 change: autoloads are not
	extracted from CONTRIB packages.

2005-05-02  David Kastrup  <dak@gnu.org>

	* Makefile.in (tex-site.el.out, auctex.el, configure)
	(Makefile, config.status): Add targets to get reconfiguration if
	necessary.

	* style/url.el:

	* style/ltx-base.el:

	* style/units.el:

	* style/alltt.el:

	* style/alphanum.el:

	* style/jura.el:

	* style/emp.el:

	* style/doc.el:

	* style/slides.el:

	* style/csquotes.el:

	* style/listings.el:

	* style/nicefrac.el:

	* style/ltxdoc.el:

	* style/jurabib.el:

	* style/mdwlist.el:

	* style/amstex.el: Change maintainer address.

	* doc/intro.texi (Introduction): Changes, cleanup, corrections.

2005-05-01  David Kastrup  <dak@gnu.org>

	* doc/install.texi (Prerequisites): Shorten.
	(Prerequisites): Mention that one can survive without texinfo.
	(Configure): Add prefix information.
	(Configure): Sync with preview-latex docs.  Mention the
	disable-preview option and preview-specific options.

	* configure.ac: Don't use have-preview macro.  Conflicts with the
	idea of pregenerated docs.

2005-05-01  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* font-latex.el (font-latex-make-match-defun)
	(font-latex-make-built-in-keywords): Byte-compile generated
	functions.

	* Makefile.in (clean, distclean): Descend.

2005-05-01  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-load-style): Properly expand file names, and fix a
	terrible order-of-arguments bug.

	* configure.ac: fix syntax error with MAKEINFO_MACROS

	* tex-site.el.in (TeX-mode-alist): Use correct file name for
	texinfo-mode.

	* Makefile.in (AUCSRC): Move tex-style.el before latex.el

	* configure.ac: Add have-preview to macros if we have preview
	enabled.

	* doc/Makefile.in (MAKEINFOINC): Use macros.texi in preview/doc
	directory.
	(auctex.dvi, auctex.pdf, auctex.info, ../INSTALL)
	(../INSTALL.windows, ../README, ../CHANGES, ../TODO, ../FAQ): Use
	MAKEINFOINC

	* doc/macros.texi: Remove in lieu of version in preview/doc.

	* doc/intro.texi (Introduction): Reorganize, use more of rawfile.
	Mention preview-latex.

	* tex-buf.el:

	* tex-fold.el:

	* tex-font.el:

	* tex-fptex.el:

	* tex-info.el:

	* tex-mik.el: Change maintainer to auctex-devel@gnu.org

2005-04-30  David Kastrup  <dak@gnu.org>

	* Makefile.in (install-metadata): Correct version number.
	(DESCEND): different quoting.
	(install): Same here.
	(install-metadata): Don't depend on some exit values.

	* configure.ac: substitute auctexstartfile.  Export auctexdir as
	`..'.
	If installing info into XEmacs package, disable install-info.  If
	makeinfo is disabled, don't check for macros.

	* Makefile.in (auctexstartfile): autoconf variable.
	(subdirs): autoconf variable.
	(PACKAGE, PACKAGE_INFO): macros.
	(DESCEND): For rebuilding stuff and installing.
	(all): descend.
	(tex-site.el): don't include autoloads when XEmacs.
	(install): descend.
	(install-startup): new target
	(install-el): don't install tex-site on XEmacs.
	(install-el): don't fail on .nosearch not installed.
	(install-metadata): new target for XEmacs.

2005-04-29  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex.el: Remove `TeX-doc' for `ams-tex-mode'.

2005-04-29  David Kastrup  <dak@gnu.org>

	* auctex.el.in:

	* context.el:

	* latex.el:

	* tex-jp.el:

	* tex-site.el.in:

	* tex.el:

	*  tex-info.el: Remove TeX-doc.

	* tex-info.el (Texinfo-mode): Fix type in alias.

	* tex-site.el.in (tex-site): Provides are added by Makefile.
	Remove them here.

	* configure.ac: Generate tex-site.el.out instead of tex-site.el.

	* Makefile.in (AUTOLOAD): New form for autoloads from rest of line.
	(all): Make depend on tex-site.el
	(lisp): Depend on tex-site.el
	(tex-site.el, auto-loads.el): New targets.

2005-04-28  Reiner Steib  <Reiner.Steib@gmx.de>

	* tex-site.el.in (TeX-mode-alist): Exchange value and doc string.
	(TeX-modes-set): Check if mode is fbound.

	* doc/changes.texi: Mention changes in sectioning fontification.

	* doc/auctex.texi (Font Locking): Adjust to new sectioning
	fontification.

	* font-latex.el: Rename most *-title* stuff to *-sectioning*.  Old
	names: font-latex-title-%s-face, font-latex-title-fontify,
	font-latex-update-title-faces, font-latex-make-title-faces
	font-latex-title-max.  New names: font-latex-sectioning-%s-face,
	font-latex-fontify-sectioning, font-latex-update-sectioning-faces,
	font-latex-make-sectioning-faces, font-latex-sectioning-max.
	(font-latex-fontify-sectioning): Fix typos in doc string.

2005-04-28  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* doc/auctex.texi (Development): New name replacing "ToDo".

	* doc/faq.texi, doc/todo.texi: Fix for raw output.

2005-04-28  David Kastrup  <dak@gnu.org>

	* tex-site.el.in (TeX-doc): Use AUCTeX-version.

	* configure.ac: fiddle with relative paths.

	* Makefile.in: several changes to buld structure.

	* auctex.el.in (TeX-doc): Startup file source.

	* doc/wininstall.texi:

	* doc/intro.texi:

	* doc/install.texi:

	* doc/faq.texi:

	* doc/changes.texi: Make the stuff compile cleanly.

	* doc/Makefile.in (DISTTEXTS): list plain text files in parent dir.
	(.PHONY): everything needed here.
	(auctex.info): don't ignore errors.
	(../INSTALL, ../INSTALL.windows, ../README, ../CHANGES)
	(../TODO, ../FAQ, disttexts): New targets.
	(INSTALL, INSTALL.windows, README, CHANGES, HISTORY, TODO, FAQ):
	Remove.
	(clean): Don't remove files in this directory.
	(maintainer-clean): New target, removes files in parent, too.

	* autogen.sh: Create info files and distribution texts like
	preview-latex does, and recurse into preview directory to do the
	same.

2005-04-27  David Kastrup  <dak@gnu.org>

	* tex.el (TeX-lisp-directory, TeX-auto-global): Don't
	`file-name-as-directory'fy.
	(TeX-style-global, TeX-auto-local, TeX-style-local)
	(TeX-macro-global, TeX-macro-private): Same here.
	(TeX-auto-private): Use expand-file-name.
	(TeX-style-private): Same here.
	(TeX-check-path): Same.
	(TeX-load-style): Adapt.

	* tex-buf.el (TeX-check-files): Be robust against non-slashed
	directory names.
	(TeX-ispell-document): Same here.

	* tex.el (AUC-TeX-version, AUC-TeX-date): Protect
	`make-obsolete-variable' against obsolete Emacsen.

2005-04-28  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* doc/changes.texi: Mention the fix of Japanese fill problems.

2005-04-27  David Kastrup  <dak@gnu.org>

	* configure.ac: Correct bug reporting address and move stuff over
	from preview.
	* aclocal.m4: remove, we want the one in preview instead.

	* tex-site.el.in (AUCTeX-version, AUCTeX-date): get via configure.

	* tex.el (info): Add "docTeX" to info prefixes.
	(AUCTeX-version, AUCTeX-date): removed to tex-site.el.
	(AUC-TeX-version, AUC-TeX-date): Use `make-obsolete-variable'.  Is
	version 11.50 correct?

	* tex-bar.el (LaTeX-install-toolbar): Adjust toolbarx-image-path.

	* autogen.sh: Use aclocal.m4 from preview subdirectory.

	* tex.el (TeX-submit-bug-report): Add `TeX-command-list' to bug
	reports.

2005-04-23  David Kastrup  <dak@gnu.org>

	* tex-buf.el (TeX-command): Let it accept `TeX-active-master' as
	well, by not touching `TeX-current-process-region-p' unless
	`TeX-region-file' or `TeX-master-file' have been identified
	explicitly.
	(TeX-view): Simplify.
	(TeX-active-process, TeX-active-buffer): Simplify.

2005-04-22  David Kastrup  <dak@gnu.org>

	* tex-buf.el (TeX-help-error): Create the correct log file
	name corresponding to the current run.
	(TeX-error, TeX-warning): Pass runbuffer info into the routines to
	get the correct log file name in all circumstances.

2005-04-20  David Kastrup  <dak@gnu.org>

	* configure.ac: don't bother about pre-2.50 autoconf.  Check
	version more fine-grainedly.

2005-04-19  David Kastrup  <dak@gnu.org>

	* texmathp.el (texmathp-match-switch): Add autoload cookie.

	* tex.el (no-doc): Remove: not needed because autoloads are
	documented by the cookie extraction process.
	(bibtex-mode-hook): Remove.  This will be done by an autoload
	cookie from latex.el instead.
	(BibTeX-auto-store, LaTeX-math-mode, japanese-plain-tex-mode)
	(japanese-latex-mode, texinfo-mode, latex-mode, multi-prompt)
	(texmathp, texmathp-match-switch): Remove autoloads since this is
	done by cookies extracted into auctex.el.
	(TeX-region-create, TeX-save-document, TeX-home-buffer)
	(TeX-pin-region, TeX-command-region, TeX-command-buffer)
	(TeX-command-master, TeX-command, TeX-kill-job)
	(TeX-recenter-output-buffer, TeX-next-error)
	(TeX-toggle-debug-boxes, TeX-region-file, TeX-current-offset)
	(TeX-process-set-variable, TeX-view): Make comment nil instead of
	no-doc.
	(font-latex-setup, tex-font-setup): Remove autoloads.  Should be
	done by cookies instead.
	(TeX-tex-mode): rename from tex-mode.
	(TeX-plain-tex-mode): rename from plain-tex-mode.
	(ams-tex-mode): Change autoload cookie.

	* tex-jp.el (japanese-plain-tex-mode, japanese-latex-mode): Change
	autoload cookies.

	* tex-font.el (tex-font-setup): Add autoload cookie.

	* tex-fold.el (TeX-fold-mode, tex-fold-mode): Add autoload
	cookies.

	* multi-prompt.el (multi-prompt): Add autoload cookie.

	* latex.el (auto-mode-alist): Add .drv to latex-mode.
	(TeX-latex-mode): Changed name from latex-mode.
	(TeX-doctex-mode): Same here for doctex-mode.  Explicitly set
	major-mode to doctex-mode: we don't want different modes.

	* tex-info.el (texinfo): Alias texinfo-mode to Texinfo-mode for
	symmetry.
	(Texinfo-mode): Autoload.

	* context.el (ConTeXt-mode, context-mode): Add definitions and
	aliases and autoload cookies.

	* bib-cite.el: Remove autoload from instructions.

	* toolbar-x.el (toolbarx-image-path): New variable.
	(toolbarx-make-string-from-symbol)
	(toolbarx-make-symbol-from-string, toolbarx-good-option-list-p)
	(toolbarx-separate-options, toolbarx-merge-props)
	(toolbarx-make-command, toolbarx-emacs-mount-popup-menu)
	(toolbarx-xemacs-mount-popup-menu, toolbarx-mount-popup-menu)
	(toolbarx-option-value, toolbarx-eval-function-or-symbol)
	(toolbarx-test-image-type, toolbarx-test-button-type)
	(toolbarx-test-any-type, toolbarx-test-string-or-nil)
	(toolbarx-test-toolbar-type, toolbarx-test-dropdown-type)
	(toolbarx-test-symbol, toolbarx-test-dropdown-default)
	(toolbarx-test-dropdown-save)
	(toolbarx-process-group-without-insert, toolbarx-process-group)
	(toolbarx-process-symbol, toolbarx-process-dropdown-group)
	(toolbarx-find-image, toolbarx-emacs-add-button)
	(toolbarx-emacs-refresh-process-button-or-insert-list)
	(toolbarx-emacs-refresh, toolbarx-xemacs-image-properties)
	(toolbarx-xemacs-button-properties, toolbarx-xemacs-refresh):
	Remove autoload cookies.
	(toolbarx-find-image): Use `toolbarx-image-path'.

2005-04-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* font-latex.el (font-latex-update-title-faces): Remove unused
	variable.  Don't call when loading the file.
	(font-latex-title-fontify): Document that faces set outside of
	customize might be modified.
	(font-latex-make-title-faces): Set height or size so that
	customize won't complain.

2005-04-24  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* tex-buf.el (TeX-interactive-goto-prompt): New function.
	(TeX-run-interactive): Use it instead of setting
	`comint-scroll-to-bottom-on-output'.  Use `add-hook'.

